/*access.h  by ranges of percents from 0% down to 100% ; final mat is total */
/*	access.h  by ranges of percents from 0% down to 100% ; final mat is the
 *	overall matrix for solvent accessible positions between 0-100% identity 
 *      Overington & Johnson, 1996: 127 aligned protein families; 572 3D structs.
 *	original data in the file raw.Z
 *
 *      computed according to:
 *		Johnson & Overington (1993) J. Mol. Biol. 233:716-738 
 *      see Johnson, Overington & Blundell (1993) J. Mol. Biol. 231:735-752.
 *          Overington, Johnson, Sali & Blundell (1990) Proc. Roy. Soc. London
 *	    ser. B, 241:146-152.
 *	    Sali & Overington (1994) Prot. Sci. 3:1582-1596.
 */

/*
## 
##  TRADITIONAL DISCLAIMER
##
##  Copyright 1988-1996 John Overington & Mark Johnson
##  
##  Permission to use, copy, modify, and distribute this data, software
##  and its documentation for academic purposes is hereby granted without fee,
##  provided that the above copyright notice appear in all copies and that
##  both that copyright notice and this permission notice appear in
##  supporting documentation, and that the name of John Overington or Mark
##  Johnson or our respective institutions
##  not be used in advertising or publicity pertaining to distribution of
##  the software without specific, written prior permission. We
##  makes no representations about the suitability of this software for any
##  purpose. It is provided "as is" without express or implied warranty.
##  
##  JOHN OVERINGTON  AND MARK JOHNSON DISCLAIM ALL WARRANTIES WITH REGARD TO
##  THIS SOFTWARE/DATA, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND
##  FITNESS, IN NO EVENT SHALL OUR HOME INSTITUTIONS BE LIABLE FOR ANY SPECIAL,
##  INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
##  LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE
##  OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
##  OR PERFORMANCE OF THIS SOFTWARE.
##  
##  Primary authors:
##  	Dr. John Overington
##      Pfizer Central Research
##  	Pfizer UK
##  	Sandwich, Kent, UK
##
##  	jpo@sandwich.pfizer.com
##
##	Dr. Mark Johnson
##	Turku Center for Biotechnology
##	University of Turku & Abo Akademi University
##	PO Box 123
##	FIN-20521 Turku, Finland
##
##	mark@hops.btk.utu.fi
##
## Please send any improvements, bug fixes, useful modifications, and comments
## to one of the addresses above
*/

#define MAT_VER	"[matrix version 11.0 (last update: 17-07-96)]"
#define MAX_MAT 11	/* Limit to matrices in total.h */
#define MAX_VAL 22	/* Limit to dimensions in total.h */

/*
 *	B -> D (2); Z -> E (3); J (non-dsbond cys -> 21; X (unknown) -> 22 == 0's in matrix
 */

int ind[MAX_IND]={ 0, 2, 1, 2, 3, 4, 5, 6, 7,21, 8, 9,10, 
                  11,22,12,13,14,15,16,22,17,18,22,19, 3};

/*
values in matrices are in alphabetical order (with the exception of J & X):
	ACDEFGHIKLMNPQRSTVWYJX

border of matrices: }, { 
*/

char m_names[MAX_MAT][MAX_CDE]=

{"PID:0-10%", "PID:10-20%", "PID:20-30%", "PID:30-40%", "PID:40-50%",
"PID:50-60%", "PID:60-70%", "PID:70-80%", "PID:80-90%", "PID:90-100%",
"PID:0-100%"};

/* m_100: scaled matrices; */


/*total.h  by ranges of percents from 0% down to 100% ; final mat is total */

int mats[MAX_MAT][MAX_VAL][MAX_VAL] = { 
{
/* 0-10% */
{  8, 42, 62, 49, 73, 48, 35, 51, 55, 44, 57, 46, 50, 69, 68, 57, 41, 44, 22, 35, 65,  0,},
{ 38,100, 19, 15, 83, 47, 47, 71, 56, 33, 59, 26, 45, 38, 37, 41, 68, 52, 52, 37, 94,  0,},
{ 62, 30, 62, 46, 54, 53, 41, 12, 54, 59, 36, 73, 53, 42, 41, 41, 46, 59, 39, 24, 36,  0,},
{ 46, 30, 50, 52, 50, 56, 65, 55, 51, 45, 46, 60, 56, 46, 48, 62, 42, 50, 52, 49, 36,  0,},
{ 54, 89, 56, 52, 46, 40, 58, 64, 48, 54, 53, 51, 70, 66, 40, 52, 44, 41, 28, 41, 53,  0,},
{ 53, 56, 52, 52, 34, 75, 49, 59, 41, 42, 43, 54, 54, 53, 49, 41, 52, 53,  8, 49, 33,  0,},
{ 42, 59, 42, 63, 47, 52, 34, 40, 59, 55, 46, 54, 49, 60, 52, 60, 51, 29, 39, 42, 64,  0,},
{ 49, 59, 25, 51, 47, 58, 45, 51, 46, 53, 57, 31, 56, 61, 63, 59, 54, 63, 40, 60, 47,  0,},
{ 54, 21, 56, 50, 44, 40, 59, 37, 48, 52, 43, 50, 64, 52, 54, 56, 58, 48, 60, 66, 26,  0,},
{ 46, 35, 54, 56, 51, 47, 46, 62, 56, 45, 40, 42, 43, 53, 45, 57, 53, 40, 50, 65, 68,  0,},
{ 30, 64, 30, 43, 52, 29, 40, 63, 49, 61, 52, 18, 55, 48, 70, 16, 64, 70, 45, 75, 69,  0,},
{ 48, 37, 73, 57, 63, 55, 48, 36, 52, 51, 24, 50, 68, 20, 37, 45, 42, 45, 45, 48, 42,  0,},
{ 61, 54, 55, 56, 60, 54, 47, 35, 60, 56, 59, 67, 45, 48, 60, 47,  0, 42, 35, 19, 59,  0,},
{ 66, 47, 40, 43, 45, 55, 75, 64, 47, 49, 75, 19, 48, 62, 29, 62, 21, 68, 45, 48, 52,  0,},
{ 72, 51, 44, 47, 66, 39, 54, 32, 55, 47, 56, 40, 64, 34, 65, 43, 47, 44, 84, 57, 56,  0,},
{ 49, 33, 39, 62, 49, 36, 54, 46, 54, 60, 21, 54, 41, 60, 51, 46, 59, 56, 49, 51, 56,  0,},
{ 54, 29, 51, 40, 28, 54, 51, 60, 57, 56, 63, 57,  2, 13, 44, 59, 58, 57, 66, 40, 35,  0,},
{ 58, 59, 49, 53, 29, 52, 35, 64, 44, 42, 64, 49, 39, 66, 57, 42, 62, 49, 53, 60, 36,  0,},
{ 29, 63, 38, 47, 51, 10, 56, 27, 59, 65, 50, 45, 36, 29, 69, 56, 59, 51, 71, 69, 68,  0,},
{ 36, 42, 39, 64, 53, 45, 35, 51, 63, 62, 65, 42, 15, 43, 48, 50, 56, 50, 63,  7, 65,  0,},
{ 49,100, 30, 44, 94, 30, 76, 47, 36, 44, 70, 37, 56, 49, 48, 35, 29, 53, 63, 66, 88,  0,},
{  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,},
},

{
{ 45, 28, 38, 39, 37, 40, 36, 38, 40, 37, 36, 37, 38, 36, 36, 38, 37, 39, 35, 38, 33,  0,},
{ 25,100, 25, 39, 49, 29, 19, 43, 24, 40, 52, 27, 13, 29, 24, 31, 36, 47, 45, 46, 74,  0,},
{ 38, 20, 45, 44, 28, 41, 39, 31, 38, 29, 32, 44, 39, 37, 33, 38, 42, 34, 28, 35, 47,  0,},
{ 40, 41, 43, 42, 35, 38, 38, 35, 39, 33, 36, 38, 40, 40, 41, 38, 36, 36, 34, 35, 24,  0,},
{ 36, 51, 31, 36, 61, 32, 41, 41, 36, 48, 42, 30, 34, 30, 34, 32, 32, 37, 60, 53, 38,  0,},
{ 40, 35, 40, 37, 36, 52, 42, 36, 36, 34, 22, 39, 35, 33, 32, 39, 34, 39, 30, 37, 37,  0,},
{ 37, 24, 39, 38, 40, 42, 51, 33, 37, 23, 29, 43, 42, 46, 31, 38, 33, 40, 31, 45, 42,  0,},
{ 38, 31, 32, 35, 44, 34, 36, 55, 37, 43, 45, 35, 28, 35, 39, 33, 37, 49, 42, 47, 44,  0,},
{ 40,  5, 38, 39, 36, 36, 37, 38, 44, 38, 39, 37, 33, 42, 45, 38, 37, 35, 26, 31, 38,  0,},
{ 38, 43, 30, 35, 44, 35, 26, 42, 39, 52, 48, 35, 32, 40, 35, 37, 40, 42, 37, 43, 41,  0,},
{ 36, 32, 33, 37, 44, 20, 31, 46, 39, 47, 58, 34, 32, 42, 41, 32, 37, 42, 50, 51, 42,  0,},
{ 37, 26, 44, 38, 28, 40, 44, 36, 37, 35, 36, 49, 33, 39, 40, 42, 40, 30, 27, 31, 39,  0,},
{ 39, 17, 39, 39, 32, 34, 41, 26, 33, 31, 28, 33, 62, 36, 33, 40, 40, 30,  0, 29, 22,  0,},
{ 36, 33, 37, 41, 29, 34, 43, 35, 42, 40, 43, 39, 35, 47, 43, 38, 40, 38, 17, 28, 36,  0,},
{ 36, 19, 33, 41, 35, 31, 31, 36, 45, 30, 41, 40, 33, 43, 55, 36, 36, 34, 28, 37, 14,  0,},
{ 40, 31, 39, 39, 28, 39, 36, 30, 37, 33, 31, 42, 39, 39, 36, 45, 45, 41, 34, 31, 34,  0,},
{ 38, 14, 43, 36, 35, 35, 31, 38, 37, 40, 35, 40, 39, 39, 35, 45, 45, 41, 31, 37, 29,  0,},
{ 35, 42, 36, 38, 40, 37, 43, 49, 36, 44, 41, 37, 34, 37, 35, 40, 39, 47, 40, 38, 46,  0,},
{ 29, 41, 29, 35, 51, 34, 31, 43, 32, 41, 51, 30,  2, 25, 29, 32, 32, 38, 86, 46, 45,  0,},
{ 36, 35, 36, 37, 53, 34, 48, 45, 33, 44, 49, 30, 26, 29, 37, 32, 40, 38, 45, 56, 46,  0,},
{ 28, 75, 47, 20, 40, 34, 38, 44, 39, 44, 44, 40, 24, 41, 25, 38, 34, 46, 41, 44, 62,  0,},
{  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,},
},

{
{ 48, 14, 39, 40, 32, 40, 35, 38, 38, 33, 39, 37, 38, 39, 35, 38, 36, 41, 34, 32, 45,  0,},
{ 19,100, 18, 15, 34, 31, 26,  0, 21, 17, 19, 22, 24, 31, 33, 23, 22, 33, 34, 15, 52,  0,},
{ 39, 14, 53, 41, 25, 40, 38, 27, 34, 26, 27, 44, 38, 38, 31, 38, 36, 33, 25, 29, 30,  0,},
{ 41, 17, 41, 50, 26, 36, 36, 32, 40, 30, 32, 36, 37, 43, 39, 36, 39, 35, 33, 29, 30,  0,},
{ 31, 28, 26, 30, 65, 25, 42, 44, 31, 49, 44, 33, 30, 31, 32, 32, 29, 38, 53, 56, 38,  0,},
{ 41, 31, 39, 36, 28, 57, 34, 27, 34, 29, 36, 38, 35, 36, 28, 38, 33, 30, 28, 27, 37,  0,},
{ 34, 12, 38, 36, 43, 33, 62, 23, 41, 38, 29, 36, 32, 41, 40, 33, 35, 33, 27, 45, 35,  0,},
{ 36, 28, 29, 33, 44, 27, 29, 58, 33, 48, 47, 32, 38, 32, 34, 33, 36, 51, 44, 42, 38,  0,},
{ 38, 20, 34, 40, 31, 33, 41, 33, 48, 35, 36, 38, 36, 40, 45, 37, 39, 37, 35, 33, 35,  0,},
{ 34, 13, 26, 30, 48, 29, 38, 48, 37, 56, 51, 34, 28, 37, 35, 35, 36, 45, 40, 41, 35,  0,},
{ 37, 26, 29, 34, 46, 36, 28, 46, 37, 51, 60, 38, 27, 40, 33, 33, 36, 42, 41, 40, 29,  0,},
{ 36, 17, 44, 37, 32, 39, 35, 31, 38, 33, 37, 51, 34, 37, 38, 41, 40, 33, 21, 37, 34,  0,},
{ 38, 17, 38, 37, 28, 34, 31, 38, 35, 29, 27, 33, 62, 35, 32, 37, 34, 34, 30, 30, 39,  0,},
{ 40, 22, 38, 43, 30, 35, 41, 32, 40, 37, 40, 37, 35, 51, 39, 37, 38, 37, 34, 34, 32,  0,},
{ 34, 27, 31, 39, 30, 28, 40, 32, 45, 35, 33, 38, 31, 39, 58, 39, 37, 33, 34, 32, 31,  0,},
{ 38, 22, 38, 36, 31, 38, 34, 32, 37, 34, 32, 40, 36, 38, 39, 50, 44, 36, 31, 30, 35,  0,},
{ 37, 21, 36, 39, 29, 33, 35, 35, 39, 36, 36, 40, 34, 38, 37, 43, 51, 38, 20, 34, 34,  0,},
{ 38, 21, 32, 36, 41, 31, 33, 52, 37, 45, 40, 34, 34, 38, 34, 36, 38, 52, 37, 41, 31,  0,},
{ 33, 18, 26, 33, 52, 28, 26, 44, 39, 38, 42, 31, 30, 34, 34, 27, 17, 33, 82, 50, 20,  0,},
{ 29, 12, 29, 30, 56, 24, 45, 42, 33, 40, 42, 36, 30, 34, 34, 30, 34, 38, 50, 65, 40,  0,},
{ 40, 48, 31, 32, 44, 40, 34, 38, 35, 32, 28, 37, 39, 31, 37, 36, 37, 29, 20, 36, 87,  0,},
{  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,},
},

{
{ 60, 32, 48, 48, 41, 47, 43, 47, 49, 47, 51, 48, 49, 50, 47, 50, 48, 49, 37, 45, 44,  0,},
{ 39, 92, 28, 36, 47, 19, 35, 31, 35, 22, 46, 30, 31, 41, 41, 31, 32, 30, 41, 19, 53,  0,},
{ 48, 26, 65, 52, 38, 46, 45, 37, 46, 36, 40, 53, 45, 47, 44, 49, 44, 39, 32, 38, 31,  0,},
{ 49, 28, 52, 62, 38, 42, 45, 40, 51, 42, 47, 46, 45, 53, 46, 48, 48, 44, 32, 42, 37,  0,},
{ 41, 41, 39, 38, 72, 34, 50, 55, 40, 54, 46, 43, 39, 44, 39, 40, 44, 50, 59, 63, 49,  0,},
{ 47,  0, 46, 42, 35, 68, 40, 34, 44, 39, 43, 48, 42, 44, 40, 46, 40, 40, 40, 38, 28,  0,},
{ 44, 36, 44, 45, 49, 40, 76, 40, 47, 47, 46, 49, 40, 46, 48, 43, 44, 45, 45, 53, 47,  0,},
{ 47, 27, 38, 41, 56, 35, 42, 68, 41, 57, 58, 39, 42, 44, 44, 39, 48, 61, 45, 49, 48,  0,},
{ 48, 29, 46, 51, 39, 43, 47, 41, 60, 45, 49, 47, 46, 51, 54, 46, 49, 47, 40, 41, 37,  0,},
{ 46, 34, 37, 42, 55, 39, 47, 58, 46, 66, 58, 43, 45, 46, 46, 42, 45, 54, 49, 49, 45,  0,},
{ 51, 32, 40, 48, 47, 43, 45, 58, 50, 58, 66, 45, 39, 51, 46, 45, 47, 47, 51, 49, 57,  0,},
{ 47, 32, 53, 47, 43, 48, 49, 37, 47, 42, 44, 62, 44, 46, 49, 51, 48, 42, 34, 44, 39,  0,},
{ 50, 31, 45, 45, 37, 41, 41, 43, 46, 45, 41, 44, 71, 40, 45, 48, 46, 42, 32, 37, 40,  0,},
{ 50, 36, 48, 53, 43, 43, 46, 44, 51, 46, 51, 46, 40, 62, 52, 49, 47, 46, 40, 43, 43,  0,},
{ 47, 40, 44, 46, 37, 39, 47, 43, 54, 46, 45, 49, 45, 52, 65, 48, 46, 44, 45, 44, 46,  0,},
{ 50, 27, 50, 48, 39, 45, 44, 37, 46, 42, 43, 51, 48, 49, 48, 60, 53, 42, 35, 43, 42,  0,},
{ 48, 27, 44, 48, 43, 40, 44, 49, 49, 45, 48, 48, 46, 47, 46, 53, 61, 50, 39, 45, 43,  0,},
{ 47, 31, 39, 44, 50, 38, 44, 61, 46, 55, 49, 42, 42, 47, 45, 43, 50, 65, 41, 46, 48,  0,},
{ 38, 40, 31, 32, 60, 42, 42, 47, 40, 49, 51, 33, 32, 38, 45, 34, 38, 36, 85, 62, 36,  0,},
{ 45, 16, 37, 43, 63, 38, 53, 47, 42, 48, 50, 43, 35, 43, 44, 43, 45, 45, 61, 70, 56,  0,},
{ 45, 47, 37, 35, 50, 41, 48, 48, 37, 46, 57, 39, 39, 43, 44, 45, 44, 52, 35, 53,100,  0,},
{  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,},
},

{
{ 58, 14, 41, 42, 34, 40, 35, 36, 42, 38, 42, 39, 43, 42, 36, 42, 41, 42, 30, 30, 47,  0,},
{ 14, 92, 21, 29, 17,  4, 20, 33, 12, 14, 21, 26,  0,  9, 31, 20, 20, 10, 14, 10, 35,  0,},
{ 40, 20, 63, 48, 29, 36, 40, 29, 34, 26, 32, 47, 40, 40, 30, 40, 36, 32, 32, 35, 33,  0,},
{ 43, 29, 48, 63, 28, 37, 36, 36, 40, 34, 38, 36, 37, 46, 34, 34, 36, 34, 29, 30, 16,  0,},
{ 35, 10, 30, 30, 73, 15, 40, 46, 23, 48, 48, 33, 32, 28, 33, 25, 29, 38, 46, 59, 38,  0,},
{ 40,  8, 36, 38, 15, 64, 32, 19, 33, 20, 33, 39, 33, 26, 37, 37, 30, 29, 34, 34, 23,  0,},
{ 33, 20, 40, 36, 41, 33, 72, 26, 43, 37, 44, 49, 34, 44, 46, 37, 35, 33, 41, 42, 40,  0,},
{ 35,  9, 31, 35, 46, 20, 29, 67, 30, 50, 51, 39, 36, 33, 36, 40, 43, 56, 32, 39, 40,  0,},
{ 42,  9, 34, 40, 20, 32, 43, 30, 60, 39, 37, 42, 30, 47, 50, 37, 37, 34, 22, 26, 25,  0,},
{ 38, 14, 28, 34, 49, 21, 37, 51, 39, 66, 54, 35, 34, 37, 39, 27, 34, 50, 35, 36, 41,  0,},
{ 42, 22, 32, 38, 48, 33, 41, 52, 37, 54, 73, 37, 31, 40, 42, 36, 39, 51, 39, 38, 45,  0,},
{ 38, 27, 47, 36, 34, 39, 50, 37, 42, 34, 37, 61, 36, 37, 38, 43, 41, 31, 33, 38, 33,  0,},
{ 44,  1, 40, 37, 31, 31, 34, 33, 30, 33, 30, 37, 68, 32, 32, 37, 32, 36, 24, 28, 24,  0,},
{ 43,  2, 40, 45, 28, 25, 44, 33, 47, 37, 40, 37, 32, 64, 41, 34, 36, 39, 26, 23, 25,  0,},
{ 36, 31, 30, 33, 33, 36, 45, 36, 50, 39, 40, 38, 32, 41, 65, 35, 39, 37, 36, 29, 26,  0,},
{ 43, 19, 40, 34, 26, 37, 37, 35, 37, 26, 36, 44, 37, 34, 35, 56, 47, 31, 24, 32, 35,  0,},
{ 40,  8, 36, 36, 28, 29, 35, 44, 37, 35, 39, 41, 32, 37, 39, 47, 59, 40, 29, 28, 34,  0,},
{ 39, 10, 32, 35, 40, 25, 32, 58, 34, 51, 51, 31, 37, 39, 36, 32, 40, 65, 30, 34, 47,  0,},
{ 29, 15, 30, 29, 47, 32, 42, 31, 24, 34, 41, 34, 19, 28, 36, 21, 29, 29, 82, 50, 38,  0,},
{ 28, 10, 34, 31, 59, 32, 42, 35, 27, 35, 38, 37, 24, 23, 29, 32, 27, 31, 50, 69, 43,  0,},
{ 33, 35, 33, 24, 38, 30, 43, 38, 25, 41, 45, 35, 24, 25, 26, 30, 33, 55, 38, 42,100,  0,},
{  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,},
},

{
{ 63, 10, 36, 40, 33, 36, 33, 37, 34, 35, 29, 37, 40, 36, 34, 41, 38, 44, 18, 25, 39,  0,},
{ 10, 99, 23, 11, 21,  6, 25, 20,  8, 15, 32, 29, 12, 14, 14, 16,  6, 14, 28, 26, 43,  0,},
{ 36, 23, 66, 49, 21, 34, 36, 22, 32, 23,  6, 47, 31, 35, 23, 38, 28, 27, 15, 25, 25,  0,},
{ 39, 11, 49, 66, 24, 26, 39, 26, 39, 23, 31, 34, 30, 47, 31, 29, 34, 34, 24, 28, 31,  0,},
{ 34, 21, 21, 24, 77, 12, 40, 42, 20, 46, 52, 29, 24, 35, 25, 25, 26, 26, 51, 53, 44,  0,},
{ 38,  6, 34, 27, 12, 66, 35, 21, 22, 14, 25, 37, 26, 27, 29, 31, 19, 23, 28, 27, 26,  0,},
{ 29, 25, 35, 39, 40, 34, 77, 30, 40, 34, 40, 48, 27, 44, 44, 31, 34, 29, 40, 43, 32,  0,},
{ 36, 20, 21, 27, 44, 17, 28, 71, 31, 54, 53, 28, 25, 25, 29, 32, 40, 55, 33, 43, 35,  0,},
{ 34,  8, 32, 39, 20, 22, 40, 30, 64, 31, 36, 36, 27, 45, 48, 32, 39, 35,  0, 22, 15,  0,},
{ 35, 15, 23, 25, 45, 17, 33, 54, 32, 69, 58, 27, 37, 34, 41, 27, 34, 47, 44, 37, 38,  0,},
{ 31, 32,  6, 31, 52, 25, 40, 53, 36, 59, 78, 25, 16, 40, 40, 27, 40, 49, 45, 35, 58,  0,},
{ 38, 29, 47, 34, 29, 38, 49, 24, 37, 27, 25, 65, 34, 36, 34, 42, 39, 18, 32, 37, 33,  0,},
{ 40, 12, 31, 30, 25, 24, 28, 25, 27, 38, 24, 33, 71, 27, 21, 34, 29, 35, 27, 22, 19,  0,},
{ 36, 14, 35, 47, 36, 26, 43, 24, 45, 37, 40, 36, 27, 68, 38, 32, 32, 39,  6, 15, 20,  0,},
{ 34, 14, 24, 31, 25, 28, 43, 29, 48, 40, 40, 34, 21, 38, 69, 33, 35, 34, 35, 25, 29,  0,},
{ 41, 16, 38, 28, 25, 30, 32, 31, 32, 25, 30, 42, 34, 33, 33, 59, 45, 27, 31, 31, 26,  0,},
{ 38,  6, 28, 34, 24, 20, 35, 40, 40, 33, 42, 40, 29, 32, 35, 45, 61, 39, 15, 24, 32,  0,},
{ 40, 14, 27, 35, 32, 21, 29, 57, 35, 49, 49, 20, 36, 39, 33, 27, 40, 68, 19, 29, 40,  0,},
{ 19, 29, 16, 26, 51, 24, 40, 35,  1, 39, 46, 34, 27,  6, 35, 29, 12, 15, 86, 53, 35,  0,},
{ 20, 26, 25, 28, 53, 26, 43, 42, 22, 37, 35, 36, 21, 15, 26, 30, 24, 26, 52, 72, 33,  0,},
{ 36, 43, 25, 31, 44, 26, 32, 27, 23, 38, 52, 33, 19, 21, 29, 26, 34, 42, 35, 33,100,  0,},
{  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,},
},

{
{ 61, 10, 31, 33, 17, 32, 32, 27, 26, 27, 30, 33, 37, 29, 25, 36, 35, 41, 16, 20, 28,  0,},
{ 10,100, 10, 13, 21,  7, 27, 22, 10, 22, 33, 14, 13, 14, 13, 11, 16, 16, 27, 14, 67,  0,},
{ 31, 10, 64, 42, 17, 31, 24, 13, 23,  6, 20, 41, 14, 23, 12, 32, 19, 27, 28, 24, 16,  0,},
{ 33, 13, 42, 67, 20, 22, 29, 24, 31, 16, 17, 29, 15, 43, 19, 20, 25, 23, 17, 17, 19,  0,},
{ 17, 21, 19, 21, 75,  6, 35, 36,  7, 36, 44, 25, 18, 19, 14, 19, 12, 26, 40, 49, 35,  0,},
{ 31,  7, 31, 23, 11, 63, 29,  7, 20,  0, 10, 33, 21, 21, 28, 24, 13, 10, 20, 24, 12,  0,},
{ 31, 27, 25, 28, 35, 29, 78, 30, 27, 25, 34, 42, 16, 41, 40, 27, 16, 16, 33, 40, 33,  0,},
{ 26, 22, 14, 24, 37,  2, 30, 72, 24, 48, 50, 21, 29, 16, 11, 27, 37, 48, 19, 34, 27,  0,},
{ 26, 10, 23, 31,  7, 20, 27, 23, 64, 17, 30, 33, 17, 39, 44, 23, 30, 21, 22, 17, 24,  0,},
{ 27, 22,  7, 16, 36,  1, 26, 48, 17, 67, 56, 18, 25, 23, 34, 19, 23, 43, 29, 30, 35,  0,},
{ 30, 34, 20, 17, 44,  6, 38, 50, 30, 57, 78, 32, 23, 33, 20, 24, 37, 38, 18, 12, 39,  0,},
{ 31, 14, 42, 29, 25, 33, 42, 19, 33, 18, 32, 63, 23, 28, 30, 37, 32, 25, 31, 30, 38,  0,},
{ 37, 13, 16, 16, 17, 20, 16, 29, 17, 26, 22, 23, 69, 24, 21, 28, 26, 26, 17, 16, 19,  0,},
{ 29, 14, 23, 42, 23, 21, 41, 12, 39, 24, 35, 28, 24, 67, 30, 23, 27, 31, 17, 13, 19,  0,},
{ 26, 13, 10, 19, 14, 27, 39, 11, 44, 32, 20, 30, 21, 31, 67, 27, 26, 19, 26, 22, 27,  0,},
{ 36, 11, 32, 20, 20, 24, 29, 27, 23, 19, 24, 37, 28, 24, 27, 56, 41, 24, 22, 27, 27,  0,},
{ 33, 16, 20, 25, 14, 11, 19, 37, 30, 23, 37, 33, 26, 27, 26, 41, 61, 31, 13, 17, 30,  0,},
{ 40, 16, 27, 23, 26,  8, 16, 49, 21, 43, 40, 25, 27, 32, 19, 24, 32, 68, 21, 27, 40,  0,},
{ 11, 28, 28, 19, 40, 19, 32, 19, 22, 29, 18, 30, 17, 18, 26, 22, 14, 19, 82, 44, 33,  0,},
{ 13, 14, 23, 18, 49, 22, 40, 33, 18, 30, 23, 30, 17, 13, 22, 26, 16, 26, 44, 68, 40,  0,},
{ 29, 65, 24, 19, 35, 13, 33, 28, 24, 28, 39, 38, 19, 20, 27, 28, 22, 41, 34, 41,100,  0,},
{  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,},
},

{
{ 71, 24, 30, 38, 32, 35, 21, 18, 30, 26, 26, 33, 38, 33, 20, 43, 39, 42, 11, 27, 42,  0,},
{ 25, 98, 14, 15, 27, 12, 38, 26, 12, 18, 34, 18, 19, 18, 18, 10, 13, 20, 33, 19, 50,  0,},
{ 30, 14, 73, 45, 28, 28, 34, 17, 27,  9, 19, 44, 24, 27, 14, 30, 14, 14, 18, 24, 27,  0,},
{ 38, 15, 45, 73, 18, 23, 33, 21, 34, 19, 28, 27, 16, 42,  8, 20, 21, 27, 10, 18, 27,  0,},
{ 30, 27, 28, 18, 85,  2, 39, 30, 11, 44, 48, 28, 17,  7,  7, 25,  3, 23, 31, 53, 40,  0,},
{ 34, 12, 28, 23,  1, 72, 23, 14, 14,  6, 22, 32, 20, 12, 26, 27, 23, 18, 37, 17, 24,  0,},
{ 21, 37, 34, 33, 43, 23, 84, 17, 31, 29, 25, 50, 34, 48, 42, 10, 18, 25, 24, 45, 55,  0,},
{ 18, 26, 20, 20, 29, 17, 26, 81, 23, 47, 56, 24, 27,  6, 30, 33, 44, 57, 21, 27, 47,  0,},
{ 30, 12, 27, 33, 11, 14, 31, 23, 71, 23, 40, 37, 21, 39, 43, 26, 35, 20,  8,  2, 42,  0,},
{ 24, 18, 12, 19, 43, 10, 32, 46, 24, 76, 55, 21, 30, 34, 32, 19, 28, 40, 37, 29, 39,  0,},
{ 26, 34, 19, 28, 48, 22, 25, 56, 39, 56, 88, 23, 15, 27, 22, 20, 40, 43, 29, 15, 55,  0,},
{ 32, 18, 45, 30, 28, 31, 50, 24, 37, 21, 23, 74, 24, 37, 30, 42, 30,  9, 14, 32, 31,  0,},
{ 38, 19, 24, 16, 17, 19, 32, 27, 21, 29, 15, 24, 78, 26, 21, 38, 23, 15, 14, 22, 31,  0,},
{ 34, 18, 27, 42,  7, 12, 48,  6, 39, 35, 28, 36, 26, 75, 35, 25, 24, 27, 21, 19, 30,  0,},
{ 18, 18, 14,  8,  7, 26, 39, 30, 43, 32, 23, 30, 21, 35, 76, 24, 20, 24, 22, 25, 39,  0,},
{ 43, 10, 30, 20, 24, 28, 15, 33, 25, 18, 20, 42, 38, 25, 23, 67, 43, 22,  5, 28, 42,  0,},
{ 38, 13, 16, 23,  3, 20, 18, 44, 35, 26, 38, 30, 23, 24, 22, 43, 71, 30, 17, 12, 26,  0,},
{ 41, 20, 10, 27, 23, 14, 25, 57, 20, 42, 43,  0, 18, 27, 24, 22, 32, 78, 24, 18, 32,  0,},
{ 11, 33, 18, 10, 31, 30, 25, 22, 16, 36, 30, 14, 14, 22, 22,  6, 17, 24, 93, 39, 46,  0,},
{ 24, 19, 24, 18, 54, 17, 45, 27,  2, 24, 16, 32, 22, 19, 25, 28, 12, 21, 38, 78, 40,  0,},
{ 28, 58, 27, 27, 39, 24, 55, 47, 42, 39, 55, 31, 31, 30, 38, 42, 25, 32, 45, 48,100,  0,},
{  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,},
},

{
{ 74, 21, 31, 32,  8, 40, 18, 18, 27, 12, 37, 29, 36, 19, 22, 40, 43, 34, 14, 11, 24,  0,},
{ 20,100, 22, 22, 33, 20, 30, 36, 18, 24, 44, 24, 24, 26, 26, 19, 29, 26, 39, 29, 69,  0,},
{ 31, 22, 76, 49, 10, 32, 23, 20, 19,  9, 20, 46, 13, 28,  2, 29, 10, 21, 16,  5, 26,  0,},
{ 32, 22, 49, 75, 17, 27, 14, 12, 29,  0, 20, 26, 16, 41, 22, 17, 21, 33, 15, 13, 25,  0,},
{  8, 33,  9, 17, 87,  7, 30, 41,  6, 47, 39, 11, 11, 13, 21,  6, 16, 32, 34, 55, 36,  0,},
{ 40, 20, 33, 29,  7, 74, 12, 18, 11,  6, 18, 30, 14, 15, 31, 37, 11, 25, 34, 11, 36,  0,},
{ 18, 31, 23, 14, 26, 13, 84, 20, 27, 35, 44, 42,  9, 50, 45,  4,  6, 11, 32, 44, 50,  0,},
{ 18, 36, 20, 12, 39, 18, 20, 88, 16, 46, 60, 27, 27, 16, 16, 21, 36, 57, 29, 19, 39,  0,},
{ 27, 19, 19, 29,  6, 11, 27, 16, 73, 21, 32, 40,  5, 38, 46, 12, 31, 19, 12, 17, 30,  0,},
{ 12, 25,  9,  1, 46,  7, 36, 41, 21, 79, 46, 11, 21, 38, 32, 23, 22, 43, 26, 23, 28,  0,},
{ 37, 44, 20, 20, 39, 18, 44, 59, 32, 48, 94, 35, 22, 39, 31, 35, 41, 52, 37, 27, 47,  0,},
{ 28, 24, 46, 27, 12, 30, 42, 30, 40, 11, 38, 77, 19, 26, 26, 42, 36, 17, 18, 34, 28,  0,},
{ 37, 24, 13, 16, 12, 14,  9, 27,  5, 21, 22, 19, 79, 26, 17, 34, 23, 17, 26,  7, 28,  0,},
{ 21, 26, 28, 41, 13, 15, 50, 16, 38, 37, 39, 26, 26, 79, 33, 14, 21, 24, 32,  9, 29,  0,},
{ 22, 26,  2, 22, 21, 31, 46, 16, 46, 30, 32, 24, 17, 33, 79, 31, 20, 14, 27,  9, 37,  0,},
{ 40, 19, 29, 18, 14, 36,  4, 21, 12, 22, 35, 42, 34, 14, 31, 72, 43, 24, 20, 29, 41,  0,},
{ 43, 29, 10, 21, 16, 11,  6, 37, 31, 22, 41, 36, 23, 21, 19, 43, 75, 34, 23,  4, 25,  0,},
{ 32, 26, 21, 33, 34, 25, 11, 58, 19, 44, 51, 25, 17, 24, 14, 23, 34, 80, 28,  9, 50,  0,},
{ 14, 40, 16, 15, 27, 34, 32, 29, 12, 26, 37, 18, 26, 32, 32, 20, 23, 28, 94, 35, 43,  0,},
{ 11, 29, 13, 13, 54, 11, 42, 19, 17, 23, 27, 34,  8,  9,  9, 28,  5,  9, 35, 83, 40,  0,},
{ 25, 62, 27, 26, 37, 37, 50, 40, 31, 29, 48, 29, 29, 30, 38, 41, 26, 46, 44, 41,100,  0,},
{  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,},
},

{
{ 77, 27, 22, 23, 13, 17, 14, 23, 15,  4, 22, 15, 25,  8,  1, 35, 29, 38, 17, 11, 27,  0,},
{ 27,100, 27, 28, 41, 27, 42, 42, 29, 32, 49, 34, 36, 36, 29, 32, 32, 40, 44, 39, 54,  0,},
{ 22, 27, 77, 30, 13, 16, 14, 14, 10,  4, 22, 37,  8, 26,  1,  4, 13, 26, 17, 11, 26,  0,},
{ 23, 28, 30, 77, 13, 17, 15, 15, 26,  5, 22, 21,  8, 35,  2, 25,  5, 13, 17, 25, 27,  0,},
{ 13, 41, 13, 13, 89, 12, 28, 41, 14, 31, 35, 20, 21, 22, 14, 18, 18, 25, 30, 50, 40,  0,},
{ 19, 27, 16, 17, 12, 77, 27, 14,  0,  4, 21, 15,  7, 16, 26, 13,  4, 12, 30, 10, 26,  0,},
{ 14, 42, 23, 15, 27, 27, 89, 29, 16, 32, 45, 45, 22, 45, 38, 19, 19, 27, 31, 43, 41,  0,},
{ 23, 42, 14, 15, 41, 14, 29, 90, 16, 27, 45, 21, 22, 23, 16, 19, 19, 54, 31, 25, 41,  0,},
{ 15, 29, 10, 26, 14,  1, 16, 16, 78,  6, 23, 35,  9, 10, 31,  6, 30, 14, 27, 21, 28,  0,},
{  4, 32,  4,  5, 31,  4, 33, 27,  6, 81, 35, 20, 12, 30, 23,  9,  9, 34, 30, 15, 31,  0,},
{ 22, 50, 22, 22, 35, 21, 45, 45, 23, 35, 96, 29, 30, 31, 32, 27, 27, 35, 39, 33, 49,  0,},
{ 15, 34, 36, 21, 20, 15, 45, 21, 35, 20, 29, 82, 15, 29,  8, 39, 25, 19, 24, 18, 33,  0,},
{ 25, 36,  8,  8, 21,  7, 22, 22,  9, 12, 30, 15, 85, 25,  9, 26, 26, 34, 25, 19, 35,  0,},
{  8, 36, 25, 35, 22, 17, 45, 23, 10, 30, 31, 29, 25, 84, 32, 13, 22, 21, 25, 20, 35,  0,},
{  1, 29,  1,  2, 14, 27, 40, 16, 31, 23, 32,  8,  9, 32, 78, 14,  6, 14, 18, 12, 28,  0,},
{ 35, 32,  4, 25, 18, 13, 19, 19,  6,  9, 27, 39, 26, 13, 14, 81, 37, 17, 22, 16, 40,  0,},
{ 29, 32, 13,  5, 18,  4, 19, 19, 30,  9, 27, 25, 26, 22,  6, 37, 81, 31, 22, 16, 32,  0,},
{ 37, 40, 26, 13, 25, 12, 27, 55, 13, 34, 43, 19, 34, 21, 13, 26, 31, 87, 29, 23, 39,  0,},
{ 17, 45, 17, 17, 30, 25, 31, 31, 27, 30, 39, 24, 25, 26, 18, 22, 22, 29, 93, 28, 44,  0,},
{ 11, 39, 19, 25, 50, 10, 39, 25, 21, 15, 33, 18, 19, 20, 12, 16, 16, 23, 28, 87, 38,  0,},
{ 27, 54, 26, 27, 40, 26, 41, 41, 28, 31, 49, 33, 35, 35, 28, 40, 32, 39, 44, 38,100,  0,},
{  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,},
},

{
{ 56, 11, 36, 37, 29, 36, 32, 34, 36, 32, 37, 34, 37, 36, 32, 37, 35, 39, 24, 28, 40,  0,},
{ 17, 99, 12, 20, 31, 12, 17, 18, 16, 10, 27, 16, 10, 21, 25, 14, 17, 20, 21,  7, 50,  0,},
{ 35,  8, 60, 42, 22, 34, 34, 23, 32, 21, 25, 43, 33, 34, 26, 35, 31, 28, 21, 26, 28,  0,},
{ 37, 16, 42, 60, 24, 30, 33, 29, 37, 27, 32, 33, 32, 41, 33, 31, 33, 31, 23, 25, 22,  0,},
{ 29, 25, 24, 26, 73, 18, 38, 42, 26, 45, 41, 29, 26, 27, 26, 24, 25, 35, 47, 54, 34,  0,},
{ 36, 11, 34, 31, 20, 62, 30, 21, 29, 22, 28, 35, 28, 28, 27, 32, 25, 26, 26, 25, 27,  0,},
{ 31, 13, 34, 33, 38, 30, 71, 24, 37, 33, 32, 40, 29, 40, 38, 29, 30, 30, 30, 41, 35,  0,},
{ 33, 13, 25, 29, 43, 21, 28, 66, 30, 47, 49, 29, 31, 28, 30, 30, 37, 52, 33, 38, 35,  0,},
{ 36,  8, 32, 37, 24, 28, 37, 29, 57, 32, 36, 36, 30, 40, 44, 32, 35, 32, 24, 25, 29,  0,},
{ 32, 14, 23, 28, 44, 22, 33, 47, 33, 64, 51, 29, 29, 33, 34, 27, 31, 44, 35, 35, 34,  0,},
{ 36, 12, 26, 33, 43, 28, 32, 49, 36, 51, 72, 33, 24, 38, 33, 29, 35, 42, 37, 36, 39,  0,},
{ 34, 16, 43, 34, 28, 35, 40, 27, 36, 28, 32, 59, 30, 33, 35, 39, 36, 27, 23, 32, 29,  0,},
{ 37,  6, 33, 32, 23, 27, 29, 30, 30, 29, 24, 30, 68, 28, 27, 34, 30, 30, 18, 22, 27,  0,},
{ 36, 13, 34, 41, 26, 27, 40, 28, 40, 33, 38, 33, 28, 63, 37, 32, 33, 34, 22, 23, 24,  0,},
{ 31, 22, 27, 32, 25, 27, 38, 29, 44, 33, 32, 35, 27, 37, 65, 32, 32, 29, 30, 27, 25,  0,},
{ 37, 11, 35, 31, 23, 32, 30, 27, 32, 26, 28, 39, 33, 32, 32, 56, 43, 29, 22, 28, 30,  0,},
{ 35,  8, 31, 33, 25, 25, 30, 37, 35, 31, 35, 36, 30, 33, 33, 42, 58, 36, 21, 27, 28,  0,},
{ 36, 14, 28, 32, 36, 25, 31, 53, 33, 45, 42, 29, 30, 35, 30, 29, 36, 62, 28, 32, 38,  0,},
{ 23, 15, 20, 23, 47, 25, 29, 33, 27, 34, 38, 25, 17, 23, 30, 20, 20, 24, 87, 49, 15,  0,},
{ 25,  0, 25, 27, 54, 23, 41, 36, 26, 34, 37, 31, 20, 24, 27, 28, 27, 30, 48, 70, 39,  0,},
{ 33, 46, 30, 24, 39, 31, 36, 35, 31, 33, 39, 32, 28, 26, 29, 31, 30, 41, 15, 37,100,  0,},
{  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,},
},
};

