/*inacc.h  by ranges of percents from 0% down to 100% ; final mat is total */

/*	by ranges of percents from 0% down to 100% ; final mat is the
 *	overall matrix for solvent inaccessible positions between 0-100% identity 
 *      Overington & Johnson, 1996: 127 aligned protein families; 572 3D structs.
 *	original data in the file raw.Z
 *
 *      computed according to:
 *		Johnson & Overington (1993) J. Mol. Biol. 233:716-738 
 *      see Johnson, Overington & Blundell (1993) J. Mol. Biol. 231:735-752.
 *          Overington, Johnson, Sali & Blundell (1990) Proc. Roy. Soc. London
 *	    ser. B, 241:146-152.
 *	    Sali & Overington (1994) Prot. Sci. 3:1582-1596.
 */

/*
## 
##  TRADITIONAL DISCLAIMER
##
##  Copyright 1988-1996 John Overington & Mark Johnson
##  
##  Permission to use, copy, modify, and distribute this data, software
##  and its documentation for academic purposes is hereby granted without fee,
##  provided that the above copyright notice appear in all copies and that
##  both that copyright notice and this permission notice appear in
##  supporting documentation, and that the name of John Overington or Mark
##  Johnson or our respective institutions
##  not be used in advertising or publicity pertaining to distribution of
##  the software without specific, written prior permission. We
##  makes no representations about the suitability of this software for any
##  purpose. It is provided "as is" without express or implied warranty.
##  
##  JOHN OVERINGTON  AND MARK JOHNSON DISCLAIM ALL WARRANTIES WITH REGARD TO
##  THIS SOFTWARE/DATA, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND
##  FITNESS, IN NO EVENT SHALL OUR HOME INSTITUTIONS BE LIABLE FOR ANY SPECIAL,
##  INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
##  LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE
##  OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
##  OR PERFORMANCE OF THIS SOFTWARE.
##  
##  Primary authors:
##  	Dr. John Overington
##      Pfizer Central Research
##  	Pfizer UK
##  	Sandwich, Kent, UK
##
##  	jpo@sandwich.pfizer.com
##
##	Dr. Mark Johnson
##	Turku Center for Biotechnology
##	University of Turku & Abo Akademi University
##	PO Box 123
##	FIN-20521 Turku, Finland
##
##	mark@hops.btk.utu.fi
##
## Please send any improvements, bug fixes, useful modifications, and comments
## to one of the addresses above
*/

#define MAT_VER	"[matrix version 11.0 (last update: 17-07-96)]"
#define MAX_MAT 11	/* Limit to matrices in total.h */
#define MAX_VAL 22	/* Limit to dimensions in total.h */

/*
 *	B -> D (2); Z -> E (3); J (non-dsbond cys -> 21; X (unknown) -> 22 == 0's in matrix
 */

int ind[MAX_IND]={ 0, 2, 1, 2, 3, 4, 5, 6, 7,21, 8, 9,10, 
                  11,22,12,13,14,15,16,22,17,18,22,19, 3};

/*
values in matrices are in alphabetical order (with the exception of J & X):
	ACDEFGHIKLMNPQRSTVWYJX

border of matrices: }, { 
*/

char m_names[MAX_MAT][MAX_CDE]=

{"PID:0-10%", "PID:10-20%", "PID:20-30%", "PID:30-40%", "PID:40-50%",
"PID:50-60%", "PID:60-70%", "PID:70-80%", "PID:80-90%", "PID:90-100%",
"PID:0-100%"};

/* m_100: scaled matrices; */


/*total.h  by ranges of percents from 0% down to 100% ; final mat is total */

int mats[MAX_MAT][MAX_VAL][MAX_VAL] = { 
{
{  5, 42, 34, 43, 56, 53, 34, 46, 36, 58, 39, 58, 52, 23, 34, 43, 59, 55, 22, 31, 26,  0,},
{ 44, 75, 58, 67, 22, 65, 58, 51, 60, 31, 47, 50, 51, 47, 58, 42, 41, 26, 45, 45, 50,  0,},
{ 55, 39, 47, 56, 48, 44, 47, 40, 49, 36, 36, 55, 56, 36, 47, 31, 62, 40, 35, 60, 55,  0,},
{ 46, 26, 35, 44, 36, 41, 51, 27, 36, 53, 40, 42, 53, 39, 35, 60, 34, 53, 22, 68, 42,  0,},
{ 61, 16, 40, 33, 58, 43, 40, 36, 26, 42, 39, 61, 54, 38, 66, 40,  7, 34, 37, 54, 61,  0,},
{ 48, 57, 40, 49, 49, 38, 40, 45, 42, 60, 29, 32, 49, 54, 66, 40, 39, 49, 43, 11, 32,  0,},
{ 24, 45, 53, 62, 49, 35, 53, 52, 55, 10, 42, 45, 46, 79, 53, 37, 52, 37, 56, 50, 61,  0,},
{ 46, 56, 28, 37, 47, 41, 53, 48, 55, 56, 54, 19, 36, 42, 28, 28, 43, 61, 15, 31, 45,  0,},
{ 50, 68, 32, 41, 37, 50, 48, 52, 34, 51, 53, 60, 25, 37, 32, 57, 31, 32, 35, 51, 39,  0,},
{ 57, 29, 22, 31, 47, 56, 22, 54, 23, 53, 43, 39, 46, 42, 22, 37, 42, 47, 25, 50, 50,  0,},
{ 54, 43, 51, 60, 41, 49, 51, 51, 53, 25, 40, 59, 44, 72, 51, 35, 60, 35, 39, 38, 59,  0,},
{ 51, 35, 59, 52, 44, 41, 59, 11, 45, 26, 48, 51, 36, 32, 43, 72, 83, 43, 31, 14, 51,  0,},
{ 36, 41, 50, 59, 62, 47, 50, 54, 51, 32, 39, 41, 83, 38, 50, 34, 33, 43, 37, 21, 41,  0,},
{ 48, 38, 46, 55, 58, 44, 46, 39, 64, 48, 35, 38, 39, 35, 46, 30, 55, 51, 34, 49, 38,  0,},
{ 41, 37, 45, 54, 35, 71, 45, 60, 47, 28, 66, 37, 38, 34, 45, 61, 28, 58, 33, 17, 37,  0,},
{ 59, 48, 41, 50, 46, 54, 57, 56, 74, 43, 30, 48, 49, 46, 41, 50, 49,  9, 44, 28, 32,  0,},
{ 37, 71, 35, 44, 36, 32, 51, 27, 36, 42, 61, 58, 27, 55, 35, 55, 43, 63, 22, 56, 26,  0,},
{ 41, 21, 74, 39, 42, 48, 30, 62, 47, 46, 51, 21, 47, 55, 30, 58, 50, 53, 17, 17, 37,  0,},
{ 14, 35, 43, 52, 23, 41, 43, 26, 45,  0, 32, 35, 36, 48, 75, 27, 52, 27,100, 56, 51,  0,},
{ 30, 42, 50, 43, 54, 16, 60, 43, 52, 54, 55, 26, 27, 55, 34, 18, 17, 39, 63, 56, 63,  0,},
{ 37, 42, 67, 60, 40, 32, 51, 43, 52, 53, 56, 58, 43, 39, 51, 51, 34, 19, 54, 59, 42,  0,},
{  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,},
},

{
{ 51, 13, 32, 28, 35, 46, 23, 35, 21, 34, 31, 33, 30, 37, 17, 49, 42, 35, 23, 28, 39,  0,},
{ 15,100, 37, 41, 25, 29, 26,  7, 50, 29, 21, 54, 44, 39, 46, 29, 19,  0, 27, 42, 33,  0,},
{ 40, 38, 81, 42, 30, 35, 22, 31, 40, 24, 24, 58, 38, 53, 36, 45, 51, 32,  8, 32, 49,  0,},
{ 33, 40, 53, 77, 30, 39, 18, 33, 52, 34, 35, 52, 40, 65, 48, 49, 40, 34, 19, 46, 25,  0,},
{ 34, 22, 24, 18, 56, 22, 18, 33, 26, 42, 40, 24, 28, 23, 26, 15, 27, 32, 40, 43, 32,  0,},
{ 47, 22, 27, 35, 19, 63, 22, 31, 20, 23, 23, 28, 32, 37, 39, 51, 50, 23, 17, 24, 38,  0,},
{ 25, 19, 25, 29, 23, 31, 84, 26, 44, 22, 19, 50, 32, 51, 47, 25, 17, 29, 15, 40, 21,  0,},
{ 33, 25, 20, 30, 33, 30, 17, 48, 23, 43, 40, 24, 29, 25, 29, 13, 32, 48, 19, 36, 36,  0,},
{ 44, 48, 30, 24, 28, 47, 37, 32, 76, 36, 27, 46, 49, 54, 52, 41, 36, 34, 38, 38, 42,  0,},
{ 32, 25, 19, 21, 43, 18, 20, 42, 19, 47, 46, 24, 26, 26, 22, 28, 29, 39, 36, 38, 31,  0,},
{ 31, 41, 12, 33, 39, 23, 11, 39, 25, 46, 44, 39, 40, 45, 37, 37, 31, 36, 49, 47, 45,  0,},
{ 39, 47, 55, 57, 29, 35, 31, 30, 56, 29, 29, 72, 48, 48, 57, 47, 45, 40, 29, 27, 42,  0,},
{ 36, 37, 22, 50, 32, 44, 34, 32, 35, 30, 42, 46, 75, 40, 47, 41, 44, 39, 22, 31, 28,  0,},
{ 39, 30, 36, 62, 27, 35, 59, 34, 67, 31, 40, 54, 53, 61, 44, 50, 31, 28, 36, 40, 45,  0,},
{ 36, 40, 41, 62, 24, 44, 37, 40, 65, 37, 33, 58, 46, 43, 83, 30, 36, 25, 32, 37, 37,  0,},
{ 47, 31, 27, 31, 26, 51, 34, 25, 44, 35, 39, 31, 46, 36, 29, 58, 46, 28,  1, 25, 35,  0,},
{ 39, 41, 46, 41, 24, 47, 27, 33, 39, 31, 35, 49, 47, 39, 39, 50, 55, 38, 21, 42, 47,  0,},
{ 37, 23, 23, 17, 31, 27, 20, 47,  5, 38, 36,  9, 33, 31, 11, 30, 40, 49, 22, 38, 34,  0,},
{ 30, 32, 17, 21, 45,  3, 16, 19, 30, 33, 48, 28, 24, 29, 42, 19, 20, 24, 80, 46, 23,  0,},
{ 35, 48, 25, 39, 43, 36, 19, 38, 38, 36, 49, 41, 44, 40, 44, 22, 35, 37, 46, 55, 43,  0,},
{ 40, 31, 53, 41, 32, 39, 25, 37, 39, 30, 45, 37, 24, 29, 35, 24, 47, 34, 27, 45, 75,  0,},
{  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,},
},

{
{ 66, 30, 45, 49, 41, 53, 23, 45, 46, 43, 47, 47, 47, 48, 36, 60, 52, 51, 37, 41, 58,  0,},
{ 25,100, 31, 28, 24, 36, 18, 27, 36, 18, 39, 21, 26, 27, 42, 23, 40, 24, 33, 42, 37,  0,},
{ 54, 37, 92, 64, 32, 47, 46, 38, 51, 28, 38, 69, 49, 50, 53, 50, 51, 37, 28, 37, 35,  0,},
{ 52, 21, 65, 92, 42, 50, 50, 43, 60, 39, 47, 56, 52, 65, 40, 55, 52, 45, 37, 45, 41,  0,},
{ 40, 31, 14, 24, 72, 28, 34, 47, 15, 52, 51, 30, 37, 44, 40, 37, 34, 46, 54, 62, 38,  0,},
{ 52, 38, 39, 45, 24, 78, 31, 36, 39, 33, 37, 38, 29, 46, 43, 54, 41, 34, 31, 34, 49,  0,},
{ 37, 38, 46, 57, 34, 40, 91, 39, 43, 44, 48, 55, 43, 67, 41, 43, 45, 38, 26, 47, 25,  0,},
{ 45,  0, 20, 38, 47, 36, 32, 64, 23, 56, 50, 27, 34, 39, 30, 35, 42, 59, 44, 46, 42,  0,},
{ 56, 42, 54, 66, 36, 55, 43, 43, 86, 49, 45, 56, 51, 59, 74, 56, 51, 45, 58, 39, 48,  0,},
{ 42, 21, 16, 31, 53, 32, 44, 56, 38, 63, 59, 35, 35, 42, 38, 34, 40, 52, 46, 43, 39,  0,},
{ 48, 36, 21, 40, 50, 37, 50, 51, 35, 59, 71, 48, 39, 49, 45, 45, 51, 48, 53, 52, 39,  0,},
{ 51, 38, 70, 41, 37, 44, 57, 36, 59, 40, 49, 86, 46, 63, 52, 58, 54, 40, 49, 45, 46,  0,},
{ 48, 39, 35, 38, 40, 46, 45, 39, 53, 36, 39, 54, 89, 48, 38, 45, 51, 41, 32, 49, 52,  0,},
{ 51, 49, 51, 65, 45, 51, 62, 41, 57, 44, 47, 64, 54, 85, 61, 53, 47, 47, 48, 50, 53,  0,},
{ 52, 50, 49, 55, 40, 41, 47, 40, 85, 39, 44, 57, 53, 66, 93, 51, 52, 42, 47, 43, 52,  0,},
{ 60, 31, 42, 49, 40, 55, 29, 38, 58, 38, 47, 58, 51, 40, 32, 73, 62, 43, 30, 43, 50,  0,},
{ 52, 40, 45, 36, 33, 43, 41, 44, 39, 42, 50, 55, 49, 46, 45, 63, 77, 50,  5, 37, 57,  0,},
{ 51, 33, 35, 39, 46, 33, 37, 59, 38, 52, 49, 33, 40, 41, 38, 42, 48, 63, 38, 42, 49,  0,},
{ 38, 40, 18, 37, 54, 32, 27, 44, 40, 47, 53, 25, 32, 49, 52, 40, 25, 40, 90, 60, 32,  0,},
{ 46, 40, 41, 43, 61, 41, 48, 46, 51, 45, 48, 50, 49, 52, 33, 45, 39, 45, 59, 79, 37,  0,},
{ 59, 44, 31, 28, 33, 45, 26, 42, 53, 40, 39, 37, 52, 57, 48, 49, 55, 49, 32, 42, 89,  0,},
{  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,},
},

{
{ 73, 39, 38, 55, 37, 52, 42, 43, 44, 42, 53, 47, 46, 44, 25, 60, 55, 52, 34, 36, 56,  0,},
{ 35, 90, 14, 23, 20, 30, 18, 13, 26, 17, 42, 10,  2, 29, 19, 35, 31, 17, 19,  0, 22,  0,},
{ 44, 23, 96, 59, 26, 45, 35, 36, 61, 31, 25, 63, 27, 47, 35, 51, 44, 32, 13, 34, 41,  0,},
{ 52, 46, 61, 97, 29, 48, 57, 36, 71, 43, 57, 67, 41, 64, 64, 54, 51, 45, 37, 46, 28,  0,},
{ 36, 32,  3, 13, 80, 25, 45, 50, 37, 54, 52, 34, 24, 45, 34, 41, 30, 45, 59, 69, 45,  0,},
{ 53, 32, 34, 32, 22, 81, 23, 21, 33, 27, 10, 29, 15, 43, 34, 49, 41, 25, 31, 21, 40,  0,},
{ 42, 18, 41, 60, 46, 33, 98, 33, 40, 36, 37, 61, 46, 69, 52, 47, 45, 42, 45, 55, 45,  0,},
{ 43, 17, 33, 31, 49, 16, 19, 72, 43, 58, 53, 40, 32, 38, 39, 27, 40, 60, 39, 42, 40,  0,},
{ 57, 47, 37, 64, 43, 56, 62, 38, 95, 48, 52, 62, 55, 58, 85, 56, 55, 46, 37, 54, 40,  0,},
{ 42,  6,  7, 36, 54, 27, 37, 58, 31, 70, 60, 35, 28, 47, 42, 32, 39, 56, 37, 45, 45,  0,},
{ 53, 45, 21, 56, 51, 20, 39, 53, 47, 60, 83, 50, 34, 68, 26, 46, 46, 49, 42, 46, 47,  0,},
{ 54,  7, 63, 49, 37, 47, 55, 45, 58, 42, 53, 93, 45, 41, 39, 62, 58, 34, 31, 50, 50,  0,},
{ 47, 10, 28, 38, 36, 34, 36, 31, 46, 31, 10, 45, 94, 18, 45, 38, 45, 37, 11, 46, 20,  0,},
{ 50, 42, 27, 67, 48, 48, 67, 36, 69, 45, 66, 52, 43, 93, 67, 49, 51, 46, 39, 44, 58,  0,},
{ 50, 39, 36, 65, 43, 49, 62, 42, 87, 45, 43, 49, 50, 62,100, 56, 51, 45, 42, 45, 30,  0,},
{ 59, 38, 42, 49, 42, 51, 43, 35, 51, 35, 49, 59, 40, 45, 35, 79, 66, 41, 33, 38, 53,  0,},
{ 56, 35, 46, 46, 35, 40, 46, 38, 49, 40, 45, 58, 46, 51, 42, 66, 81, 50, 28, 39, 64,  0,},
{ 53, 17, 26, 44, 46, 29, 42, 60, 40, 55, 48, 27, 34, 41, 33, 39, 49, 69, 24, 36, 51,  0,},
{ 32, 23, 24, 42, 56, 23, 50, 36, 36, 38, 41, 34, 12, 46, 37, 36, 34, 32, 97, 53, 24,  0,},
{ 40,  7, 46, 38, 68, 25, 55, 45, 49, 48, 43, 54, 48, 41, 48, 40, 42, 41, 60, 86, 50,  0,},
{ 55, 31, 32, 33, 45, 29, 42, 40, 44, 45, 46, 51, 20, 60, 37, 51, 64, 50, 24, 54, 98,  0,},
{  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,},
},

{
{ 75, 25, 35, 45, 50, 58, 36, 38, 28, 45, 41, 44, 47, 56, 41, 59, 55, 51, 26, 49, 57,  0,},
{ 24, 90, 14, 23,  5, 12, 23,  0, 35,  8, 21, 19, 18, 35, 23, 10, 10,  5, 15, 20, 27,  0,},
{ 49, 21, 93, 49, 26, 43, 36, 42, 40, 32, 27, 57, 50, 35, 28, 52, 45, 36, 21, 25, 40,  0,},
{ 43, 22, 46, 98, 41, 53, 44, 39, 56, 34, 35, 61, 44, 79, 37, 55, 45, 42, 37, 38, 48,  0,},
{ 48, 13, 12, 21, 81, 20, 43, 54, 32, 55, 45, 37, 33, 30, 20, 35, 43, 49, 51, 60, 36,  0,},
{ 58,  8, 37, 24, 20, 79, 33, 13, 35, 24, 14, 39, 42, 28, 39, 56, 32, 26, 26, 12, 44,  0,},
{ 46, 22, 36, 45, 41, 34,100, 39, 66, 31, 43, 70, 39, 55, 58, 54, 45, 34, 47, 51, 56,  0,},
{ 39, 24, 36, 41, 54,  5, 33, 74, 35, 56, 63, 48, 36, 33, 23, 38, 45, 61, 41, 33, 45,  0,},
{ 52, 35, 47, 55, 45, 54, 60, 43,100, 39, 33, 57, 53, 55, 91, 52, 56, 44, 50, 39, 46,  0,},
{ 45,  8, 20, 35, 54, 21, 29, 56, 30, 71, 68, 40, 37, 38, 44, 28, 37, 57, 35, 41, 38,  0,},
{ 41, 21, 27, 41, 45, 17, 51, 62, 40, 68, 78, 40, 35, 47, 28, 40, 47, 51, 58, 33, 32,  0,},
{ 51, 18, 59, 55, 28, 49, 60, 51, 57, 42, 35, 92, 60, 50, 48, 69, 57, 41, 43, 42, 58,  0,},
{ 44, 17, 36, 41, 37, 54, 40, 46, 57, 41, 38, 47, 95, 34, 40, 52, 46, 43, 25, 34, 48,  0,},
{ 55, 36, 47, 81, 26, 36, 55, 33, 43, 36, 46, 53, 33, 93, 43, 60, 49, 39, 38, 20, 50,  0,},
{ 47, 30, 28, 60, 32, 54, 65, 32, 92, 45, 43, 41, 44, 31, 97, 44, 39, 52, 37, 38, 41,  0,},
{ 58, 18, 52, 41, 25, 55, 49, 52, 37, 33, 41, 67, 54, 58, 25, 83, 64, 44, 17, 29, 59,  0,},
{ 57, 31, 42, 37, 43, 41, 40, 44, 36, 37, 44, 50, 50, 37, 32, 64, 85, 52, 24, 34, 54,  0,},
{ 53,  5, 30, 36, 49, 33, 35, 59, 24, 56, 51, 41, 38, 36, 54, 43, 52, 72, 31, 36, 58,  0,},
{ 30, 15, 39, 30, 50, 39, 42, 41, 41, 35, 58, 42, 44, 24, 37, 40, 29, 33, 94, 48, 41,  0,},
{ 49, 18, 45, 33, 59, 45, 52, 43, 37, 43, 33, 57, 54, 19, 37, 38, 39, 42, 50, 89, 41,  0,},
{ 61, 26, 41, 42, 36, 40, 53, 46, 53, 38, 32, 58, 48, 51, 41, 62, 55, 54, 41, 43,100,  0,},
{  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,},
},

{
{ 74, 10, 22, 26, 36, 49, 21, 23, 34, 35, 32, 31, 36, 35, 24, 59, 54, 48, 23, 24, 50,  0,},
{  9, 86, 22, 34, 15,  9, 29,  9, 42,  6, 20, 28, 26, 22, 32, 19, 18,  7, 23, 20, 47,  0,},
{ 34, 22, 90, 46, 20, 29, 33, 21, 47, 25, 25, 58, 39, 27, 37, 36, 37, 24, 28, 32, 35,  0,},
{ 46, 32, 48, 96, 29, 45, 50, 30, 56, 39, 42, 53, 52, 68, 46, 48, 32, 40, 45, 34, 44,  0,},
{ 36, 15, 20, 31, 80, 14, 34, 42, 40, 48, 42, 25, 31, 31, 30, 29, 30, 38, 38, 62, 42,  0,},
{ 47, 10, 26, 33, 15, 77, 20,  0, 42, 15, 31, 27, 30, 14, 39, 41, 29, 21, 15, 12, 34,  0,},
{ 40, 28, 45, 44, 33, 37, 94, 19, 53, 24, 31, 59, 49, 52, 42, 52, 40, 25, 41, 30, 40,  0,},
{ 29,  8, 25, 24, 40, 19, 27, 72, 33, 49, 56, 33, 17, 20, 30, 29, 39, 58, 21, 30, 44,  0,},
{ 47, 39, 43, 55, 36, 38, 50, 37,100, 39, 41, 60, 59, 58, 80, 40, 61, 36, 44, 41, 58,  0,},
{ 35,  6, 22, 29, 49,  5, 24, 50, 31, 71, 61, 36, 37, 40, 20, 19, 29, 50, 32, 15, 37,  0,},
{ 29, 20, 25, 44, 42, 31, 31, 56, 45, 61, 79, 42, 41, 32, 35, 44, 41, 49, 33, 30, 40,  0,},
{ 38, 26, 59, 42, 24, 30, 56, 40, 51, 37, 41, 90, 52, 56, 52, 59, 57, 38, 39, 40, 39,  0,},
{ 41, 26, 39, 42, 24, 44, 45, 17, 59, 34, 29, 55, 92, 31, 41, 28, 49, 38, 32, 29, 39,  0,},
{ 39, 22, 27, 70, 20, 31, 54, 20, 47, 25, 25, 58, 31, 88, 44, 54, 34, 19, 28, 24, 34,  0,},
{ 40, 31, 36, 47, 29, 45, 57, 22, 79, 42, 34, 41, 40, 47, 96, 40, 43, 40, 44, 33, 43,  0,},
{ 58, 19, 36, 50, 25, 45, 45, 30, 44, 32, 39, 53, 45, 46, 34, 82, 58, 26, 25, 33, 49,  0,},
{ 55, 18, 23, 34, 35, 24, 36, 38, 43, 32, 28, 49, 50, 30, 32, 57, 82, 45, 24, 20, 54,  0,},
{ 51,  7, 24, 31, 35, 25, 26, 58, 32, 49, 48, 36, 35, 12, 44, 31, 44, 70, 32, 24, 44,  0,},
{ 21, 23, 28, 39, 40, 31, 41, 14, 48, 41, 33, 33, 32, 27, 45, 41, 30, 33, 90, 37, 42,  0,},
{ 38, 19, 31, 42, 61, 28, 37, 34, 44, 22, 29, 48, 35, 23, 33, 46, 19, 33, 39, 86, 31,  0,},
{ 51, 47, 35, 46, 42, 33, 41, 45, 55, 37, 47, 40, 39, 34, 44, 48, 52, 43, 43, 32, 93,  0,},
{  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,},
},

{
{ 72,  4,  9, 24, 13, 43, 17, 22, 26, 20, 24, 31, 34, 22, 16, 57, 48, 40, 10,  5, 36,  0,},
{  4, 84, 17, 25,  9,  4, 25,  4, 34,  0, 14, 22, 21, 16, 25, 14, 13,  2, 18, 14, 41,  0,},
{ 20, 17, 87, 49, 26, 28, 45,  9, 39, 13, 19, 53, 38, 20, 29, 34, 32,  6, 23, 18, 41,  0,},
{ 36, 24, 53, 93, 29, 36, 44, 16, 46, 24, 26, 45, 40, 56, 36, 43, 32, 13, 37, 33, 41,  0,},
{ 15,  9, 14, 22, 79, 15, 29, 32, 31, 37, 31, 26, 18, 32, 21, 23, 21, 25, 30, 57, 26,  0,},
{ 44,  4, 28, 16,  1, 74, 24, 11, 33,  4, 13, 21, 24,  7, 28, 31, 16, 14,  9,  5, 28,  0,},
{ 34, 24, 41, 48, 28, 27, 93, 15, 45, 24, 38, 52, 32, 56, 36, 53, 36, 21, 37, 37, 40,  0,},
{ 24,  4,  9, 17, 32, 15, 16, 72, 37, 42, 49, 13, 12,  7, 16, 25, 21, 52,  9, 17, 20,  0,},
{ 36, 34, 38, 46, 30, 40, 46, 40,100, 21, 35, 55, 42, 44, 68, 35, 33, 30, 39, 35, 50,  0,},
{ 19,  1,  5, 25, 37,  3, 20, 42, 22, 69, 54, 27, 21, 23, 27, 10, 28, 44, 33, 26, 29,  0,},
{ 25, 14, 19, 27, 31, 17, 26, 49, 36, 54, 81, 23, 23, 35, 26, 16, 22, 39, 32, 38, 31,  0,},
{ 44, 21, 48, 41, 25, 29, 48, 20, 42, 24, 23, 88, 29, 62, 33, 52, 49, 18, 26, 22, 60,  0,},
{ 39, 21, 25, 33, 25, 33, 33, 12, 42, 20, 22, 30, 91, 23, 32, 42, 32, 22, 26, 29, 37,  0,},
{ 28, 16, 28, 57, 20, 18, 54, 19, 37, 15, 29, 62, 24, 85, 27, 44, 23, 20, 21, 17, 32,  0,},
{ 21, 23, 43, 35, 20, 42, 43, 14, 71, 39, 25, 44, 31, 26, 93, 37, 30, 12, 28, 24, 39,  0,},
{ 57, 15, 35, 45, 12, 35, 45, 26, 36, 15, 16, 43, 35, 37, 27, 80, 55, 31, 20, 16, 51,  0,},
{ 52, 12, 29, 25,  9, 26, 24, 19, 34, 29, 14, 36, 21, 15, 24, 54, 80, 39, 18, 21, 44,  0,},
{ 42,  2,  6, 14, 25, 17, 22, 52, 23, 44, 37, 18, 18,  5, 14, 30, 38, 69,  7, 26, 38,  0,},
{ 21, 18, 23, 30, 30, 17, 38,  9, 39, 33, 32, 35, 26, 21, 30, 20, 18, 15, 88, 27, 34,  0,},
{ 33, 13, 39, 25, 57, 28, 37, 22, 34, 26, 32, 30, 21, 16, 25, 40, 32, 28, 26, 82, 29,  0,},
{ 35, 44, 33, 41, 26, 27, 41, 20, 50, 34, 30, 61, 37, 32, 41, 50, 48, 37, 34, 30, 96,  0,},
{  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,},
},

{
{ 75, 10, 15, 36,  6, 31, 24, 15, 30, 11, 12, 26, 27, 35, 22, 50, 43, 34, 16,  9, 39,  0,},
{  9, 87, 26, 34, 17, 12, 35,  9, 41,  6, 23, 29, 30, 29, 33, 20, 20,  8, 27, 21, 48,  0,},
{ 22, 25, 91, 47, 35, 25, 40, 22, 46, 19, 28, 60, 35, 33, 38, 38, 33, 12, 31, 25, 35,  0,},
{ 41, 33, 38, 96, 29, 32, 47, 21, 53, 26, 35, 58, 42, 41, 45, 40, 45, 19, 38, 46, 43,  0,},
{ 19, 17, 36, 30, 82,  8, 45,  6, 37, 37, 19, 25, 26, 25, 30, 16, 16, 24, 31, 53, 27,  0,},
{ 33, 12, 17, 25,  8, 78, 35,  9, 32, 10, 14, 20, 21, 20, 25, 31, 11, 12, 18, 12, 31,  0,},
{ 25, 36, 41, 49, 32, 36, 98, 33, 56, 34, 38, 44, 45, 44, 49, 44, 35, 23, 42, 36, 46,  0,},
{ 15, 10, 15, 22,  6,  0, 24, 74, 43, 40, 50, 31, 19, 18, 22, 17,  9, 48, 15,  9, 20,  0,},
{ 37, 40, 45, 53, 37, 31, 55, 42,100, 34, 43, 49, 50, 48, 53, 39, 39, 27, 55, 40, 50,  0,},
{ 16,  6, 11, 27, 39,  5, 29, 41, 26, 71, 47, 22, 32, 27, 18,  5, 13, 36, 12, 19, 16,  0,},
{ 12, 24, 29, 36, 20, 14, 38, 50, 44, 46, 86, 32, 33, 32, 36, 22, 23, 32, 29, 37, 34,  0,},
{ 35, 29, 58, 42, 26, 34, 44, 31, 49, 23, 32, 91, 38, 54, 42, 54, 37, 16, 44, 37, 48,  0,},
{ 35, 29, 35, 42, 26, 29, 52, 18, 50, 34, 32, 38, 94, 37, 42, 42, 28, 30, 35, 29, 39,  0,},
{ 31, 29, 34, 42, 25, 20, 44, 18, 49, 27, 31, 57, 38, 94, 50, 28, 28, 16, 35, 29, 39,  0,},
{ 30, 33, 38, 45, 29, 24, 64, 21, 53, 17, 35, 41, 42, 49, 97, 32, 40, 20, 39, 32, 43,  0,},
{ 48, 20, 25, 41, 25, 31, 35, 17, 40, 13, 22, 52, 38, 28, 33, 83, 54, 24, 26, 20, 50,  0,},
{ 45, 20, 25, 32, 16, 28, 34,  8, 40, 24, 35, 36, 29, 28, 32, 52, 84, 28, 25, 19, 30,  0,},
{ 35,  8, 21, 20, 24, 18, 22, 48, 28, 35, 32, 24, 25, 16, 20, 24, 24, 72, 14, 16, 40,  0,},
{ 15, 26, 31, 39, 31, 39, 41, 15, 47, 20, 29, 43, 36, 34, 39, 25, 25, 13, 92, 26, 36,  0,},
{ 22, 20, 26, 46, 51, 11, 43,  9, 41, 29, 36, 37, 30, 28, 33, 19, 19,  7, 26, 86, 44,  0,},
{ 43, 45, 36, 44, 27, 31, 46, 20, 51, 16, 33, 48, 40, 39, 44, 50, 30, 40, 37, 31, 93,  0,},
{  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,},
},

{
{ 76, 17, 40, 40,  8, 32, 18,  7, 36,  7, 18, 26, 35, 35, 29, 42, 34, 34, 22, 18, 36,  0,},
{ 18, 88, 33, 40, 20, 19, 30, 19, 48, 12, 30, 38, 35, 39, 41, 26, 26, 14, 34, 29, 36,  0,},
{ 40, 33, 90, 44, 23, 39, 41, 22, 51, 15, 33, 41, 39, 42, 44, 37, 30, 17, 37, 40, 40,  0,},
{ 40, 40, 43, 96, 30, 44, 41, 29, 58, 22, 52, 56, 46, 49, 51, 44, 37, 24, 44, 40, 47,  0,},
{  8, 19, 23, 30, 78,  9, 32, 16, 38, 24, 20, 28, 26, 29, 31, 24, 17, 16, 24, 43, 26,  0,},
{ 29, 19, 37, 29,  9, 77, 19,  8, 37,  1, 19, 27, 25, 28, 30, 23, 16, 11, 23, 19, 26,  0,},
{ 18, 30, 41, 41, 35, 19, 88, 19, 48, 20, 31, 39, 36, 54, 49, 27, 27, 15, 34, 42, 37,  0,},
{  7, 19, 22, 30, 21,  8, 19, 76, 37, 31, 39, 35, 25, 28, 30, 15, 23, 45, 23, 19, 26,  0,},
{ 36, 48, 52, 59, 38, 37, 49, 37,100, 30, 49, 57, 54, 58, 59, 45, 45, 33, 52, 48, 55,  0,},
{  7, 11, 15, 22, 26,  0, 12, 34, 30, 70, 44, 20, 17, 21, 23,  8,  8, 26, 23, 11, 26,  0,},
{ 18, 30, 34, 53, 20, 19, 31, 39, 49, 43, 87, 46, 36, 40, 41, 27, 27, 36, 35, 30, 37,  0,},
{ 34, 38, 41, 49, 28, 27, 39, 27, 56, 20, 39, 95, 44, 48, 49, 35, 35, 37, 42, 38, 45,  0,},
{ 31, 35, 39, 46, 26, 25, 36, 25, 54, 18, 36, 44, 93, 45, 47, 32, 32, 20, 40, 36, 42,  0,},
{ 27, 39, 42, 57, 29, 28, 54, 28, 65, 28, 39, 47, 45, 95, 50, 35, 36, 23, 43, 39, 46,  0,},
{ 28, 40, 44, 51, 30, 29, 41, 30, 59, 34, 41, 56, 46, 50, 97, 37, 37, 25, 52, 40, 47,  0,},
{ 43, 26, 37, 37, 16, 32, 27, 16, 45,  8, 27, 35, 32, 36, 37, 84, 44, 11, 30, 26, 50,  0,},
{ 32, 26, 30, 37, 16, 15, 27, 16, 45,  8, 27, 35, 32, 36, 38, 47, 84, 32, 31, 26, 33,  0,},
{ 35, 14, 18, 25, 12, 11, 15, 44, 33, 24, 37, 23, 20, 24, 25, 18, 32, 72, 18, 14, 21,  0,},
{ 22, 34, 37, 45, 31, 23, 34, 23, 52, 23, 34, 42, 40, 43, 45, 30, 31, 18, 91, 34, 41,  0,},
{ 17, 29, 33, 40, 47, 18, 47, 19, 48, 11, 30, 38, 35, 39, 40, 33, 26, 14, 34, 87, 36,  0,},
{ 36, 51, 39, 47, 26, 25, 37, 25, 54, 25, 37, 44, 42, 45, 47, 50, 33, 32, 40, 36, 93,  0,},
{  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,},
},

{
{ 82, 13, 23, 26,  8, 17, 22,  7, 32,  0, 17, 28, 25, 32, 28, 31, 10, 25, 23, 22, 24,  0,},
{ 13, 90, 32, 35, 18, 17, 31, 16, 41, 10, 26, 38, 34, 41, 37, 25, 19, 15, 32, 31, 34,  0,},
{ 23, 32, 97, 45, 27, 26, 50, 25, 50, 19, 36, 47, 43, 50, 47, 34, 28, 24, 41, 50, 43,  0,},
{ 26, 35, 45, 99, 31, 30, 44, 29, 54, 23, 39, 50, 47, 54, 50, 38, 32, 28, 45, 44, 46,  0,},
{  8, 18, 27, 31, 86, 12, 26, 11, 36, 15, 22, 33, 29, 36, 33, 20, 14, 10, 27, 36, 29,  0,},
{  8, 17, 26, 30, 12, 85, 25, 11, 35,  4, 21, 32, 28, 36, 32, 20, 14, 10, 27, 25, 28,  0,},
{ 22, 31, 41, 44, 26, 25, 96, 25, 50, 18, 35, 46, 42, 50, 56, 34, 28, 24, 41, 40, 42,  0,},
{  7, 16, 25, 29, 11, 10, 24, 84, 34, 19, 35, 31, 27, 35, 31, 19, 22, 38, 26, 24, 27,  0,},
{ 32, 41, 50, 54, 36, 35, 49, 34,100, 28, 45, 56, 52, 60, 56, 43, 38, 33, 50, 49, 52,  0,},
{  0, 10, 19, 23, 15,  4, 18, 19, 28, 78, 23, 25, 21, 28, 25, 12, 16,  2, 19, 18, 21,  0,},
{ 17, 26, 36, 39, 21, 21, 35, 35, 45, 23, 93, 41, 37, 45, 41, 29, 23, 28, 36, 35, 37,  0,},
{ 28, 37, 57, 50, 33, 32, 46, 31, 56, 25, 41,100, 49, 56, 52, 40, 34, 30, 47, 46, 48,  0,},
{ 25, 34, 43, 47, 29, 28, 42, 27, 52, 21, 38, 49, 98, 52, 49, 36, 30, 26, 43, 42, 45,  0,},
{ 32, 41, 51, 54, 36, 36, 50, 35, 60, 28, 45, 56, 52,100, 56, 44, 38, 34, 51, 50, 52,  0,},
{ 28, 38, 47, 50, 33, 32, 46, 31, 56, 25, 42, 53, 49, 56,100, 40, 34, 30, 47, 46, 49,  0,},
{ 31, 25, 34, 38, 20, 19, 33, 19, 43, 12, 29, 40, 36, 44, 40, 91, 44, 27, 35, 33, 36,  0,},
{ 10, 19, 29, 32, 14, 14, 28, 22, 38, 16, 23, 34, 30, 38, 34, 44, 87, 12, 29, 28, 30,  0,},
{ 29, 15, 25, 28, 10, 10, 24, 36, 34,  2, 19, 30, 26, 34, 30, 18, 12, 83, 25, 24, 26,  0,},
{ 23, 32, 41, 45, 27, 36, 40, 25, 50, 19, 36, 47, 43, 51, 47, 35, 29, 24, 97, 40, 43,  0,},
{ 22, 31, 40, 44, 36, 25, 49, 25, 49, 18, 35, 46, 42, 50, 46, 34, 28, 24, 41, 96, 42,  0,},
{ 24, 34, 43, 46, 29, 28, 42, 27, 52, 21, 37, 49, 45, 52, 48, 36, 30, 26, 43, 42, 98,  0,},
{  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,},
},

{
{  72,  26,  34,  44,  39,  51,  28,  38,  36,  39,  42,  41,  42,  43,  27,  58,  51,  48,  27,  36,  53,   0,},
{  22,  93,   3,   7,   9,  20,   0,   6,  10,   9,  27,   7,   3,  19,  13,  23,  21,   7,   9,  17,  29,   0,},
{  45,  18,  95,  55,  29,  40,  37,  33,  47,  26,  25,  62,  40,  39,  36,  47,  45,  31,   6,  31,  39,   0,},
{  48,  31,  56,  98,  37,  46,  47,  37,  60,  39,  45,  59,  45,  68,  46,  53,  47,  42,  30,  46,  33,   0,},
{  39,  20,  11,  12,  78,  22,  35,  45,  21,  50,  47,  29,  30,  35,  32,  33,  31,  43,  50,  61,  39,   0,},
{  50,  22,  31,  31,  18,  79,  23,  24,  29,  24,  23,  29,  26,  33,  35,  49,  37,  25,  22,  20,  40,   0,},
{  36,  15,  37,  51,  36,  34,  97,  33,  45,  36,  39,  58,  39,  61,  46,  44,  40,  36,  33,  46,  33,   0,},
{  39,  11,  23,  30,  44,  23,  24,  71,  33,  53,  53,  33,  29,  29,  25,  28,  37,  58,  34,  37,  39,   0,},
{  54,  41,  41,  59,  39,  52,  51,  41,  99,  47,  42,  57,  52,  54,  80,  53,  50,  44,  49,  45,  46,   0,},
{  38,   5,   9,  28,  51,  22,  36,  53,  28,  68,  59,  32,  30,  37,  34,  29,  35,  51,  38,  39,  38,   0,},
{  43,  32,   8,  42,  46,  25,  41,  53,  29,  59,  81,  42,  33,  50,  31,  41,  43,  46,  49,  44,  40,   0,},
{  49,  17,  62,  46,  33,  41,  53,  39,  54,  37,  43,  93,  47,  57,  46,  60,  54,  37,  37,  40,  49,   0,},
{  44,  16,  25,  35,  36,  42,  39,  34,  46,  33,  32,  47,  95,  30,  35,  42,  45,  38,  16,  41,  41,   0,},
{  47,  33,  36,  71,  37,  39,  60,  32,  58,  37,  48,  60,  42,  95,  52,  51,  42,  38,  34,  38,  47,   0,},
{  46,  33,  37,  56,  35,  46,  53,  37,  86,  40,  38,  51,  47,  53, 100,  48,  45,  41,  38,  37,  41,   0,},
{  57,  28,  40,  44,  35,  50,  38,  37,  51,  34,  42,  57,  45,  44,  23,  81,  61,  38,  22,  33,  50,   0,},
{  52,  30,  39,  35,  32,  38,  38,  37,  37,  37,  42,  52,  45,  39,  35,  62,  82,  47,  15,  35,  55,   0,},
{  49,  13,  25,  34,  42,  27,  33,  57,  31,  50,  46,  28,  34,  32,  37,  37,  46,  68,  28,  36,  48,   0,},
{  30,  17,  17,  26,  50,  27,  33,  34,  23,  39,  48,  27,  24,  33,  41,  33,  24,  32,  95,  50,  26,   0,},
{  41,  20,  38,  35,  60,  34,  46,  40,  43,  41,  43,  49,  46,  36,  33,  38,  35,  39,  52,  86,  41,   0,},
{  54,  35,  32,  21,  36,  36,  30,  39,  41,  38,  40,  47,  40,  47,  33,  50,  55,  47,  26,  44,  98,   0,},
{  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,},
},
};
