/* total.h		msjohnson		*/
/*	total.h  by ranges of percents from 0% down to 100% ; final mat is the
 *	overall matrix for all positions in alignemtns between 0-100% identity 
 *      Overington & Johnson, 1996: 127 aligned protein families; 572 3D structs.
 *	original data in the file raw.Z
 *
 *      computed according to:
 *		Johnson & Overington (1993) J. Mol. Biol. 233:716-738 
 *      see Johnson, Overington & Blundell (1993) J. Mol. Biol. 231:735-752.
 *          Overington, Johnson, Sali & Blundell (1990) Proc. Roy. Soc. London
 *	    ser. B, 241:146-152.
 *	    Sali & Overington (1994) Prot. Sci. 3:1582-1596.
 */

/*
## 
##  TRADITIONAL DISCLAIMER
##
##  Copyright 1988-1996 John Overington & Mark Johnson
##  
##  Permission to use, copy, modify, and distribute this data, software
##  and its documentation for academic purposes is hereby granted without fee,
##  provided that the above copyright notice appear in all copies and that
##  both that copyright notice and this permission notice appear in
##  supporting documentation, and that the name of John Overington or Mark
##  Johnson or our respective institutions
##  not be used in advertising or publicity pertaining to distribution of
##  the software without specific, written prior permission. We
##  makes no representations about the suitability of this software for any
##  purpose. It is provided "as is" without express or implied warranty.
##  
##  JOHN OVERINGTON  AND MARK JOHNSON DISCLAIM ALL WARRANTIES WITH REGARD TO
##  THIS SOFTWARE/DATA, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND
##  FITNESS, IN NO EVENT SHALL OUR HOME INSTITUTIONS BE LIABLE FOR ANY SPECIAL,
##  INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
##  LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE
##  OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
##  OR PERFORMANCE OF THIS SOFTWARE.
##  
##  Primary authors:
##  	Dr. John Overington
##      Pfizer Central Research
##  	Pfizer UK
##  	Sandwich, Kent, UK
##
##  	jpo@sandwich.pfizer.com
##
##	Dr. Mark Johnson
##	Turku Center for Biotechnology
##	University of Turku & Abo Akademi University
##	PO Box 123
##	FIN-20521 Turku, Finland
##
##	mark@hops.btk.utu.fi
##
## Please send any improvements, bug fixes, useful modifications, and comments
## to one of the addresses above
*/

#define MAT_VER	"[matrix version 11.0 (last update: 17-07-96)]"
#define MAX_MAT 11	/* Limit to matrices in total.h */
#define MAX_VAL 22	/* Limit to dimensions in total.h */

/*
 *	B -> D (2); Z -> E (3); J (non-dsbond cys -> 21; X (unknown) -> 22 == 0's in matrix
 */

int ind[MAX_IND]={ 0, 2, 1, 2, 3, 4, 5, 6, 7,21, 8, 9,10, 
                  11,22,12,13,14,15,16,22,17,18,22,19, 3};

/*
values in matrices are in alphabetical order (with the exception of J & X):
	ACDEFGHIKLMNPQRSTVWYJX

border of matrices: }, { 
*/

char m_names[MAX_MAT][MAX_CDE]=

{"PID:0-10%", "PID:10-20%", "PID:20-30%", "PID:30-40%", "PID:40-50%",
"PID:50-60%", "PID:60-70%", "PID:70-80%", "PID:80-90%", "PID:90-100%",
"PID:0-100%"};

/* m_100: scaled matrices; */


/*total.h  by ranges of percents from 0% down to 100% ; final mat is total */

int mats[MAX_MAT][MAX_VAL][MAX_VAL] = { 

/* 0-10% Ala-ALa = 0 because no conserved Ala's! */
{
{  0, 45, 57, 47, 66, 50, 33, 52, 52, 58, 51, 50, 53, 60, 62, 54, 48, 52, 17, 35, 47,  0,},
{ 45, 93, 25, 22, 63, 57, 47, 66, 57, 36, 50, 29, 43, 37, 39, 41, 64, 45, 46, 45, 76,  0,},
{ 57, 25, 63, 50, 48, 53, 44, 23, 56, 48, 32, 71, 54, 42, 44, 42, 51, 55, 36, 41, 42,  0,},
{ 47, 22, 50, 52, 44, 55, 63, 46, 52, 50, 44, 58, 57, 46, 48, 62, 43, 52, 44, 60, 40,  0,},
{ 66, 63, 48, 44, 66, 41, 52, 54, 40, 54, 50, 54, 64, 56, 54, 47, 33, 41, 39, 58, 73,  0,},
{ 50, 57, 53, 55, 41, 70, 49, 53, 44, 51, 38, 54, 54, 54, 54, 43, 52, 52, 24, 41, 24,  0,},
{ 33, 47, 44, 63, 52, 49, 36, 51, 59, 39, 39, 53, 47, 71, 52, 57, 53, 34, 49, 48, 65,  0,},
{ 52, 66, 23, 46, 54, 53, 51, 54, 45, 61, 61, 27, 50, 55, 55, 51, 50, 64, 29, 50, 53,  0,},
{ 52, 57, 56, 52, 40, 44, 59, 45, 49, 51, 49, 53, 59, 50, 54, 57, 56, 45, 54, 60, 32,  0,},
{ 58, 36, 48, 50, 54, 51, 39, 61, 51, 57, 47, 41, 47, 51, 40, 51, 50, 47, 42, 60, 65,  0,},
{ 51, 50, 32, 44, 50, 38, 39, 61, 49, 47, 42, 36, 50, 64, 66, 18, 63, 61, 37, 64, 68,  0,},
{ 50, 29, 71, 58, 54, 54, 53, 27, 53, 41, 36, 51, 63, 22, 39, 55, 58, 46, 40, 39, 46,  0,},
{ 53, 43, 54, 57, 64, 54, 47, 50, 59, 47, 50, 63, 69, 45, 58, 45,  6, 44, 30, 14, 45,  0,},
{ 60, 37, 42, 46, 56, 54, 71, 55, 50, 51, 64, 22, 45, 57, 32, 58, 35, 63, 39, 50, 39,  0,},
{ 62, 39, 44, 48, 54, 54, 52, 55, 54, 40, 66, 39, 58, 32, 62, 51, 44, 54, 71, 45, 41,  0,},
{ 54, 41, 42, 62, 47, 43, 57, 51, 57, 51, 18, 55, 45, 58, 51, 48, 59, 49, 48, 44, 43,  0,},
{ 48, 64, 51, 43, 33, 52, 53, 50, 56, 50, 63, 58,  6, 35, 44, 59, 56, 60, 56, 50, 24,  0,},
{ 52, 45, 55, 52, 41, 52, 34, 64, 45, 47, 61, 46, 44, 63, 54, 49, 60, 52, 43, 48, 39,  0,},
{ 17, 46, 36, 44, 39, 24, 49, 29, 54, 42, 37, 40, 30, 39, 71, 48, 56, 43,100, 67, 63,  0,},
{ 35, 45, 41, 60, 58, 41, 48, 50, 60, 60, 64, 39, 14, 50, 45, 44, 50, 48, 67, 48, 71,  0,},
{ 47, 76, 42, 40, 73, 24, 65, 53, 32, 65, 68, 46, 45, 39, 41, 43, 24, 39, 63, 71, 63,  0,},
{  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,},
},
/* 10%-20% */
{
{ 44, 18, 34, 36, 32, 39, 31, 33, 37, 32, 31, 33, 35, 33, 33, 38, 35, 34, 27, 33, 33,  0,},
{ 18,100, 20, 34, 35, 25, 10, 26, 19, 32, 37, 29, 17, 23, 19, 25, 28, 31, 31, 41, 57,  0,},
{ 34, 20, 48, 43, 21, 38, 35, 24, 38, 21, 25, 44, 38, 37, 33, 37, 40, 27, 18, 32, 41,  0,},
{ 36, 34, 43, 44, 25, 36, 34, 26, 40, 26, 30, 38, 39, 41, 41, 37, 34, 29, 25, 33, 15,  0,},
{ 32, 35, 21, 25, 59, 24, 29, 37, 25, 45, 41, 20, 25, 20, 24, 21, 25, 34, 48, 45, 35,  0,},
{ 39, 25, 38, 36, 24, 52, 36, 29, 34, 25, 18, 37, 33, 31, 31, 39, 36, 29, 21, 32, 33,  0,},
{ 31, 10, 35, 34, 29, 36, 65, 26, 34, 20, 21, 40, 38, 43, 29, 33, 27, 32, 20, 40, 29,  0,},
{ 33, 26, 24, 26, 37, 29, 26, 50, 29, 43, 41, 27, 22, 27, 31, 23, 31, 48, 29, 39, 39,  0,},
{ 37, 19, 38, 40, 25, 34, 34, 29, 45, 30, 31, 37, 33, 42, 45, 36, 35, 27, 22, 29, 31,  0,},
{ 32, 32, 21, 26, 45, 25, 20, 43, 30, 49, 46, 26, 24, 31, 26, 29, 32, 40, 36, 37, 35,  0,},
{ 31, 37, 25, 30, 41, 18, 21, 41, 31, 46, 49, 29, 28, 37, 34, 30, 31, 37, 49, 46, 45,  0,},
{ 33, 29, 44, 38, 20, 37, 40, 27, 37, 26, 29, 50, 33, 39, 40, 40, 38, 27, 21, 27, 32,  0,},
{ 35, 17, 38, 39, 25, 33, 38, 22, 33, 24, 28, 33, 62, 35, 33, 38, 38, 27,  0, 26, 15,  0,},
{ 33, 23, 37, 41, 20, 31, 43, 27, 42, 31, 37, 39, 35, 47, 42, 37, 37, 29, 17, 27, 32,  0,},
{ 33, 19, 33, 41, 24, 31, 29, 31, 45, 26, 34, 40, 33, 42, 57, 34, 33, 26, 22, 34, 17,  0,},
{ 38, 25, 37, 37, 21, 39, 33, 23, 36, 29, 30, 40, 38, 37, 34, 45, 43, 32, 23, 27, 29,  0,},
{ 35, 28, 40, 34, 25, 36, 27, 31, 35, 32, 31, 38, 38, 37, 33, 43, 44, 35, 23, 35, 37,  0,},
{ 34, 31, 27, 29, 34, 29, 32, 48, 27, 40, 37, 27, 27, 29, 26, 32, 35, 49, 29, 35, 39,  0,},
{ 27, 31, 18, 25, 48, 21, 20, 29, 22, 36, 49, 21,  0, 17, 22, 23, 23, 29, 82, 43, 29,  0,},
{ 33, 41, 32, 33, 45, 32, 40, 39, 29, 37, 46, 27, 26, 27, 34, 27, 35, 35, 43, 53, 41,  0,},
{ 33, 57, 41, 15, 35, 33, 29, 39, 31, 35, 45, 32, 15, 32, 17, 29, 37, 39, 29, 41, 74,  0,},
{  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,},
},

{
{ 47,  6, 34, 35, 23, 35, 25, 29, 32, 25, 32, 31, 31, 34, 29, 36, 32, 34, 23, 25, 42,  0,},
{  6,100,  5,  0, 15, 20,  9,  3,  8,  1, 18,  8, 10, 18, 22,  9, 15, 14, 18, 16, 34,  0,},
{ 34,  5, 56, 40, 11, 34, 34, 15, 32, 12, 16, 43, 34, 36, 27, 34, 32, 20, 12, 22, 16,  0,},
{ 35,  0, 40, 53, 15, 31, 31, 21, 39, 17, 24, 34, 34, 42, 37, 33, 35, 24, 22, 22, 17,  0,},
{ 23, 15, 11, 15, 64, 12, 28, 35, 17, 42, 38, 19, 18, 20, 19, 20, 16, 33, 44, 49, 25,  0,},
{ 35, 20, 34, 31, 12, 59, 25, 17, 28, 16, 25, 32, 28, 30, 22, 34, 26, 18, 16, 18, 31,  0,},
{ 25,  9, 34, 31, 28, 25, 68, 17, 37, 28, 26, 32, 25, 39, 36, 26, 29, 21, 13, 38, 18,  0,},
{ 29,  3, 15, 21, 35, 17, 17, 54, 21, 44, 39, 18, 26, 21, 21, 21, 25, 48, 33, 32, 29,  0,},
{ 32,  8, 32, 39, 17, 28, 37, 21, 50, 25, 27, 36, 32, 38, 45, 34, 35, 25, 28, 26, 23,  0,},
{ 25,  1, 12, 17, 42, 16, 28, 44, 25, 53, 47, 22, 17, 26, 23, 22, 25, 39, 32, 31, 25,  0,},
{ 32, 18, 16, 24, 38, 25, 26, 39, 27, 47, 60, 29, 17, 31, 24, 25, 30, 35, 38, 34, 21,  0,},
{ 31,  8, 43, 34, 19, 32, 32, 18, 36, 22, 29, 55, 29, 35, 35, 38, 37, 22, 18, 30, 24,  0,},
{ 31, 10, 34, 34, 18, 28, 25, 26, 32, 17, 17, 29, 65, 31, 27, 32, 29, 23, 18, 25, 31,  0,},
{ 34, 18, 36, 42, 20, 30, 39, 21, 38, 26, 31, 35, 31, 53, 38, 33, 34, 27, 26, 28, 26,  0,},
{ 29, 22, 27, 37, 19, 22, 36, 21, 45, 23, 24, 35, 27, 38, 62, 35, 33, 22, 26, 25, 25,  0,},
{ 36,  9, 34, 33, 20, 34, 26, 21, 34, 22, 25, 38, 32, 33, 35, 50, 41, 25, 18, 24, 28,  0,},
{ 32, 15, 32, 35, 16, 26, 29, 25, 35, 25, 30, 37, 29, 34, 33, 41, 52, 30,  4, 26, 33,  0,},
{ 34, 14, 20, 24, 33, 18, 21, 48, 25, 39, 35, 22, 23, 27, 22, 25, 30, 51, 25, 30, 34,  0,},
{ 23, 18, 12, 22, 44, 16, 13, 33, 28, 32, 38, 18, 18, 26, 26, 18,  4, 25, 84, 45, 10,  0,},
{ 25, 16, 22, 22, 49, 18, 38, 32, 26, 31, 34, 30, 25, 28, 25, 24, 26, 30, 45, 65, 26,  0,},
{ 42, 34, 16, 17, 25, 31, 18, 29, 23, 25, 21, 24, 31, 26, 25, 28, 33, 34, 10, 26, 87,  0,},
{  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,},
},

{
{ 64, 33, 43, 45, 35, 46, 39, 41, 45, 40, 49, 45, 46, 47, 43, 50, 46, 47, 31, 39, 49,  0,},
{ 33, 91, 15, 25, 32, 21, 22, 16, 24, 15, 40, 17, 16, 30, 30, 26, 24, 18, 26,  0, 33,  0,},
{ 43, 15, 71, 53, 29, 43, 42, 30, 46, 27, 32, 54, 43, 47, 44, 48, 42, 31, 23, 34, 26,  0,},
{ 45, 25, 53, 68, 30, 39, 45, 32, 53, 35, 44, 48, 44, 55, 48, 47, 47, 37, 26, 40, 23,  0,},
{ 35, 32, 29, 30, 76, 26, 44, 50, 33, 52, 47, 36, 31, 38, 32, 35, 36, 45, 56, 63, 44,  0,},
{ 46, 21, 43, 39, 26, 71, 34, 23, 41, 29, 32, 45, 36, 41, 36, 43, 36, 30, 33, 31, 30,  0,},
{ 39, 22, 42, 45, 44, 34, 83, 31, 47, 39, 39, 49, 38, 48, 47, 41, 41, 38, 40, 51, 39,  0,},
{ 41, 16, 30, 32, 50, 23, 31, 70, 33, 56, 53, 32, 34, 36, 36, 30, 41, 59, 38, 42, 40,  0,},
{ 45, 24, 46, 53, 33, 41, 47, 33, 65, 38, 45, 48, 46, 53, 57, 46, 49, 40, 34, 40, 25,  0,},
{ 40, 15, 27, 35, 52, 29, 39, 56, 38, 67, 57, 35, 36, 40, 40, 34, 38, 53, 41, 44, 44,  0,},
{ 49, 40, 32, 44, 47, 32, 39, 53, 45, 57, 76, 41, 32, 52, 39, 41, 43, 46, 44, 45, 48,  0,},
{ 45, 17, 54, 48, 36, 45, 49, 32, 48, 35, 41, 68, 42, 46, 50, 51, 48, 34, 27, 42, 34,  0,},
{ 46, 16, 43, 44, 31, 36, 38, 34, 46, 36, 32, 42, 77, 37, 43, 45, 43, 34, 22, 35, 25,  0,},
{ 47, 30, 47, 55, 38, 41, 48, 36, 53, 40, 52, 46, 37, 68, 54, 47, 46, 40, 34, 40, 42,  0,},
{ 43, 30, 44, 48, 32, 36, 47, 36, 57, 40, 39, 50, 43, 54, 71, 47, 45, 37, 40, 41, 34,  0,},
{ 50, 26, 48, 47, 35, 43, 41, 30, 46, 34, 41, 51, 45, 47, 47, 64, 54, 36, 29, 39, 42,  0,},
{ 46, 24, 42, 47, 36, 36, 41, 41, 49, 38, 43, 48, 43, 46, 45, 54, 65, 45, 32, 41, 50,  0,},
{ 47, 18, 31, 37, 45, 30, 38, 59, 40, 53, 46, 34, 34, 40, 37, 36, 45, 66, 30, 39, 49,  0,},
{ 31, 26, 23, 26, 56, 33, 40, 38, 34, 41, 44, 27, 22, 34, 40, 29, 32, 30, 91, 58, 16,  0,},
{ 39,  0, 34, 40, 63, 31, 51, 42, 40, 44, 45, 42, 35, 40, 41, 39, 41, 39, 58, 75, 49,  0,},
{ 49, 33, 26, 23, 44, 30, 39, 40, 25, 44, 48, 34, 25, 42, 34, 42, 50, 49, 16, 49,100,  0,},
{  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,},
},

{
{ 67, 22, 46, 48, 44, 50, 41, 39, 48, 43, 43, 45, 49, 49, 42, 50, 48, 48, 33, 39, 54,  0,},
{ 22, 91, 20, 28, 10,  8, 18, 23, 13, 12, 20, 25,  1, 20, 30, 19, 19,  8, 10, 12, 26,  0,},
{ 46, 20, 73, 57, 32, 43, 47, 34, 44, 30, 33, 56, 48, 48, 39, 48, 45, 35, 37, 42, 36,  0,},
{ 48, 28, 57, 74, 34, 45, 44, 38, 50, 37, 40, 46, 47, 57, 43, 44, 45, 38, 35, 39, 26,  0,},
{ 44, 10, 32, 34, 78, 20, 44, 52, 27, 53, 48, 37, 35, 31, 36, 30, 35, 47, 50, 61, 37,  0,},
{ 50,  8, 43, 45, 20, 71, 38, 20, 40, 24, 32, 46, 40, 33, 44, 46, 37, 31, 38, 40, 36,  0,},
{ 41, 18, 47, 44, 44, 38, 83, 32, 52, 38, 46, 58, 42, 52, 54, 46, 43, 36, 46, 49, 47,  0,},
{ 39, 23, 34, 38, 52, 20, 32, 73, 32, 56, 61, 42, 38, 35, 37, 41, 45, 60, 38, 40, 45,  0,},
{ 48, 13, 44, 50, 27, 40, 52, 32, 70, 42, 38, 52, 40, 56, 61, 47, 47, 38, 31, 35, 27,  0,},
{ 43, 12, 30, 37, 53, 24, 38, 56, 42, 70, 65, 38, 37, 40, 43, 30, 38, 56, 37, 40, 41,  0,},
{ 43, 20, 33, 40, 48, 32, 46, 61, 38, 65, 77, 39, 33, 43, 42, 39, 42, 53, 52, 39, 37,  0,},
{ 45, 25, 56, 46, 37, 46, 58, 42, 52, 38, 39, 71, 46, 46, 47, 53, 50, 36, 40, 46, 43,  0,},
{ 49,  0, 48, 47, 35, 40, 42, 38, 40, 37, 33, 46, 77, 41, 42, 46, 41, 40, 29, 36, 33,  0,},
{ 49, 20, 48, 57, 31, 33, 52, 35, 56, 40, 43, 46, 41, 74, 49, 44, 45, 42, 33, 30, 35,  0,},
{ 42, 30, 39, 43, 36, 44, 54, 37, 61, 43, 42, 47, 42, 49, 75, 44, 48, 42, 42, 37, 27,  0,},
{ 50, 19, 48, 44, 30, 46, 46, 41, 47, 30, 39, 53, 46, 44, 44, 66, 56, 37, 29, 40, 44,  0,},
{ 48, 19, 45, 45, 35, 37, 43, 45, 47, 38, 42, 50, 41, 45, 48, 56, 68, 45, 34, 36, 43,  0,},
{ 48,  8, 35, 38, 47, 31, 36, 60, 38, 56, 53, 36, 40, 42, 42, 37, 45, 70, 33, 38, 56,  0,},
{ 33, 10, 37, 35, 50, 38, 46, 38, 31, 37, 52, 40, 29, 33, 42, 29, 34, 33, 88, 54, 39,  0,},
{ 39, 12, 42, 39, 61, 40, 49, 40, 35, 40, 39, 46, 36, 30, 37, 40, 36, 38, 54, 77, 43,  0,},
{ 54, 26, 36, 26, 37, 36, 47, 45, 27, 41, 37, 43, 33, 35, 27, 44, 43, 56, 39, 43,100,  0,},
{  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,},
},

{
{ 71,  3, 41, 45, 37, 44, 36, 35, 40, 37, 31, 43, 45, 41, 40, 49, 46, 48, 21, 29, 48,  0,},
{  3, 94, 19,  9, 12,  0, 19,  7,  7,  4, 20, 25,  9,  9, 11, 12,  3,  4, 20, 21, 48,  0,},
{ 41, 19, 75, 57, 24, 40, 42, 23, 41, 25,  7, 55, 40, 43, 33, 46, 36, 30, 19, 32, 26,  0,},
{ 45,  9, 57, 76, 28, 34, 46, 27, 49, 28, 34, 43, 40, 56, 41, 39, 43, 38, 31, 36, 32,  0,},
{ 37, 12, 24, 28, 82, 15, 42, 44, 25, 50, 50, 32, 28, 38, 28, 29, 30, 35, 50, 59, 45,  0,},
{ 44,  1, 40, 34, 15, 73, 39, 19, 30, 17, 29, 43, 33, 33, 36, 38, 27, 25, 30, 32, 30,  0,},
{ 36, 19, 42, 46, 42, 39, 86, 28, 47, 34, 38, 56, 36, 51, 51, 40, 41, 30, 43, 48, 31,  0,},
{ 35,  7, 23, 27, 44, 19, 28, 75, 32, 54, 58, 30, 25, 24, 30, 32, 41, 60, 30, 41, 44,  0,},
{ 40,  7, 41, 49, 25, 30, 47, 32, 74, 34, 37, 46, 38, 54, 58, 42, 49, 38,  7, 31, 25,  0,},
{ 37,  4, 25, 28, 50, 17, 34, 54, 34, 73, 63, 31, 39, 38, 42, 29, 35, 51, 42, 37, 39,  0,},
{ 31, 20,  7, 34, 50, 29, 38, 58, 37, 63, 83, 30, 25, 39, 40, 33, 41, 51, 42, 35, 51,  0,},
{ 43, 25, 55, 43, 32, 43, 56, 30, 46, 31, 30, 74, 43, 45, 43, 51, 48, 27, 37, 44, 33,  0,},
{ 45,  9, 40, 40, 28, 33, 36, 25, 38, 39, 25, 43, 80, 35, 30, 43, 39, 38, 31, 29, 20,  0,},
{ 41,  9, 43, 56, 38, 33, 51, 24, 54, 38, 39, 45, 35, 77, 46, 42, 39, 40, 10, 22, 20,  0,},
{ 40, 11, 33, 41, 28, 36, 51, 30, 58, 42, 40, 43, 30, 46, 79, 42, 43, 38, 40, 33, 30,  0,},
{ 49, 12, 46, 39, 29, 38, 40, 32, 42, 29, 33, 51, 43, 42, 42, 68, 54, 30, 35, 39, 34,  0,},
{ 46,  3, 36, 43, 30, 27, 41, 41, 49, 35, 41, 48, 39, 39, 43, 54, 70, 43, 19, 31, 43,  0,},
{ 48,  4, 30, 38, 35, 25, 30, 60, 38, 51, 51, 27, 38, 40, 38, 30, 43, 72, 28, 31, 45,  0,},
{ 21, 20, 19, 31, 50, 30, 43, 30,  7, 42, 42, 37, 31, 10, 40, 35, 19, 28, 91, 54, 38,  0,},
{ 29, 21, 32, 36, 59, 32, 48, 41, 31, 37, 35, 44, 29, 22, 33, 39, 31, 31, 54, 79, 32,  0,},
{ 48, 48, 26, 32, 45, 30, 31, 44, 25, 39, 51, 33, 20, 20, 30, 34, 43, 45, 38, 32,100,  0,},
{  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,},
},

{
{ 68,  2, 37, 40, 21, 40, 37, 29, 34, 30, 31, 40, 44, 36, 33, 46, 43, 44, 20, 26, 35,  0,},
{  2, 91,  6,  9, 11,  0, 19,  8,  7, 10, 18,  9,  8,  8,  9,  7, 10,  4, 18,  8, 54,  0,},
{ 37,  6, 73, 52, 24, 39, 35, 16, 35, 12, 22, 51, 27, 32, 24, 42, 30, 31, 33, 33, 27,  0,},
{ 40,  9, 52, 76, 27, 32, 38, 27, 42, 22, 19, 40, 27, 52, 31, 32, 35, 27, 26, 28, 22,  0,},
{ 21, 11, 24, 27, 79, 15, 38, 38, 15, 40, 42, 31, 24, 28, 20, 26, 19, 30, 41, 55, 31,  0,},
{ 40,  0, 39, 32, 15, 70, 36, 12, 30,  7, 14, 41, 30, 28, 37, 33, 22, 16, 24, 30, 21,  0,},
{ 37, 19, 35, 38, 38, 36, 85, 30, 36, 29, 37, 50, 25, 50, 47, 39, 27, 21, 38, 46, 33,  0,},
{ 29,  8, 16, 27, 38, 12, 30, 75, 28, 48, 53, 23, 30, 17, 14, 30, 38, 54, 18, 34, 21,  0,},
{ 34,  7, 35, 42, 15, 30, 36, 28, 74, 23, 32, 44, 29, 48, 54, 35, 41, 27, 30, 28, 28,  0,},
{ 30, 10, 12, 22, 40,  7, 29, 48, 23, 71, 58, 25, 30, 28, 38, 24, 29, 47, 35, 33, 35,  0,},
{ 31, 18, 22, 19, 42, 14, 37, 53, 32, 58, 83, 33, 24, 36, 22, 26, 37, 42, 28, 30, 32,  0,},
{ 40,  9, 51, 40, 31, 41, 50, 23, 44, 25, 33, 73, 34, 43, 41, 47, 43, 29, 37, 39, 49,  0,},
{ 44,  8, 27, 27, 24, 30, 25, 30, 29, 30, 24, 34, 77, 34, 32, 39, 36, 31, 24, 26, 22,  0,},
{ 36,  8, 32, 52, 28, 28, 50, 17, 48, 28, 36, 43, 34, 75, 40, 34, 35, 34, 23, 22, 22,  0,},
{ 33,  9, 24, 31, 20, 37, 47, 14, 54, 38, 22, 41, 32, 40, 76, 38, 36, 24, 32, 31, 30,  0,},
{ 46,  7, 42, 32, 26, 33, 39, 30, 35, 24, 26, 47, 39, 34, 38, 66, 50, 30, 29, 36, 38,  0,},
{ 43, 10, 30, 35, 19, 22, 27, 38, 41, 29, 37, 43, 36, 35, 36, 50, 69, 38, 20, 27, 37,  0,},
{ 44,  4, 31, 27, 30, 16, 21, 54, 27, 47, 42, 29, 31, 34, 24, 30, 38, 71, 21, 31, 42,  0,},
{ 20, 18, 33, 26, 41, 24, 38, 18, 30, 35, 28, 37, 24, 23, 32, 29, 20, 21, 87, 47, 31,  0,},
{ 26,  8, 33, 28, 55, 30, 46, 34, 28, 33, 30, 39, 26, 22, 31, 36, 27, 31, 47, 75, 40,  0,},
{ 35, 54, 27, 22, 31, 21, 33, 21, 28, 35, 32, 49, 22, 22, 30, 38, 37, 42, 31, 40,100,  0,},
{  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,},
},

{
{ 74, 17, 31, 41, 28, 37, 22, 18, 33, 23, 21, 35, 40, 36, 22, 46, 42, 41,  9, 26, 43,  0,},
{ 17, 94, 12, 13, 18,  7, 34, 14, 11,  8, 25, 16, 16, 15, 15,  7, 10, 10, 26, 14, 53,  0,},
{ 31, 12, 78, 51, 31, 32, 39, 17, 34, 11, 20, 51, 30, 33, 21, 36, 21, 13, 21, 28, 23,  0,},
{ 41, 13, 51, 79, 19, 28, 39, 18, 41, 21, 29, 36, 23, 48, 16, 27, 29, 26, 14, 27, 24,  0,},
{ 28, 18, 31, 19, 85,  0, 42, 20, 13, 44, 41, 28, 18,  8,  9, 25,  3, 26, 32, 55, 30,  0,},
{ 37,  7, 32, 28,  0, 75, 29, 12, 19,  9, 20, 36, 24, 16, 30, 32, 25, 18, 36, 19, 27,  0,},
{ 22, 34, 39, 39, 42, 29, 89, 22, 37, 32, 25, 54, 39, 52, 47, 21, 23, 23, 26, 48, 50,  0,},
{ 18, 14, 17, 18, 20, 12, 22, 79, 24, 46, 56, 25, 24,  4, 27, 29, 39, 55, 14, 22, 33,  0,},
{ 33, 11, 34, 41, 13, 19, 37, 24, 77, 24, 40, 44, 28, 45, 50, 32, 41, 21, 20,  9, 39,  0,},
{ 23,  8, 11, 21, 44,  9, 32, 46, 24, 75, 54, 22, 31, 34, 31, 18, 26, 41, 32, 28, 28,  0,},
{ 21, 25, 20, 29, 41, 20, 25, 56, 40, 54, 88, 23, 16, 28, 23, 20, 39, 41, 25, 27, 44,  0,},
{ 35, 16, 51, 36, 28, 36, 54, 25, 44, 22, 23, 79, 30, 43, 36, 48, 35,  9, 24, 37, 35,  0,},
{ 40, 16, 30, 23, 18, 24, 39, 24, 28, 31, 16, 30, 83, 32, 28, 43, 28, 20, 17, 26, 27,  0,},
{ 36, 15, 33, 48,  8, 16, 52,  4, 45, 34, 28, 43, 32, 80, 42, 31, 29, 26, 24, 23, 26,  0,},
{ 22, 15, 21, 16,  9, 30, 47, 27, 50, 31, 23, 36, 28, 42, 82, 30, 28, 23, 24, 29, 35,  0,},
{ 46,  7, 36, 27, 25, 32, 21, 29, 32, 18, 20, 48, 43, 31, 30, 72, 49, 23,  8, 32, 45,  0,},
{ 42, 10, 21, 29,  3, 25, 23, 39, 41, 26, 39, 35, 28, 29, 28, 49, 76, 31, 19, 16, 21,  0,},
{ 41, 10, 13, 26, 26, 18, 23, 55, 21, 41, 41,  9, 20, 26, 23, 23, 31, 76, 19, 18, 42,  0,},
{  9, 26, 21, 14, 32, 36, 26, 14, 20, 32, 25, 24, 17, 24, 24,  8, 19, 19, 94, 38, 37,  0,},
{ 26, 14, 28, 27, 55, 19, 48, 22,  9, 28, 27, 37, 26, 23, 29, 32, 16, 18, 38, 81, 42,  0,},
{ 43, 53, 23, 24, 30, 27, 50, 33, 39, 28, 44, 35, 27, 26, 35, 45, 21, 42, 37, 42,100,  0,},
{  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,},
},

{
{ 77, 15, 36, 36,  4, 41, 19, 12, 30, 10, 32, 32, 39, 24, 26, 43, 45, 36, 14, 13, 33,  0,},
{ 15, 97, 20, 20, 22, 15, 25, 23, 17, 14, 33, 22, 22, 23, 24, 16, 25, 16, 33, 24, 59,  0,},
{ 36, 20, 81, 55,  8, 37, 29, 17, 26,  8, 19, 51, 20, 34, 10, 34, 16, 20, 19, 18, 26,  0,},
{ 36, 20, 55, 82, 16, 33, 19,  9, 37,  0, 31, 34, 23, 47, 29, 25, 27, 32, 19, 18, 26,  0,},
{  4, 22,  8, 16, 85,  3, 32, 31,  6, 39, 29, 11, 11, 12, 20, 12, 14, 26, 29, 53, 28,  0,},
{ 41, 15, 37, 33,  3, 77, 14, 12, 16,  3, 14, 33, 18, 20, 35, 39, 14, 22, 33, 13, 33,  0,},
{ 19, 25, 29, 19, 32, 14, 87, 15, 32, 32, 40, 45, 14, 55, 49,  8, 10,  8, 32, 47, 46,  0,},
{ 12, 23, 17,  9, 31, 12, 15, 85, 14, 41, 52, 26, 23, 13, 13, 17, 32, 53, 22, 13, 29,  0,},
{ 30, 17, 26, 37,  6, 16, 32, 14, 79, 20, 32, 47, 13, 46, 53, 19, 37, 19, 17, 23, 31,  0,},
{ 10, 14,  8,  0, 39,  3, 32, 41, 20, 77, 49, 10, 20, 36, 31, 20, 19, 38, 25, 20, 27,  0,},
{ 32, 33, 19, 31, 29, 14, 40, 52, 32, 49, 93, 37, 21, 38, 31, 33, 38, 47, 32, 24, 39,  0,},
{ 32, 22, 51, 34, 11, 33, 45, 26, 47, 10, 37, 83, 25, 33, 33, 47, 41, 24, 21, 39, 28,  0,},
{ 39, 22, 20, 23, 11, 18, 14, 23, 13, 20, 21, 25, 85, 33, 24, 39, 29, 16, 29, 12, 28,  0,},
{ 24, 23, 34, 47, 12, 20, 55, 13, 46, 36, 38, 33, 33, 85, 39, 21, 27, 23, 34, 14, 29,  0,},
{ 26, 24, 10, 29, 20, 35, 49, 13, 53, 31, 31, 33, 24, 39, 85, 37, 25, 14, 35, 14, 37,  0,},
{ 43, 16, 34, 25, 12, 39,  8, 17, 19, 20, 33, 47, 39, 21, 37, 77, 47, 22, 23, 32, 45,  0,},
{ 45, 25, 16, 27, 14, 14, 10, 32, 37, 19, 38, 41, 29, 27, 25, 47, 80, 34, 25,  9, 24,  0,},
{ 36, 16, 20, 32, 26, 22,  8, 53, 19, 38, 47, 24, 16, 23, 14, 22, 34, 78, 23,  7, 41,  0,},
{ 14, 33, 19, 19, 29, 33, 32, 22, 17, 25, 32, 21, 29, 34, 35, 23, 25, 23, 95, 35, 39,  0,},
{ 13, 24, 18, 18, 53, 13, 47, 13, 23, 20, 24, 39, 12, 14, 14, 32,  9,  7, 35, 87, 37,  0,},
{ 33, 59, 26, 26, 28, 33, 46, 29, 31, 27, 39, 28, 28, 29, 37, 45, 24, 41, 39, 37,100,  0,},
{  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,},
},

{
{ 78, 17, 24, 25,  8, 19, 14, 16, 18,  0, 17, 18, 27, 12,  5, 36, 27, 36, 16, 12, 23,  0,},
{ 17, 95, 20, 21, 26, 17, 32, 26, 22, 18, 35, 27, 28, 29, 22, 23, 22, 24, 34, 29, 41,  0,},
{ 24, 20, 81, 36, 12, 20, 26, 11, 17,  4, 20, 43, 13, 32,  8,  9, 16, 23, 20, 24, 27,  0,},
{ 25, 21, 36, 82, 13, 21, 19, 12, 33,  5, 21, 27, 14, 41,  9, 29,  9, 11, 21, 29, 28,  0,},
{  8, 26, 12, 13, 87,  9, 23, 30, 14, 26, 26, 18, 19, 21, 14, 15, 13, 16, 26, 47, 32,  0,},
{ 19, 17, 20, 21,  9, 79, 28,  9,  5,  1, 18, 18, 11, 20, 30, 14,  5,  7, 30, 12, 24,  0,},
{ 14, 32, 26, 19, 23, 28, 91, 23, 20, 29, 40, 48, 25, 48, 43, 21, 19, 22, 31, 44, 38,  0,},
{ 16, 26, 11, 12, 30,  9, 23, 86, 14, 26, 42, 18, 19, 20, 13, 14, 21, 49, 25, 21, 32,  0,},
{ 18, 22, 17, 33, 14,  5, 20, 14, 83,  6, 23, 41, 16, 17, 38, 11, 33, 12, 30, 26, 29,  0,},
{  0, 18,  4,  5, 26,  1, 29, 26,  6, 80, 31, 19, 11, 29, 22,  7, 14, 25, 26, 13, 24,  0,},
{ 17, 35, 20, 21, 26, 18, 40, 42, 23, 31, 95, 27, 28, 29, 31, 23, 22, 33, 34, 30, 41,  0,},
{ 18, 27, 43, 27, 18, 18, 48, 18, 41, 19, 27, 87, 20, 35, 15, 42, 27, 17, 27, 22, 33,  0,},
{ 27, 28, 13, 14, 19, 11, 25, 19, 16, 11, 28, 20, 89, 31, 15, 30, 28, 31, 27, 23, 34,  0,},
{ 12, 29, 32, 41, 21, 20, 48, 20, 17, 29, 29, 35, 31, 89, 38, 18, 25, 19, 29, 24, 36,  0,},
{  5, 22,  8,  9, 14, 30, 43, 13, 38, 22, 31, 15, 15, 38, 83, 19,  9, 12, 22, 17, 29,  0,},
{ 36, 23,  9, 29, 15, 14, 21, 14, 11,  7, 23, 42, 30, 18, 19, 84, 41, 21, 23, 18, 38,  0,},
{ 27, 22, 16,  9, 13,  5, 19, 21, 33, 14, 22, 27, 28, 25,  9, 41, 83, 25, 21, 17, 28,  0,},
{ 36, 24, 23, 11, 16,  7, 22, 49, 12, 25, 33, 17, 31, 19, 12, 21, 25, 85, 24, 19, 31,  0,},
{ 16, 34, 20, 21, 26, 30, 31, 25, 30, 26, 34, 27, 27, 29, 22, 23, 21, 24, 95, 29, 40,  0,},
{ 12, 29, 24, 29, 47, 12, 44, 21, 26, 13, 30, 22, 23, 24, 17, 18, 17, 19, 29, 90, 36,  0,},
{ 23, 41, 27, 28, 32, 24, 38, 32, 29, 24, 41, 33, 34, 36, 29, 38, 28, 31, 40, 36,100,  0,},
{  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,},
},

{
{ 62, 14, 36, 39, 30, 39, 31, 32, 37, 31, 36, 36, 38, 37, 33, 41, 38, 40, 22, 28, 44,  0,},
{ 14, 97,  3, 11, 17, 10,  6,  6,  8,  3, 23,  8,  0, 13, 17, 10, 11,  8, 10,  4, 36,  0,},
{ 36,  3, 69, 48, 19, 36, 37, 20, 37, 17, 21, 48, 36, 38, 31, 39, 34, 24, 18, 27, 25,  0,},
{ 39, 11, 48, 68, 22, 33, 37, 25, 44, 24, 31, 39, 36, 48, 38, 36, 37, 29, 22, 29, 17,  0,},
{ 30, 17, 19, 22, 75, 15, 35, 41, 22, 46, 42, 25, 23, 25, 22, 22, 23, 36, 46, 54, 34,  0,},
{ 39, 10, 36, 33, 15, 68, 30, 17, 31, 18, 23, 37, 29, 29, 29, 35, 27, 22, 23, 24, 29,  0,},
{ 31,  6, 37, 37, 35, 30, 81, 23, 41, 30, 31, 44, 31, 44, 41, 32, 32, 28, 28, 42, 29,  0,},
{ 32,  6, 20, 25, 41, 17, 23, 69, 25, 48, 49, 25, 26, 24, 25, 25, 33, 53, 30, 34, 34,  0,},
{ 37,  8, 37, 44, 22, 31, 41, 25, 65, 30, 33, 41, 35, 46, 51, 37, 39, 30, 25, 28, 25,  0,},
{ 31,  3, 17, 24, 46, 18, 30, 48, 30, 65, 54, 26, 25, 30, 30, 23, 28, 45, 33, 33, 33,  0,},
{ 36, 23, 21, 31, 42, 23, 31, 49, 33, 54, 77, 31, 22, 37, 30, 28, 34, 41, 40, 36, 36,  0,},
{ 36,  8, 48, 39, 25, 37, 44, 25, 41, 26, 31, 68, 34, 38, 40, 44, 41, 25, 23, 34, 30,  0,},
{ 38,  0, 36, 36, 23, 29, 31, 26, 35, 25, 22, 34, 76, 31, 31, 37, 33, 28, 16, 25, 26,  0,},
{ 37, 13, 38, 48, 25, 29, 44, 24, 46, 30, 37, 38, 31, 72, 42, 36, 36, 31, 22, 26, 27,  0,},
{ 33, 17, 31, 38, 22, 29, 41, 25, 51, 30, 30, 40, 31, 42, 74, 36, 36, 28, 30, 29, 23,  0,},
{ 41, 10, 39, 36, 22, 35, 32, 25, 37, 23, 28, 44, 37, 36, 36, 63, 47, 27, 20, 29, 33,  0,},
{ 38, 11, 34, 37, 23, 27, 32, 33, 39, 28, 34, 41, 33, 36, 36, 47, 65, 36, 18, 28, 37,  0,},
{ 40,  8, 24, 29, 36, 22, 28, 53, 30, 45, 41, 25, 28, 31, 28, 27, 36, 65, 24, 30, 42,  0,},
{ 22, 10, 18, 22, 46, 23, 28, 30, 25, 33, 40, 23, 16, 22, 30, 20, 18, 24, 91, 48, 15,  0,},
{ 28,  4, 27, 29, 54, 24, 42, 34, 28, 33, 36, 34, 25, 26, 29, 29, 28, 30, 48, 76, 35,  0,},
{ 44, 36, 25, 17, 34, 29, 29, 34, 25, 33, 36, 30, 26, 27, 23, 33, 37, 42, 15, 35,100,  0,},
{  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,},
},
};

