/*	raw.h  raw amino acid replacement data;
 *      segregated by ranges of percent ids  from 0% down to 100%
 *	overall matrix for solvent accessible positions between 0-100% identity 
 *      Overington & Johnson, 1996: 127 aligned protein families; 572 3D structs.
 *	original data in the file raw.Z
 *
 *      computed according to:
 *		Johnson & Overington (1993) J. Mol. Biol. 233:716-738 
 *      see Johnson, Overington & Blundell (1993) J. Mol. Biol. 231:735-752.
 *          Overington, Johnson, Sali & Blundell (1990) Proc. Roy. Soc. London
 *	    ser. B, 241:146-152.
 *	    Sali & Overington (1994) Prot. Sci. 3:1582-1596.
 */

/*
## 
##  TRADITIONAL DISCLAIMER
##
##  Copyright 1988-1996 John Overington & Mark Johnson
##  
##  Permission to use, copy, modify, and distribute this data, software
##  and its documentation for academic purposes is hereby granted without fee,
##  provided that the above copyright notice appear in all copies and that
##  both that copyright notice and this permission notice appear in
##  supporting documentation, and that the name of John Overington or Mark
##  Johnson or our respective institutions
##  not be used in advertising or publicity pertaining to distribution of
##  the software without specific, written prior permission. We
##  makes no representations about the suitability of this software for any
##  purpose. It is provided "as is" without express or implied warranty.
##  
##  JOHN OVERINGTON  AND MARK JOHNSON DISCLAIM ALL WARRANTIES WITH REGARD TO
##  THIS SOFTWARE/DATA, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND
##  FITNESS, IN NO EVENT SHALL OUR HOME INSTITUTIONS BE LIABLE FOR ANY SPECIAL,
##  INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
##  LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE
##  OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
##  OR PERFORMANCE OF THIS SOFTWARE.
##  
##  Primary authors:
##  	Dr. John Overington
##      Pfizer Central Research
##  	Pfizer UK
##  	Sandwich, Kent, UK
##
##  	jpo@sandwich.pfizer.com
##
##	Dr. Mark Johnson
##	Turku Center for Biotechnology
##	University of Turku & Abo Akademi University
##	PO Box 123
##	FIN-20521 Turku, Finland
##
##	mark@hops.btk.utu.fi
##
## Please send any improvements, bug fixes, useful modifications, and comments
## to one of the addresses above
*/
produced by summer, version 1.1a    07-JAN-1992

                          SUMMED SUBSTITUTION TABLES


                             Data from datasets


           set  sequences residues substitutions   (% of total)
         1 aa           5     2456          9824           1.60
         2 aat          2      797           797           0.13
         3 ace          3     1603          3206           0.52
         4 actin        2      754           754           0.12
         5 adh          2      748           748           0.12
         6 adk          5     1004          4016           0.65
         7 aldose       2      723           723           0.12
         8 aldosered    2      623           623           0.10
         9 aminobp      2      690           690           0.11
        10 annexin      3      950          1900           0.31
        11 asp         11     3636         36360           5.91
        12 avi          2      240           240           0.04
        13 az          10     1092          9828           1.60
        14 blm          3      776          1552           0.25
        15 bowman       3      168           336           0.05
        16 bv           2      371           371           0.06
        17 cah          2      512           512           0.08
        18 cbp          5      811          3244           0.53
        19 ccH          2      120           120           0.02
        20 cox          2     1081          1081           0.18
        21 cryst        5      874          3496           0.57
        22 csp          2      136           136           0.02
        23 cyclo        3      514          1028           0.17
        24 cys          4      898          2694           0.44
        25 cyt3         4      439          1317           0.21
        26 cyt5         4      328           984           0.16
        27 cytb         2      177           177           0.03
        28 cytc         9      994          7952           1.29
        29 cyto         3      460           920           0.15
        30 cytprime     2      258           258           0.04
        31 dhfr         4      689          2067           0.34
        32 dihydrop     2      472           472           0.08
        33 e3           2       70            70           0.01
        34 egf          7      329          1974           0.32
        35 fer2         5      485          1940           0.32
        36 fer4         6      418          2090           0.34
        37 fkbp         2      220           220           0.04
        38 flav         5      795          3180           0.52
        39 flavbb       2      752           752           0.12
        40 gdh          2      694           694           0.11
        41 glnasn       3      987          1974           0.32
        42 glob        23     3375         74250          12.06
        43 gluts        7     1498          8988           1.46
        44 gpdh         5     1691          6764           1.10
        45 gpr          2      308           308           0.05
        46 grs          8     3721         26047           4.23
        47 gtp          2      343           343           0.06
        48 hemery       2      232           232           0.04
        49 hemocyan     2     1234          1234           0.20
        50 hip          4      289           867           0.14
        51 hla          5      890          3560           0.58
        52 hom          3      202           404           0.07
        53 hpr          3      259           518           0.08
        54 icd          2      759           759           0.12
        55 igC1         5      484          1936           0.31
        56 igC2         2      150           150           0.02
        57 igV          4      422          1266           0.21
        58 igcon       11     1078         10780           1.75
        59 igps         2      452           452           0.07
        60 igvar-h     20     2473         46987           7.63
        61 igvar-l     23     2596         57112           9.28
        62 il8          5      340          1360           0.22
        63 ins          6      335          1675           0.27
        64 intb         5      682          2728           0.44
        65 kazal        6      340          1700           0.28
        66 kringle      6      504          2520           0.41
        67 kunitz       8      459          3213           0.52
        68 ldh         10     3200         28800           4.68
        69 lipase       2      898           898           0.15
        70 lipo        12     1696         18656           3.03
        71 ltn          7     1632          9792           1.59
        72 lys          8     1021          7147           1.16
        73 mdd          2      768           768           0.12
        74 mmp          3      488           976           0.16
        75 msb          2      235           235           0.04
        76 mthina       3       93           186           0.03
        77 mthinb       3       91           182           0.03
        78 mycin        4      447          1341           0.22
        79 ndk          3      445           890           0.14
        80 neur         4     1557          4671           0.76
        81 neurotox     2       71            71           0.01
        82 p450         3     1274          2548           0.41
        83 parv         4      431          1293           0.21
        84 peroxidase   3      972          1944           0.32
        85 phero        3      118           236           0.04
        86 phosfruc     2      639           639           0.10
        87 phoslip      7      853          5118           0.83
        88 planttoxin   2       94            94           0.02
        89 porin        2      670           670           0.11
        90 pot          2      128           128           0.02
        91 pp           2       72            72           0.01
        92 prc          2     1653          1653           0.27
        93 profilin     2      250           250           0.04
        94 protg        2      126           126           0.02
        95 rep          4      291           873           0.14
        96 rhv          6     4685         23425           3.80
        97 ricin        4     1022          3066           0.50
        98 rnasebact    3      314           628           0.10
        99 rnasemam     3      371           742           0.12
       100 rnh          3      423           846           0.14
       101 rub          5      256          1024           0.17
       102 rubisco      3     1613          3226           0.52
       103 rvp          3      313           626           0.10
       104 scorptoxin   2      130           130           0.02
       105 seatoxin     3      137           274           0.04
       106 serbact      3      564          1128           0.18
       107 sermam      15     3582         50148           8.14
       108 serpin       7     2696         16176           2.63
       109 sh2          5      522          2088           0.34
       110 sh3          7      460          2760           0.45
       111 slectin      2      262           262           0.04
       112 sodcu        4      611          1833           0.30
       113 sodfe        5      977          3908           0.63
       114 spidertoxi   2       96            96           0.02
       115 squash       3       85           170           0.03
       116 subt         7     1919         11514           1.87
       117 sugbp        3      886          1772           0.29
       118 thiored      4      385          1155           0.19
       119 tim          5     1246          4984           0.81
       120 tln          3      931          1862           0.30
       121 tms          3      866          1732           0.28
       122 toxin       14      889         11557           1.88
       123 uce          2      299           299           0.05
       124 utg          2      147           147           0.02
       125 xia          5     1946          7784           1.26
       126 zf-CCHC      2       35            35           0.01
       127 zf-CCHH     10      289          2601           0.42
           ----------------------------------------------------
       total          572    *****        615728


                               ENVIRONMENT TABLES

                 A
  -- Accessible-- --Inaccessible-
   a   b   +   o   a   b   +   o  H-bonds
2182 482 20721651687 963  59 871       

A:Total number                       8616

A:Alpha                              3869    (inaccessible) 1687
A:Beta                               1445    (inaccessible)  963
A:Positive phi                        266    (inaccessible)   59
A:Other                              3036    (inaccessible)  871
  
A:Accessible                         5036
A:Inaccessible                       3580



                 C
  -- Accessible-- --Inaccessible-
   a   b   +   o   a   b   +   o  H-bonds
 106 130  31 272 183 346  29 269       

C:Total number                       1366

C:Alpha                               289    (inaccessible)  183
C:Beta                                476    (inaccessible)  346
C:Positive phi                         60    (inaccessible)   29
C:Other                               541    (inaccessible)  269
  
C:Accessible                          539
C:Inaccessible                        827



                 D
  -- Accessible-- --Inaccessible-
   a   b   +   o   a   b   +   o  H-bonds
  25  21   6 117  44  29   1  88   S O N
  22  12   7  74   7   1   0  23     O N
  80  95  32 538  47  53  10 128   S   N
  50  57  25 464  17   7   2  30       N
 159  16   3  68  16  13   1   9   S O  
 151  15  12  94   9   1   0   2     O  
 453 224  92 651  57  47   7  47   S    
 610 141 218 981   1   2   1   0       

D:Total number                       6213

D:Alpha                              1748    (inaccessible)  198
D:Beta                                734    (inaccessible)  153
D:Positive phi                        417    (inaccessible)   22
D:Other                              3314    (inaccessible)  327
  
D:Accessible                         5513
D:Inaccessible                        700

D:Sidechain-sidechain                3177    (inaccessible)  597
D:Sidechain-mainchain O              1046    (inaccessible)  244
D:Sidechain-mainchain N              2112    (inaccessible)  487


                 E
  -- Accessible-- --Inaccessible-
   a   b   +   o   a   b   +   o  H-bonds
  45   6   2  38  23   4   3  15   S O N
  24   3   1  21   3   8   0   2     O N
 115  23   7 120  54  44   5  44   S   N
  92  23   7  82  13   5   0   2       N
  51  22   3  35   6   6   1   7   S O  
  89  11   7  71   3   1   0   2     O  
 785 419  54 526  84  54   7  43   S    
1062 360 1071094   7   5   0   3       

E:Total number                       5759

E:Alpha                              2456    (inaccessible)  193
E:Beta                                994    (inaccessible)  127
E:Positive phi                        204    (inaccessible)   16
E:Other                              2105    (inaccessible)  118
  
E:Accessible                         5305
E:Inaccessible                        454

E:Sidechain-sidechain                2651    (inaccessible)  400
E:Sidechain-mainchain O               513    (inaccessible)   84
E:Sidechain-mainchain N               834    (inaccessible)  225


                 F
  -- Accessible-- --Inaccessible-
   a   b   +   o   a   b   +   o  H-bonds
 515 495  81 867 748 915  25 574       

F:Total number                       4220

F:Alpha                              1263    (inaccessible)  748
F:Beta                               1410    (inaccessible)  915
F:Positive phi                        106    (inaccessible)   25
F:Other                              1441    (inaccessible)  574
  
F:Accessible                         1958
F:Inaccessible                       2262



                 G
  -- Accessible-- --Inaccessible-
   a   b   +   o   a   b   +   o  H-bonds
 615 26138261408 610 599 975 688       

G:Total number                       8982

G:Alpha                              1225    (inaccessible)  610
G:Beta                                860    (inaccessible)  599
G:Positive phi                       4801    (inaccessible)  975
G:Other                              2096    (inaccessible)  688
  
G:Accessible                         6110
G:Inaccessible                       2872



                 H
  -- Accessible-- --Inaccessible-
   a   b   +   o   a   b   +   o  H-bonds
   2   4   0   7   5   8   0  15   S O N
   1   1   0  24  10   6   0  15     O N
   3   5   0  21   1   8   0   2   S   N
   4   6   0  39   0   3   0   5       N
  44  42  13  73  86  40   4  53   S O  
  98  50  21 113  26  21   0  26     O  
 175 126  18 205  79  56   5  78   S    
 176  92  60 289  13  12   0  12       

H:Total number                       2301

H:Alpha                               723    (inaccessible)  220
H:Beta                                480    (inaccessible)  154
H:Positive phi                        121    (inaccessible)    9
H:Other                               977    (inaccessible)  206
  
H:Accessible                         1712
H:Inaccessible                        589

H:Sidechain-sidechain                1178    (inaccessible)  440
H:Sidechain-mainchain O               808    (inaccessible)  315
H:Sidechain-mainchain N               195    (inaccessible)   78


                 I
  -- Accessible-- --Inaccessible-
   a   b   +   o   a   b   +   o  H-bonds
 702 639  41 853 9971496  18 628       

I:Total number                       5374

I:Alpha                              1699    (inaccessible)  997
I:Beta                               2135    (inaccessible) 1496
I:Positive phi                         59    (inaccessible)   18
I:Other                              1481    (inaccessible)  628
  
I:Accessible                         2235
I:Inaccessible                       3139



                 K
  -- Accessible-- --Inaccessible-
   a   b   +   o   a   b   +   o  H-bonds
  84  41   9  97  28  23   0  26   S O  
 222 146  44 363  16  18   0  15     O  
 492 262  40 395  16  18   3  11   S    
1233 682 2161756   0   6   1   1       

K:Total number                       6264

K:Alpha                              2091    (inaccessible)   60
K:Beta                               1196    (inaccessible)   65
K:Positive phi                        313    (inaccessible)    4
K:Other                              2664    (inaccessible)   53
  
K:Accessible                         6082
K:Inaccessible                        182

K:Sidechain-sidechain                1545    (inaccessible)  125
K:Sidechain-mainchain O              1132    (inaccessible)  126


                 L
  -- Accessible-- --Inaccessible-
   a   b   +   o   a   b   +   o  H-bonds
1378 747 106149318291625  481014       

L:Total number                       8240

L:Alpha                              3207    (inaccessible) 1829
L:Beta                               2372    (inaccessible) 1625
L:Positive phi                        154    (inaccessible)   48
L:Other                              2507    (inaccessible) 1014
  
L:Accessible                         3724
L:Inaccessible                       4516



                 M
  -- Accessible-- --Inaccessible-
   a   b   +   o   a   b   +   o  H-bonds
   8   3   1   5   7  24   0   8   S   N
  24  21   1  31  47  33   2  31       N
  56  35   9  74  60  46   2  62   S    
 276 134  34 300 281 241   4 118       

M:Total number                       1978

M:Alpha                               759    (inaccessible)  395
M:Beta                                537    (inaccessible)  344
M:Positive phi                         53    (inaccessible)    8
M:Other                               629    (inaccessible)  219
  
M:Accessible                         1012
M:Inaccessible                        966

M:Sidechain-sidechain                 400    (inaccessible)  209
M:Sidechain-mainchain N               246    (inaccessible)  152


                 N
  -- Accessible-- --Inaccessible-
   a   b   +   o   a   b   +   o  H-bonds
  32  18   5 118  18  36  11  88   S O N
  37  19  22 170  26  31   4  61     O N
   9  41  22 227  10  14   6  27   S   N
  20  45   9 240   1   4   0   9       N
 147  38  36 160  54  34   3  36   S O  
 234  41  65 237  23  10   2  21     O  
 169 114 107 338  25  28   6  27   S    
 247 134 354 708   5   3   0   9       

N:Total number                       4795

N:Alpha                              1057    (inaccessible)  162
N:Beta                                610    (inaccessible)  160
N:Positive phi                        652    (inaccessible)   32
N:Other                              2476    (inaccessible)  278
  
N:Accessible                         4163
N:Inaccessible                        632

N:Sidechain-sidechain                2004    (inaccessible)  423
N:Sidechain-mainchain O              1837    (inaccessible)  458
N:Sidechain-mainchain N              1380    (inaccessible)  346


                 P
  -- Accessible-- --Inaccessible-
   a   b   +   o   a   b   +   o  H-bonds
 609 320   52896 133 195   1 587       

P:Total number                       4746

P:Alpha                               742    (inaccessible)  133
P:Beta                                515    (inaccessible)  195
P:Positive phi                          6    (inaccessible)    1
P:Other                              3483    (inaccessible)  587
  
P:Accessible                         3830
P:Inaccessible                        916



                 Q
  -- Accessible-- --Inaccessible-
   a   b   +   o   a   b   +   o  H-bonds
  28  12   1  44  26  51   1  23   S O N
  50  37   4  59  14  20   4  22     O N
  56   6   0  43  15  13   0   8   S   N
  36  15   3  42   2   3   0   2       N
  65  74   7  90  29  49   4  24   S O  
 178  78  23 186  15  14   2  11     O  
 272 180  22 207  23  48   1  12   S    
 506 243  94 655   6   1   0   0       

Q:Total number                       3759

Q:Alpha                              1321    (inaccessible)  130
Q:Beta                                844    (inaccessible)  199
Q:Positive phi                        166    (inaccessible)   12
Q:Other                              1428    (inaccessible)  102
  
Q:Accessible                         3316
Q:Inaccessible                        443

Q:Sidechain-sidechain                1434    (inaccessible)  327
Q:Sidechain-mainchain O              1245    (inaccessible)  309
Q:Sidechain-mainchain N               640    (inaccessible)  204


                 R
  -- Accessible-- --Inaccessible-
   a   b   +   o   a   b   +   o  H-bonds
 234 129  21 278  90  65   1  56   S O  
 236 121  27 309  38  24   0  42     O  
 413 311  36 393  22  42   1  22   S    
 403 202  83 596   0   2   0   1       

R:Total number                       4198

R:Alpha                              1436    (inaccessible)  150
R:Beta                                896    (inaccessible)  133
R:Positive phi                        169    (inaccessible)    2
R:Other                              1697    (inaccessible)  121
  
R:Accessible                         3792
R:Inaccessible                        406

R:Sidechain-sidechain                2114    (inaccessible)  299
R:Sidechain-mainchain O              1671    (inaccessible)  316


                 S
  -- Accessible-- --Inaccessible-
   a   b   +   o   a   b   +   o  H-bonds
  11   4   0  50  11  23   0  44   S O N
  33  21   4 131  52  58   5 129     O N
   4  12   2 165  10  39   2  69   S   N
  12  27   5 313   8  14   1  46       N
  62  29   7  60  73  41   4  64   S O  
 433  69  26 358 160  75   8 111     O  
 218 172  30 497  46 185  15 114   S    
 446 644 2101594  38  82   6  49       

S:Total number                       7231

S:Alpha                              1617    (inaccessible)  398
S:Beta                               1495    (inaccessible)  517
S:Positive phi                        325    (inaccessible)   41
S:Other                              3794    (inaccessible)  626
  
S:Accessible                         5649
S:Inaccessible                       1582

S:Sidechain-sidechain                2063    (inaccessible)  740
S:Sidechain-mainchain O              2156    (inaccessible)  858
S:Sidechain-mainchain N              1305    (inaccessible)  511


                 T
  -- Accessible-- --Inaccessible-
   a   b   +   o   a   b   +   o  H-bonds
   6   5   0  29   9  14   0  33   S O N
  32  22   5 106  37  31   1  83     O N
   5  23   0 167  17  14   2  58   S   N
   7  32   2 164   3  10   0  32       N
  64  38   3  67  65  64   1  44   S O  
 475 125   7 348 194 164   2 143     O  
 120 290  14 411  48 165   3 104   S    
 249 932  621286  37 117   4  64       

T:Total number                       6659

T:Alpha                              1368    (inaccessible)  410
T:Beta                               2046    (inaccessible)  579
T:Positive phi                        106    (inaccessible)   13
T:Other                              3139    (inaccessible)  561
  
T:Accessible                         5096
T:Inaccessible                       1563

T:Sidechain-sidechain                1883    (inaccessible)  641
T:Sidechain-mainchain O              2217    (inaccessible)  885
T:Sidechain-mainchain N               949    (inaccessible)  344


                 V
  -- Accessible-- --Inaccessible-
   a   b   +   o   a   b   +   o  H-bonds
 8721003  52135711202079  21 867       

V:Total number                       7371

V:Alpha                              1992    (inaccessible) 1120
V:Beta                               3082    (inaccessible) 2079
V:Positive phi                         73    (inaccessible)   21
V:Other                              2224    (inaccessible)  867
  
V:Accessible                         3284
V:Inaccessible                       4087



                 W
  -- Accessible-- --Inaccessible-
   a   b   +   o   a   b   +   o  H-bonds
   6   9   0   7   9   9   1  11   S O  
  47  30   2  57  74  72   3  80     O  
  61  65   0  56  68  75   7  49   S    
 189 131  22 211  54 115   1  47       

W:Total number                       1568

W:Alpha                               508    (inaccessible)  205
W:Beta                                506    (inaccessible)  271
W:Positive phi                         36    (inaccessible)   12
W:Other                               518    (inaccessible)  187
  
W:Accessible                          893
W:Inaccessible                        675

W:Sidechain-sidechain                 433    (inaccessible)  229
W:Sidechain-mainchain O               417    (inaccessible)  259


                 Y
  -- Accessible-- --Inaccessible-
   a   b   +   o   a   b   +   o  H-bonds
   3   5   1   3   5   8   0  14   S O N
  12  21   5  35  24  28   1  30     O N
  17  12   3  16   5  29   1  30   S   N
  20  30   3  31   6  22   2  15       N
  16   7   1  35  17  58   1  26   S O  
  45  35   8  79  61  87   0  42     O  
 186 261  17 263 133 173   1 111   S    
 399 506  75 625  67 110   2  31       

Y:Total number                       3915

Y:Alpha                              1016    (inaccessible)  318
Y:Beta                               1392    (inaccessible)  515
Y:Positive phi                        121    (inaccessible)    8
Y:Other                              1386    (inaccessible)  299
  
Y:Accessible                         2775
Y:Inaccessible                       1140

Y:Sidechain-sidechain                1458    (inaccessible)  612
Y:Sidechain-mainchain O               713    (inaccessible)  402
Y:Sidechain-mainchain N               437    (inaccessible)  220


                 J
  -- Accessible-- --Inaccessible-
   a   b   +   o   a   b   +   o  H-bonds
   1   1   1  12  13   7   1  29   S O N
   4   4   3   8  21  16   3  17     O N
   4   0   0  55   9   8   2  57   S   N
   0   2   0   9   2   3   0   4       N
   8   6   2   9  29  21   3  28   S O  
  28   5   3  24  52  36   4  44     O  
  19   6   1  41  17  21   3  41   S    
  13  10  12  30   7  38   3  15       

J:Total number                        875

J:Alpha                               227    (inaccessible)  150
J:Beta                                184    (inaccessible)  150
J:Positive phi                         41    (inaccessible)   19
J:Other                               423    (inaccessible)  235
  
J:Accessible                          321
J:Inaccessible                        554

J:Sidechain-sidechain                 455    (inaccessible)  289
J:Sidechain-mainchain O               443    (inaccessible)  324
J:Sidechain-mainchain N               296    (inaccessible)  192


  

Number of occupied bins (residue counts)

   number  >0     >5    >10    >20    >50   >100   >200   >500   poss.
     A      8      8      8      8      8      7      7      5      8
     C      8      8      8      8      6      6      3      0      8
     D     61     51     44     36     24     13      8      4     64
     E     60     46     33     30     18      9      6      4     64
     F      8      8      8      8      7      6      6      5      8
     G      8      8      8      8      8      8      8      7      8
     H     53     43     34     26     16      6      2      0     64
     I      8      8      8      7      6      6      6      6      8
     K     29     26     24     18     12     10      9      3     32
     L      8      8      8      8      7      7      6      6      8
     M     31     25     20     20     10      6      4      0     32
     N     62     56     48     41     20     16      8      1     64
     P      8      7      6      6      6      6      4      3      8
     Q     59     47     43     34     17      8      5      2     64
     R     29     25     25     25     16     12     10      1     32
     S     62     55     49     42     28     17      9      2     64
     T     60     51     44     39     26     18      7      2     64
     V      8      8      8      8      7      6      6      6      8
     W     30     26     20     19     14      4      1      0     32
     Y     62     50     42     33     16     10      5      2     64
     J     59     38     27     17      3      0      0      0     64
        -------------------------------------------------------------
 Total    721    602    515    441    275    181    120     59    768
   

Number of occupied bins (substitution counts)

   number  >0     >5    >10    >20    >50   >100   >200   >500
     A      7      7      7      7      7      7      7      6
     C      7      7      7      7      7      7      6      5
     D     60     57     52     50     43     35     29     16
     E     58     57     53     46     35     30     20      9
     F      7      7      7      7      7      6      6      5
     G      7      7      7      7      7      7      7      7
     H     51     49     44     40     33     25     21      8
     I      7      7      7      7      7      6      6      5
     K     28     27     26     26     23     18     15     11
     L      7      7      7      7      7      7      7      6
     M     29     27     25     24     20     18     14      5
     N     60     59     57     52     48     39     26     16
     P      7      7      5      5      5      5      5      5
     Q     58     57     56     50     42     30     24     14
     R     28     27     25     25     25     22     18     13
     S     60     58     58     56     42     39     30     20
     T     58     57     54     52     42     37     27     18
     V      7      7      7      7      7      7      6      5
     W     29     27     27     25     19     19     18      5
     Y     60     56     51     48     42     31     19     12
     J     57     50     48     40     24     15      2      0
        ------------------------------------------------------
 Total    692    664    630    588    492    410    313    191
   
                                RESIDUE SAMPLE SUMMARY

      total   %   alpha   beta  + phi   coil access  inacc   sshb   sohb   snhb
   A   8616  8.3   3869   1445    266   3036   5036   3580      0      0      0
   C   1366  1.3    289    476     60    541    539    827      0      0      0
   D   6213  5.9   1748    734    417   3314   5513    700   3177   1046   2112
   E   5759  5.5   2456    994    204   2105   5305    454   2651    513    834
   F   4220  4.0   1263   1410    106   1441   1958   2262      0      0      0
   G   8982  8.6   1225    860   4801   2096   6110   2872      0      0      0
   H   2301  2.2    723    480    121    977   1712    589   1178    808    195
   I   5374  5.1   1699   2135     59   1481   2235   3139      0      0      0
   K   6264  6.0   2091   1196    313   2664   6082    182   1545   1132      0
   L   8240  7.9   3207   2372    154   2507   3724   4516      0      0      0
   M   1978  1.9    759    537     53    629   1012    966    400      0    246
   N   4795  4.6   1057    610    652   2476   4163    632   2004   1837   1380
   P   4746  4.5    742    515      6   3483   3830    916      0      0      0
   Q   3759  3.6   1321    844    166   1428   3316    443   1434   1245    640
   R   4198  4.0   1436    896    169   1697   3792    406   2114   1671      0
   S   7231  6.9   1617   1495    325   3794   5649   1582   2063   2156   1305
   T   6659  6.4   1368   2046    106   3139   5096   1563   1883   2217    949
   V   7371  7.1   1992   3082     73   2224   3284   4087      0      0      0
   W   1568  1.5    508    506     36    518    893    675    433    417      0
   Y   3915  3.7   1016   1392    121   1386   2775   1140   1458    713    437
   J    875  0.8    227    184     41    423    321    554    455    443    296
      --------------------------------------------------------------------
total *****       30613  24209   8249  41359  72345  32085  20795  14198   8394





                  ACCESSIBILITY AS A FUNCTION OF 2 STRUCTURE



         Ntot  --- alpha ---  ---- beta ---  ---- +phi ---  ---- coil ---
               Tot  Acc  Inn  Tot  Acc  Inn  Tot  Acc  Inn  Tot  Acc  Inn  
      A  8616 3869 2182 1687 1445  482  963  266  207   59 3036 2165  871
      C  1366  289  106  183  476  130  346   60   31   29  541  272  269
      D  6213 1748 1550  198  734  581  153  417  395   22 3314 2987  327
      E  5759 2456 2263  193  994  867  127  204  188   16 2105 1987  118
      F  4220 1263  515  748 1410  495  915  106   81   25 1441  867  574
      G  8982 1225  615  610  860  261  599 4801 3826  975 2096 1408  688
      H  2301  723  503  220  480  326  154  121  112    9  977  771  206
      I  5374 1699  702  997 2135  639 1496   59   41   18 1481  853  628
      K  6264 2091 2031   60 1196 1131   65  313  309    4 2664 2611   53
      L  8240 3207 1378 1829 2372  747 1625  154  106   48 2507 1493 1014
      M  1978  759  364  395  537  193  344   53   45    8  629  410  219
      N  4795 1057  895  162  610  450  160  652  620   32 2476 2198  278
      P  4746  742  609  133  515  320  195    6    5    1 3483 2896  587
      Q  3759 1321 1191  130  844  645  199  166  154   12 1428 1326  102
      R  4198 1436 1286  150  896  763  133  169  167    2 1697 1576  121
      S  7231 1617 1219  398 1495  978  517  325  284   41 3794 3168  626
      T  6659 1368  958  410 2046 1467  579  106   93   13 3139 2578  561
      V  7371 1992  872 1120 3082 1003 2079   73   52   21 2224 1357  867
      W  1568  508  303  205  506  235  271   36   24   12  518  331  187
      Y  3915 1016  698  318 1392  877  515  121  113    8 1386 1087  299
      J   875  227   77  150  184   34  150   41   22   19  423  188  235
 ------------------------------------------------------------------------
  Total *****306132031710296242091262411585 8249 6875 13744135932529 8830



 class   Ntot  Inn    f
 alpha :3061310296  0.336
 beta  :2420911585  0.479
 phi   : 8249 1374  0.167
 coil  :41359 8830  0.213
-------------------------
 total :*****32085  0.307



                          CHOU AND FASMAN PARAMETERS

    Secondary structure

 class   Total  Fraction
 alpha : 30613     0.293
 beta  : 24209     0.232
 phi   :  8249     0.079
 coil  : 41359     0.396



     Ntot    ---- alpha ----  ----- beta ----  ----- +phi ----  ----- coil ----
  A  8616   3869 0.449 1.532 1445 0.168 0.723  266 0.031 0.391 3036 0.352 0.890
errors                 0.018            0.017            0.024            0.013
  C  1366    289 0.212 0.722  476 0.348 1.503   60 0.044 0.556  541 0.396 1.000
errors                 0.038            0.056            0.070            0.033
  D  6213   1748 0.281 0.960  734 0.118 0.510  417 0.067 0.850 3314 0.533 1.347
errors                 0.019            0.018            0.040            0.016
  E  5759   2456 0.426 1.455  994 0.173 0.745  204 0.035 0.448 2105 0.366 0.923
errors                 0.022            0.021            0.031            0.016
  F  4220   1263 0.299 1.021 1410 0.334 1.441  106 0.025 0.318 1441 0.341 0.862
errors                 0.024            0.031            0.030            0.018
  G  8982   1225 0.136 0.465  860 0.096 0.413 4801 0.535 6.767 2096 0.233 0.589
errors                 0.012            0.013            0.067            0.011
  H  2301    723 0.314 1.072  480 0.209 0.900  121 0.053 0.666  977 0.425 1.072
errors                 0.033            0.037            0.059            0.026
  I  5374   1699 0.316 1.078 2135 0.397 1.714   59 0.011 0.139 1481 0.276 0.696
errors                 0.022            0.029            0.018            0.015
  K  6264   2091 0.334 1.139 1196 0.191 0.824  313 0.050 0.633 2664 0.425 1.074
errors                 0.020            0.021            0.035            0.016
  L  8240   3207 0.389 1.328 2372 0.288 1.242  154 0.019 0.237 2507 0.304 0.768
errors                 0.018            0.022            0.019            0.013
  M  1978    759 0.384 1.309  537 0.271 1.171   53 0.027 0.339  629 0.318 0.803
errors                 0.037            0.043            0.046            0.026
  N  4795   1057 0.220 0.752  610 0.127 0.549  652 0.136 1.721 2476 0.516 1.304
errors                 0.020            0.021            0.063            0.018
  P  4746    742 0.156 0.533  515 0.109 0.468    6 0.001 0.016 3483 0.734 1.853
errors                 0.018            0.019            0.007            0.016
  Q  3759   1321 0.351 1.199  844 0.225 0.969  166 0.044 0.559 1428 0.380 0.959
errors                 0.027            0.029            0.042            0.020
  R  4198   1436 0.342 1.167  896 0.213 0.921  169 0.040 0.510 1697 0.404 1.021
errors                 0.025            0.027            0.038            0.019
  S  7231   1617 0.224 0.763 1495 0.207 0.892  325 0.045 0.569 3794 0.525 1.325
errors                 0.017            0.021            0.031            0.015
  T  6659   1368 0.205 0.701 2046 0.307 1.325  106 0.016 0.202 3139 0.471 1.190
errors                 0.017            0.024            0.019            0.015
  V  7371   1992 0.270 0.922 3082 0.418 1.804   73 0.010 0.125 2224 0.302 0.762
errors                 0.018            0.025            0.015            0.013
  W  1568    508 0.324 1.105  506 0.323 1.392   36 0.023 0.291  518 0.330 0.834
errors                 0.040            0.051            0.048            0.030
  Y  3915   1016 0.260 0.885 1392 0.356 1.534  121 0.031 0.391 1386 0.354 0.894
errors                 0.024            0.033            0.035            0.019
  J   875    227 0.259 0.885  184 0.210 0.907   41 0.047 0.593  423 0.483 1.221
errors                 0.051            0.059            0.090            0.043



    Solvent accessiblity

 class   Total  Fraction
 acc   : 72345     0.693
 inacc : 32085     0.307



     Ntot    ----- acc -----  ----- inac ----
  A  8616   5036 0.584 0.844 3580 0.416 1.352
errors                 0.008            0.017
  C  1366    539 0.395 0.570  827 0.605 1.971
errors                 0.019            0.043
  D  6213   5513 0.887 1.281  700 0.113 0.367
errors                 0.006            0.013
  E  5759   5305 0.921 1.330  454 0.079 0.257
errors                 0.005            0.012
  F  4220   1958 0.464 0.670 2262 0.536 1.745
errors                 0.011            0.025
  G  8982   6110 0.680 0.982 2872 0.320 1.041
errors                 0.007            0.016
  H  2301   1712 0.744 1.074  589 0.256 0.833
errors                 0.013            0.030
  I  5374   2235 0.416 0.600 3139 0.584 1.901
errors                 0.010            0.022
  K  6264   6082 0.971 1.402  182 0.029 0.095
errors                 0.003            0.007
  L  8240   3724 0.452 0.652 4516 0.548 1.784
errors                 0.008            0.018
  M  1978   1012 0.512 0.739  966 0.488 1.590
errors                 0.016            0.037
  N  4795   4163 0.868 1.253  632 0.132 0.429
errors                 0.007            0.016
  P  4746   3830 0.807 1.165  916 0.193 0.628
errors                 0.008            0.019
  Q  3759   3316 0.882 1.273  443 0.118 0.384
errors                 0.008            0.017
  R  4198   3792 0.903 1.304  406 0.097 0.315
errors                 0.007            0.015
  S  7231   5649 0.781 1.128 1582 0.219 0.712
errors                 0.007            0.016
  T  6659   5096 0.765 1.105 1563 0.235 0.764
errors                 0.007            0.017
  V  7371   3284 0.446 0.643 4087 0.554 1.805
errors                 0.008            0.019
  W  1568    893 0.570 0.822  675 0.430 1.401
errors                 0.018            0.041
  Y  3915   2775 0.709 1.023 1140 0.291 0.948
errors                 0.010            0.024
  J   875    321 0.367 0.530  554 0.633 2.061
errors                 0.024            0.053



    Hydrogen bonding

 class       Total  Fraction
 side-side : 20795     0.375
 side-CO   : 14198     0.265
 side-NH   :  8394     0.193



     Ntot    ----- SS ------  ----- CO ------  ----- NH ------
  D  6213   3177 0.511 1.365 1046 0.168 0.635 2112 0.340 1.761
errors                 0.017            0.018            0.031
  E  5759   2651 0.460 1.229  513 0.089 0.336  834 0.145 0.750
errors                 0.018            0.014            0.024
  H  2301   1178 0.512 1.367  808 0.351 1.324  195 0.085 0.439
errors                 0.028            0.038            0.030
  K  6264   1545 0.247 0.658 1132 0.181 0.681    0 0.000 0.000
errors                 0.015            0.018            0.000
  M  1978    400 0.202 0.540    0 0.000 0.000  246 0.124 0.644
errors                 0.024            0.000            0.038
  N  4795   2004 0.418 1.116 1837 0.383 1.445 1380 0.288 1.491
errors                 0.019            0.026            0.034
  Q  3759   1434 0.381 1.018 1245 0.331 1.249  640 0.170 0.882
errors                 0.021            0.029            0.032
  R  4198   2114 0.504 1.344 1671 0.398 1.501    0 0.000 0.000
errors                 0.021            0.028            0.000
  S  7231   2063 0.285 0.762 2156 0.298 1.124 1305 0.180 0.935
errors                 0.014            0.020            0.023
  T  6659   1883 0.283 0.755 2217 0.333 1.255  949 0.143 0.738
errors                 0.015            0.022            0.022
  W  1568    433 0.276 0.737  417 0.266 1.003    0 0.000 0.000
errors                 0.030            0.042            0.000
  Y  3915   1458 0.372 0.994  713 0.182 0.687  437 0.112 0.578
errors                 0.021            0.023            0.026
  J   875    455 0.520 1.388  443 0.506 1.909  296 0.338 1.752
errors                 0.045            0.064            0.083


                                 RAW SCORE TABLES



        falloff matrix   1

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A      0    1   16   11   21   13    1   11   20   21    3    9    5   10   10   13   12   15    0    4    1
 C      1    4    0    0    4    4    0    5    6    1    0    0    0    0    0    1    6    2    0    1    1
 D     16    0   26   16   11   19    3    3   31   16    1   32    7    5    5    9   17   21    2    7    1
 E     11    0   16   20   10   23   10   12   28   20    3   19    9    7    7   27   13   21    4   21    1
 F     21    4   11   10   22    9    4   13   12   18    3   12   10    9    7   10    6    9    2   14    6
 G     13    4   19   23    9   50    5   17   20   21    2   16    8   11   10   11   21   21    1    8    0
 H      1    0    3   10    4    5    0    4   12    3    0    4    1    7    2    6    6    2    1    3    1
 I     11    5    3   12   13   17    4   14   16   27    6    3    5    9    8   13   15   30    1   10    2
 K     20    6   31   28   12   20   12   16   36   29    6   22   15   13   14   31   36   21   10   29    1
 L     21    1   16   20   18   21    3   27   29   30    4    9    6   10    5   18   20   18    4   23    6
 M      3    0    1    3    3    2    0    6    6    4    0    1    1    4    4    0    9    8    0    6    1
 N      9    0   32   19   12   16    4    3   22    9    1   10    9    1    3   14   20   11    2    5    1
 P      5    0    7    9   10    8    1    5   15    6    1    9    6    2    4    4    0    5    0    0    0
 Q     10    0    5    7    9   11    7    9   13   10    4    1    2    6    1   11    4   18    1    6    0
 R     10    0    5    7    7   10    2    8   14    5    4    3    4    1    6    7    6   10    7    4    0
 S     13    1    9   27   10   11    6   13   31   18    0   14    4   11    7   12   24   15    4    8    1
 T     12    6   17   13    6   21    6   15   36   20    9   20    0    4    6   24   26   31    8   13    0
 V     15    2   21   21    9   21    2   30   21   18    8   11    5   18   10   15   31   22    4   12    1
 W      0    0    2    4    2    1    1    1   10    4    0    2    0    1    7    4    8    4   22    9    1
 Y      4    1    7   21   14    8    3   10   29   23    6    5    0    6    4    8   13   12    9    8    5
 J      1    1    1    1    6    0    1    2    1    6    1    1    0    0    0    1    0    1    1    5    0
 -    125   34  167  163   62  131   33   66  137  120   17   95   49   51   91   99   99  141   15   44    9
        -----------------------------------------------------------------------------------------------------
 tot  322   70  415  445  274  421  108  290  545  429   79  298  146  186  211  338  392  438   98  240   39
 total for bin =  5784


        falloff matrix   1 (accessible)

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A      0    0   16   11   10    9    1    5   20    4    2    6    3   10   10   11    7    6    0    2    1
 C      0    2    0    0    4    2    0    3    6    0    0    0    0    0    0    1    6    2    0    0    1
 D     12    0   26   16    7   18    3    1   31   13    1   31    6    5    5    9   14   19    2    2    0
 E      6    0   16   20    6   21    9   10   28    7    2   18    7    6    7   22   12   13    4    7    0
 F      4    4   10   10    2    5    3    7   12    5    1    6    6    7    2    7    6    4    0    2    0
 G      9    2   19   23    3   49    5   13   20    7    2   16    7    9    8   10   20   16    0    8    0
 H      1    0    3   10    1    5    0    1   12    3    0    4    1    3    2    6    5    1    0    1    0
 I      4    1    3   12    3   14    2    5   14    6    2    3    4    7    8   12   12   14    1    7    0
 K     13    0   31   28    7   16   11    7   36   15    3   18   15   12   14   26   35   18    9   22    0
 L      5    0   16   20    5   12    3   11   29    6    1    7    3    7    5   15   16    7    3   12    2
 M      0    0    1    3    1    1    0    3    6    3    0    0    1    1    4    0    7    7    0    5    0
 N      5    0   31   19    8   15    3    3   22    7    0    9    9    1    3    8    9    8    2    5    0
 P      4    0    7    9    3    7    1    1   15    4    1    9    1    2    4    4    0    3    0    0    0
 Q      7    0    5    7    2   10    7    7   12    4    4    1    2    6    1   11    2   14    1    3    0
 R      8    0    5    7    5    4    2    1   14    3    1    3    4    1    6    4    6    4    7    4    0
 S      6    0    9   27    5    8    5    6   28   12    0   13    3   10    7   10   22   15    3    7    1
 T      9    0   17   13    2   20    5   13   36   12    5   17    0    1    6   20   24   18    8    5    0
 V     10    2   15   21    2   17    2   14   20    6    5   11    3   14   10    9   27   12    4   11    0
 W      0    0    2    4    1    0    1    0   10    4    0    2    0    0    4    4    6    3    2    4    0
 Y      2    0    6   21    4    8    1    5   28    9    3    5    0    3    4    8   13    8    4    0    1
 J      0    1    0    1    4    0    1    0    1    0    0    0    0    0    0    0    0    1    0    1    0
 -    112   25  167  163   33  118   33   51  137   74   11   89   46   50   91   75   89  103   15   40    1
        -----------------------------------------------------------------------------------------------------
 tot  217   37  405  445  118  359   98  167  537  204   44  268  121  155  201  272  338  296   65  148    7
 total for bin =  4502


        falloff matrix   1 (inaccessible)

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A      0    1    0    0   11    4    0    6    0   17    1    3    2    0    0    2    5    9    0    2    0
 C      1    2    0    0    0    2    0    2    0    1    0    0    0    0    0    0    0    0    0    1    0
 D      4    0    0    0    4    1    0    2    0    3    0    1    1    0    0    0    3    2    0    5    1
 E      5    0    0    0    4    2    1    2    0   13    1    1    2    1    0    5    1    8    0   14    1
 F     17    0    1    0   20    4    1    6    0   13    2    6    4    2    5    3    0    5    2   12    6
 G      4    2    0    0    6    1    0    4    0   14    0    0    1    2    2    1    1    5    1    0    0
 H      0    0    0    0    3    0    0    3    0    0    0    0    0    4    0    0    1    1    1    2    1
 I      7    4    0    0   10    3    2    9    2   21    4    0    1    2    0    1    3   16    0    3    2
 K      7    6    0    0    5    4    1    9    0   14    3    4    0    1    0    5    1    3    1    7    1
 L     16    1    0    0   13    9    0   16    0   24    3    2    3    3    0    3    4   11    1   11    4
 M      3    0    0    0    2    1    0    3    0    1    0    1    0    3    0    0    2    1    0    1    1
 N      4    0    1    0    4    1    1    0    0    2    1    1    0    0    0    6   11    3    0    0    1
 P      1    0    0    0    7    1    0    4    0    2    0    0    5    0    0    0    0    2    0    0    0
 Q      3    0    0    0    7    1    0    2    1    6    0    0    0    0    0    0    2    4    0    3    0
 R      2    0    0    0    2    6    0    7    0    2    3    0    0    0    0    3    0    6    0    0    0
 S      7    1    0    0    5    3    1    7    3    6    0    1    1    1    0    2    2    0    1    1    0
 T      3    6    0    0    4    1    1    2    0    8    4    3    0    3    0    4    2   13    0    8    0
 V      5    0    6    0    7    4    0   16    1   12    3    0    2    4    0    6    4   10    0    1    1
 W      0    0    0    0    1    1    0    1    0    0    0    0    0    1    3    0    2    1   20    5    1
 Y      2    1    1    0   10    0    2    5    1   14    3    0    0    3    0    0    0    4    5    8    4
 J      1    0    1    0    2    0    0    2    0    6    1    1    0    0    0    1    0    0    1    4    0
 -     13    9    0    0   29   13    0   15    0   46    6    6    3    1    0   24   10   38    0    4    8
        -----------------------------------------------------------------------------------------------------
 tot  105   33   10    0  156   62   10  123    8  225   35   30   25   31   10   66   54  142   33   92   32
 total for bin =  1282


        falloff matrix   2

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A    850    5  248  278  189  403   93  185  394  328   71  159  161  133  119  331  224  328   34  102   29
 C      5   82    3   10    9    6    0    4    4   14    4    4    1    2    1    5    5   11    1    7    6
 D    248    3  360  269   48  221   71   56  245   87   26  188  114  100   70  176  191  115   10   55   28
 E    278   10  269  296   64  190   68   70  279  128   38  129  128  138  129  185  123  135   17   63    4
 F    189    9   48   64  608   71   40  122   85  407   72   31   40   26   32   50   56  170   75  122   16
 G    403    6  221  190   71  694   94   98  223  140   19  136   95   82   72  244  162  165   15   65   19
 H     93    0   71   68   40   94  294   32   90   38    9   71   54   75   25   62   35   79    5   48    5
 I    185    4   56   70  122   98   32  302  106  344   71   48   31   42   50   54   84  427   18   76   21
 K    394    4  245  279   85  223   90  106  540  216   56  158  109  197  219  215  174  154   18   59   18
 L    328   14   87  128  407  140   38  344  216  988  193   87   70  106   68  157  164  466   59  128   30
 M     71    4   26   38   72   19    9   71   56  193   54   24   21   36   27   39   35   89   33   56   13
 N    159    4  188  129   31  136   71   48  158   87   24  192   55   77   81  147  112   81    8   27   10
 P    161    1  114  128   40   95   54   31  109   70   21   55  392   56   44  118   99   76    1   23    2
 Q    133    2  100  138   26   82   75   42  197  106   36   77   56  118   79  104   88   80    5   22    8
 R    119    1   70  129   32   72   25   50  219   68   27   81   44   79  202   76   63   57    7   34    2
 S    331    5  176  185   50  244   62   54  215  157   39  147  118  104   76  318  229  169   14   40   12
 T    224    5  191  123   56  162   35   84  174  164   35  112   99   88   63  229  218  184   12   61   18
 V    328   11  115  135  170  165   79  427  154  466   89   81   76   80   57  169  184  732   31   94   33
 W     34    1   10   17   75   15    5   18   18   59   33    8    1    5    7   14   12   31  216   27    2
 Y    102    7   55   63  122   65   48   76   59  128   56   27   23   22   34   40   61   94   27  112   13
 J     29    6   28    4   16   19    5   21   18   30   13   10    2    8    2   12   18   33    2   13   38
 -    473   36  437  353  165  560  125  179  436  324  101  292  255  225  234  334  249  366   54  143   18
        -----------------------------------------------------------------------------------------------------
 tot 5137  220 3118 3094 2498 3774 1413 2420 3995 4542 1087 2117 1945 1799 1691 3079 2586 4042  662 1377  345
 total for bin = 50941


        falloff matrix   2 (accessible)

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A    499    4  239  273   75  264   82   88  393  166   43  149  151  121  118  214  158  175   24   86    9
 C      4   29    3   10    6    4    0    4    4    7    4    2    0    2    1    4    5   11    1    5    6
 D    206    1  283  266   28  205   69   37  244   65   22  173  110   91   69  153  159   82   10   50   18
 E    254    8  260  257   46  171   67   51  276   90   30  121  124  119  126  159  110  101   16   50    3
 F     72    6   43   62  114   44   32   32   83  103   17   26   31   22   29   39   32   41   40   72    3
 G    256    5  218  186   52  452   89   59  223   97   11  133   89   76   68  173  101  130   12   59    9
 H     75    0   70   67   25   79   59   16   88   16    6   61   51   66   21   56   32   49    4   37    4
 I     94    1   53   65   39   57   26   98  105   79   25   44   23   38   47   46   54  108   12   51    6
 K    344    0  244  279   70  190   84   89  522  174   52  153  101  189  215  201  165  122   12   52   13
 L    171    7   81  123   73  105   22   66  214  272   55   78   57   97   64  110  117  123   16   70    9
 M     39    0   26   36   19    9    8   24   56   52   29   19   14   29   25   21   24   31   10   34    2
 N    131    1  180  122   18  125   68   36  155   65   20  165   49   73   76  129   97   42    6   25    6
 P    137    0  114  124   23   73   50   16  109   47   10   51  348   54   42  106   85   39    0   20    1
 Q    110    2   99  130   17   73   55   29  191   86   29   71   49  109   78   86   84   67    2   17    4
 R    100    0   68  121   25   54   21   30  214   38   23   73   40   77  175   72   57   46    5   30    0
 S    220    3  174  183   26  160   52   34  212   83   19  144  105  100   75  225  193  129   14   35    6
 T    157    0  181  118   34  101   29   47  172  105   20   99   85   83   60  178  150  103    9   43    3
 V    128    6  108  132   49  110   66   98  154  137   31   79   58   69   56  124   99  152   17   45   12
 W     13    0   10   17   16   14    4   10   18   17    9    7    0    4    5   11    9   13   74   12    1
 Y     65    1   54   60   59   44   46   37   58   67   25   22   15   18   31   35   49   40   12   78    5
 J      7    6   23    3    4    8    4    6   18   13    3    9    2    8    2   10    6   14    1    6    3
 -    416   23  431  351  102  513  117  109  430  218   77  269  237  222  226  295  228  272   36  117    6
        -----------------------------------------------------------------------------------------------------
 tot 3498  103 2962 2985  920 2855 1050 1016 3939 1997  560 1948 1739 1667 1609 2447 2014 1890  333  994  129
 total for bin = 36655


        falloff matrix   2 (inaccessible)

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A    351    1    9    5  114  139   11   97    1  162   28   10   10   12    1  117   66  153   10   16   20
 C      1   53    0    0    3    2    0    0    0    7    0    2    1    0    0    1    0    0    0    2    0
 D     42    2   77    3   20   16    2   19    1   22    4   15    4    9    1   23   32   33    0    5   10
 E     24    2    9   39   18   19    1   19    3   38    8    8    4   19    3   26   13   34    1   13    1
 F    117    3    5    2  494   27    8   90    2  304   55    5    9    4    3   11   24  129   35   50   13
 G    147    1    3    4   19  242    5   39    0   43    8    3    6    6    4   71   61   35    3    6   10
 H     18    0    1    1   15   15  235   16    2   22    3   10    3    9    4    6    3   30    1   11    1
 I     91    3    3    5   83   41    6  204    1  265   46    4    8    4    3    8   30  319    6   25   15
 K     50    4    1    0   15   33    6   17   18   42    4    5    8    8    4   14    9   32    6    7    5
 L    157    7    6    5  334   35   16  278    2  716  138    9   13    9    4   47   47  343   43   58   21
 M     32    4    0    2   53   10    1   47    0  141   25    5    7    7    2   18   11   58   23   22   11
 N     28    3    8    7   13   11    3   12    3   22    4   27    6    4    5   18   15   39    2    2    4
 P     24    1    0    4   17   22    4   15    0   23   11    4   44    2    2   12   14   37    1    3    1
 Q     23    0    1    8    9    9   20   13    6   20    7    6    7    9    1   18    4   13    3    5    4
 R     19    1    2    8    7   18    4   20    5   30    4    8    4    2   27    4    6   11    2    4    2
 S    111    2    2    2   24   84   10   20    3   74   20    3   13    4    1   93   36   40    0    5    6
 T     67    5   10    5   22   61    6   37    2   59   15   13   14    5    3   51   68   81    3   18   15
 V    200    5    7    3  121   55   13  329    0  329   58    2   18   11    1   45   85  580   14   49   21
 W     21    1    0    0   59    1    1    8    0   42   24    1    1    1    2    3    3   18  142   15    1
 Y     37    6    1    3   63   21    2   39    1   61   31    5    8    4    3    5   12   54   15   34    8
 J     22    0    5    1   12   11    1   15    0   17   10    1    0    0    0    2   12   19    1    7   35
 -     57   13    6    2   63   47    8   70    6  106   24   23   18    3    8   39   21   94   18   26   12
        -----------------------------------------------------------------------------------------------------
 tot 1639  117  156  109 1578  919  363 1404   56 2545  527  169  206  132   82  632  572 2152  329  383  216
 total for bin = 14286


        falloff matrix   3

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A   2670   16  690  670  262 1046  194  450  731  606  218  417  458  399  295  958  675 1005   79  216  166
 C     16  958    9    6   15   39    6    7   14   11    8    8   10   13   18   15   21   26    5   11    9
 D    690    9 1984  623   75  632  222  113  467  159   50  625  359  291  173  544  443  251   24  113   18
 E    670    6  623 1352   92  459  177  157  679  209   75  299  311  403  295  450  497  296   43  110   18
 F    262   15   75   92 2146  112  123  356  134  934  175   95   96   82   78  162  120  468  167  589   28
 G   1046   39  632  459  112 4510  176  183  508  297  125  418  317  285  162  743  406  308   44  125   70
 H    194    6  222  177  123  176 1156   64  325  235   48  150   98  184  150  161  179  138   12  169   10
 I    450    7  113  157  356  183   64 1430  199 1243  208  106  184   97  100  197  256 1441   89  212   40
 K    731   14  467  679  134  508  325  199 1786  437  119  443  369  406  675  602  642  420   85  178   35
 L    606   11  159  209  934  297  235 1243  437 3888  608  224  170  241  198  364  419 1386  147  319   54
 M    218    8   50   75  175  125   48  208  119  608  340   86   41   80   49  106  142  248   51   98    9
 N    417    8  625  299   95  418  150  106  443  224   86  978  186  212  217  493  445  204   26  149   23
 P    458   10  359  311   96  317   98  184  369  170   41  186 2126  167  130  363  285  237   28  110   40
 Q    399   13  291  403   82  285  184   97  406  241   80  212  167  544  198  293  282  229   35  104   21
 R    295   18  173  295   78  162  150  100  675  198   49  217  130  198 1028  325  274  168   36   87   20
 S    958   15  544  450  162  743  161  197  602  364  106  493  363  293  325 1792  959  411   43  153   50
 T    675   21  443  497  120  406  179  256  642  419  142  445  285  282  274  959 1898  545   15  166   67
 V   1005   26  251  296  468  308  138 1441  420 1386  248  204  237  229  168  411  545 2826   82  278   86
 W     79    5   24   43  167   44   12   89   85  147   51   26   28   35   36   43   15   82  706  130    2
 Y    216   11  113  110  589  125  169  212  178  319   98  149  110  104   87  153  166  278  130 1196   20
 J    166    9   18   18   28   70   10   40   35   54    9   23   40   21   20   50   67   86    2   20  308
 -   1087   65  927  926  348 1477  245  316  872  718  209  608  718  482  343 1034  689  645   82  303   55
        -----------------------------------------------------------------------------------------------------
 tot13308 1290 8792 8147 665712442 4222 74481012612867 3093 6412 6803 5048 501910218 942511698 1931 4836 1149
 total for bin =150931


        falloff matrix   3 (accessible)

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A   1307    6  653  639  122  695  186  238  719  280  128  368  392  366  285  594  490  459   55  160   61
 C      9  396    8    6   10   26    6    0   14    5    1    8    9   13   16   13   11   17    3    2    7
 D    561    5 1556  595   59  578  208   85  463  137   40  548  339  282  163  506  403  209   22  104   15
 E    585    6  588 1142   64  407  162  122  672  165   58  280  292  378  293  406  463  234   39   96   14
 F    110    5   73   89  484   70  103  122  134  290   55   84   68   59   64  110   82  117   71  299   10
 G    705   23  615  441   85 2484  164  102  503  189   94  400  305  262  147  566  350  198   32  101   31
 H    159    1  211  160  100  142  531   27  323  137   20  123   85  140  146  136  151   85   10  144    9
 I    202    7  109  144  126   99   47  443  198  341   90   97  161   81   94  152  180  376   44  131   13
 K    627   10  454  657  118  440  318  168 1727  346  107  425  353  392  633  559  615  361   62  171   28
 L    289    3  154  197  291  192  151  332  426 1067  205  193  125  205  176  292  303  418   57  207   18
 M     99    2   49   70   64   92   19   80  118  193  109   67   29   67   41   67   81   85   15   49    2
 N    321    4  554  296   72  379  118   83  435  164   61  677  172  185  208  422  396  150   11  132   15
 P    367    4  355  308   56  258   83  146  363  116   28  160 1510  158  127  332  236  167   24   78   22
 Q    327    5  281  382   49  236  149   70  401  181   65  176  147  423  184  258  262  161   25   84   10
 R    215    8  164  286   53  138  139   74  616  157   37  196  110  171  801  294  240  118   26   75    9
 S    560   10  530  435   99  542  155  138  585  259   64  433  319  285  322 1276  766  273   37  123   25
 T    463    9  425  492   82  328  160  161  639  274   84  398  245  268  263  726 1227  298   15  147   20
 V    374    6  227  274  152  205   97  435  410  409   83  180  178  200  149  290  344  658   41  183   12
 W     45    0   24   41   66   29   10   41   84   45   16   25   24   27   27   27   11   28  245   69    0
 Y    101    1  102  102  276   71  141  114  170  157   55  121   75   84   84  110  140  132   66  680   13
 J     37    4   17   18   16   39    9   13   32   13    2   20   24   10   16   26   28    9    0   11   85
 -    973   49  900  912  260 1312  232  227  863  568  173  570  652  474  333  976  628  499   56  250   43
        -----------------------------------------------------------------------------------------------------
 tot 8436  564 8049 7686 2704 8762 3188 3221 9895 5493 1575 5549 5614 4530 4572 8138 7407 5052  956 3296  462
 total for bin =105149


        falloff matrix   3 (inaccessible)

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A   1363   10   37   31  140  351    8  212   12  326   90   49   66   33   10  364  185  546   24   56  105
 C      7  562    1    0    5   13    0    7    0    6    7    0    1    0    2    2   10    9    2    9    2
 D    129    4  428   28   16   54   14   28    4   22   10   77   20    9   10   38   40   42    2    9    3
 E     85    0   35  210   28   52   15   35    7   44   17   19   19   25    2   44   34   62    4   14    4
 F    152   10    2    3 1662   42   20  234    0  644  120   11   28   23   14   52   38  351   96  290   18
 G    341   16   17   18   27 2026   12   81    5  108   31   18   12   23   15  177   56  110   12   24   39
 H     35    5   11   17   23   34  625   37    2   98   28   27   13   44    4   25   28   53    2   25    1
 I    248    0    4   13  230   84   17  987    1  902  118    9   23   16    6   45   76 1065   45   81   27
 K    104    4   13   22   16   68    7   31   59   91   12   18   16   14   42   43   27   59   23    7    7
 L    317    8    5   12  643  105   84  911   11 2821  403   31   45   36   22   72  116  968   90  112   36
 M    119    6    1    5  111   33   29  128    1  415  231   19   12   13    8   39   61  163   36   49    7
 N     96    4   71    3   23   39   32   23    8   60   25  301   14   27    9   71   49   54   15   17    8
 P     91    6    4    3   40   59   15   38    6   54   13   26  616    9    3   31   49   70    4   32   18
 Q     72    8   10   21   33   49   35   27    5   60   15   36   20  121   14   35   20   68   10   20   11
 R     80   10    9    9   25   24   11   26   59   41   12   21   20   27  227   31   34   50   10   12   11
 S    398    5   14   15   63  201    6   59   17  105   42   60   44    8    3  516  193  138    6   30   25
 T    212   12   18    5   38   78   19   95    3  145   58   47   40   14   11  233  671  247    0   19   47
 V    631   20   24   22  316  103   41 1006   10  977  165   24   59   29   19  121  201 2168   41   95   74
 W     34    5    0    2  101   15    2   48    1  102   35    1    4    8    9   16    4   54  461   61    2
 Y    115   10   11    8  313   54   28   98    8  162   43   28   35   20    3   43   26  146   64  516    7
 J    129    5    1    0   12   31    1   27    3   41    7    3   16   11    4   24   39   77    2    9  223
 -    114   16   27   14   88  165   13   89    9  150   36   38   66    8   10   58   61  146   26   53   12
        -----------------------------------------------------------------------------------------------------
 tot 4872  726  743  461 3953 3680 1034 4227  231 7374 1518  863 1189  518  447 2080 2018 6646  975 1540  687
 total for bin = 45782


        falloff matrix   4

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A   2652   74  364  388  129  690  102  321  461  411  190  364  350  308  247  835  559  697   40  191   61
 C     74 2854   12   26   36   32    8   14   27   18   32   13   10   28   31   43   32   22    9    2    5
 D    364   12 2594  547   61  417   97   92  367  104   34  579  210  238  195  568  295  133   15   96    6
 E    388   26  547 1616   58  280  108  100  593  178   88  320  208  400  243  462  409  211   18  137    4
 F    129   36   61   58 1760   71   81  323   86  537   80   97   53   83   51  135  123  289  164  666   20
 G    690   32  417  280   71 6598   84   84  380  197   58  458  198  230  174  601  287  200   56  116   15
 H    102    8   97  108   81   84 1068   42  153  111   24  151   55  105  103  127  111  100   25  150    7
 I    321   14   92  100  323   84   42 2394  125 1104  199  100  101  100  110  131  272 1354   56  181   22
 K    461   27  367  593   86  380  153  125 1726  278  106  380  277  415  626  495  531  296   42  159    6
 L    411   18  104  178  537  197  111 1104  278 3816  379  179  174  194  199  256  298 1166   94  285   40
 M    190   32   34   88   80   58   24  199  106  379  400   66   28  116   44  101  101  151   28   71   13
 N    364   13  579  320   97  458  151  100  380  179   66 1564  176  202  289  639  427  158   19  158   11
 P    350   10  210  208   53  198   55  101  277  174   28  176 2684   87  153  359  260  143   11   78    4
 Q    308   28  238  400   83  230  105  100  415  194  116  202   87  880  285  345  274  191   25   99   16
 R    247   31  195  243   51  174  103  110  626  199   44  289  153  285 1220  359  264  161   43  117    8
 S    835   43  568  462  135  601  127  131  495  256  101  639  359  345  359 2734 1056  295   35  198   34
 T    559   32  295  409  123  287  111  272  531  298  101  427  260  274  264 1056 2312  531   38  203   59
 V    697   22  133  211  289  200  100 1354  296 1166  151  158  143  191  161  295  531 3284   37  185   60
 W     40    9   15   18  164   56   25   56   42   94   28   19   11   25   43   35   38   37 1196  201    0
 Y    191    2   96  137  666  116  150  181  159  285   71  158   78   99  117  198  203  185  201 1806   31
 J     61    5    6    4   20   15    7   22    6   40   13   11    4   16    8   34   59   60    0   31  292
 -    651  110  688  749  211  972  112  266  772  503   88  482  679  366  437  865  593  370  128  279   21
        -----------------------------------------------------------------------------------------------------
 tot10085 3438 7712 7143 511412198 2924 7491 830110521 2397 6832 6298 4987 535910673 903510034 2280 5409  735
 total for bin =138966


        falloff matrix   4 (accessible)

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A    983   14  339  344   73  395   80  168  454  225   94  331  290  284  245  515  369  267   23  161    9
 C     29  953   11   25   29    5    7    7   27    4   12   13   10   25   31   18   18    9    7    2    4
 D    315    8 1819  529   55  366   94   66  359   81   32  543  207  230  194  522  273  108   15   89    2
 E    333    9  522 1396   54  244   95   86  583  143   67  291  202  380  232  429  387  171   15  126    4
 F     70   14   61   58  604   50   62  150   84  201   24   90   47   67   48   89  107  132   81  388    6
 G    367    0  400  274   55 3758   80   60  378  142   56  451  194  209  169  467  229  155   43  108    2
 H     77    7   92   97   61   73  669   30  153   90   20  132   45   72   99  106   96   66   18  126    4
 I    146    4   75   94  164   67   39  679  118  328   95   79   80   84  101  105  209  446   27  128    7
 K    399   13  365  582   75  330  139  112 1669  238   96  366  262  406  581  465  508  264   40  143    5
 L    207   13  102  165  213  141   89  359  275 1158  147  161  154  150  183  206  221  354   62  197    8
 M     84    2   33   74   27   52   19   93  104  135   82   53   22   66   44   69   72   47   18   50    6
 N    287   13  540  315   86  415  138   61  376  137   47 1257  165  199  288  558  377  138   17  138    5
 P    276    9  207  205   36  175   51   82  275  148   28  167 1706   87  149  341  232  102   11   56    4
 Q    256   14  237  379   58  190   72   84  405  148   66  193   79  641  270  319  248  141   21   89    5
 R    207   23  193  230   39  141   87   90  592  164   39  284  142  271 1038  325  245  126   39  109    8
 S    510   11  548  446   83  445  113   84  488  190   60  587  337  330  356 1796  784  191   26  177   10
 T    338   10  272  399   99  229   95  219  526  215   76  383  230  253  259  780 1532  340   33  184    9
 V    217    9  121  187  127  135   68  487  289  401   61  149  112  166  154  209  362  971   27  143   10
 W     25    6   14   15   99   50   15   35   42   60   20   17   11   19   42   24   30   16  514  171    0
 Y    141    1   77  133  379  102  121  105  155  151   53  132   47   92  110  169  174  109  142 1097   18
 J     10    2    5    4    7   10    5    8    6    9    7    6    4    6    8   15   11   16    0   15   99
 -    534   86  656  726  174  872  109  225  765  421   84  466  641  363  422  816  576  313  122  236   18
        -----------------------------------------------------------------------------------------------------
 tot 5811 1221 6689 6677 2597 8245 2247 3290 8123 4789 1266 6151 4987 4400 5023 8343 7060 4482 1301 3933  243
 total for bin = 96878


        falloff matrix   4 (inaccessible)

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A   1669   60   25   44   56  295   22  153    7  186   96   33   60   24    2  320  190  430   17   30   52
 C     45 1901    1    1    7   27    1    7    0   14   20    0    0    3    0   25   14   13    2    0    1
 D     49    4  775   18    6   51    3   26    8   23    2   36    3    8    1   46   22   25    0    7    4
 E     55   17   25  220    4   36   13   14   10   35   21   29    6   20   11   33   22   40    3   11    0
 F     59   22    0    0 1156   21   19  173    2  336   56    7    6   16    3   46   16  157   83  278   14
 G    323   32   17    6   16 2840    4   24    2   55    2    7    4   21    5  134   58   45   13    8   13
 H     25    1    5   11   20   11  399   12    0   21    4   19   10   33    4   21   15   34    7   24    3
 I    175   10   17    6  159   17    3 1715    7  776  104   21   21   16    9   26   63  908   29   53   15
 K     62   14    2   11   11   50   14   13   57   40   10   14   15    9   45   30   23   32    2   16    1
 L    204    5    2   13  324   56   22  745    3 2658  232   18   20   44   16   50   77  812   32   88   32
 M    106   30    1   14   53    6    5  106    2  244  318   13    6   50    0   32   29  104   10   21    7
 N     77    0   39    5   11   43   13   39    4   42   19  307   11    3    1   81   50   20    2   20    6
 P     74    1    3    3   17   23    4   19    2   26    0    9  978    0    4   18   28   41    0   22    0
 Q     52   14    1   21   25   40   33   16   10   46   50    9    8  239   15   26   26   50    4   10   11
 R     40    8    2   13   12   33   16   20   34   35    5    5   11   14  182   34   19   35    4    8    0
 S    325   32   20   16   52  156   14   47    7   66   41   52   22   15    3  938  272  104    9   21   24
 T    221   22   23   10   24   58   16   53    5   83   25   44   30   21    5  276  780  191    5   19   50
 V    480   13   12   24  162   65   32  867    7  765   90    9   31   25    7   86  169 2313   10   42   50
 W     15    3    1    3   65    6   10   21    0   34    8    2    0    6    1   11    8   21  682   30    0
 Y     50    1   19    4  287   14   29   76    4  134   18   26   31    7    7   29   29   76   59  709   13
 J     51    3    1    0   13    5    2   14    0   31    6    5    0   10    0   19   48   44    0   16  193
 -    117   24   32   23   37  100    3   41    7   82    4   16   38    3   15   49   17   57    6   43    3
        -----------------------------------------------------------------------------------------------------
 tot 4274 2217 1023  466 2517 3953  677 4201  178 5732 1131  681 1311  587  336 2330 1975 5552  979 1476  492
 total for bin = 42088


        falloff matrix   5

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A   2814   11  272  279  157  688   57  128  373  323   62  198  326  320  136  731  492  454   29  127   48
 C     11 2212    6   12    1    3    1    7    3    4    1    8    0    5   12   11    8    2    0    2    0
 D    272    6 2352  424   34  243   68   55  167   63   15  365  204  196   67  432  240   94   28  113    5
 E    279   12  424 1734   33  245   45   65  267   99   25  126  145  365   85  232  217  102   20   68    1
 F    157    1   34   33 1828   19   35  207   24  393   45   42   41   27   36   54   70  190   70  479    4
 G    688    3  243  245   19 6238   55   24  216   64   24  253  172   80  192  581  204  111   55  158   10
 H     57    1   68   45   35   55  714   15  127   46   17  153   37   91   92  114   69   33   23   75    5
 I    128    7   55   65  207   24   15 1876   52  622  197   94   68   49   49  198  232  857   30   83   12
 K    373    3  167  267   24  216  127   52 2242  220   29  290  106  468  581  436  333  134   18   67    2
 L    323    4   63   99  393   64   46  622  220 3992  479  109  111  130  144  121  189  937   45  141   14
 M     62    1   15   25   45   24   17  197   29  479  286   21   14   34   26   50   56  140   36   24    1
 N    198    8  365  126   42  253  153   94  290  109   21 1224  134  124  120  553  306   82   30  131    9
 P    326    0  204  145   41  172   37   68  106  111   14  134 2634   84   77  319  152  130   12   55    3
 Q    320    5  196  365   27   80   91   49  468  130   34  124   84 1844  152  253  211  148   16   31    4
 R    136   12   67   85   36  192   92   49  581  144   26  120   77  152 1434  211  229  128   32   50    1
 S    731   11  432  232   54  581  114  198  436  121   50  553  319  253  211 4160 1270  199   26  167   24
 T    492    8  240  217   70  204   69  232  333  189   56  306  152  211  229 1270 3264  357   33   90   16
 V    454    2   94  102  190  111   33  857  134  937  140   82  130  148  128  199  357 3216   28  101   56
 W     29    0   28   20   70   55   23   30   18   45   36   30   12   16   32   26   33   28 1374  132    2
 Y    127    2  113   68  479  158   75   83   67  141   24  131   55   31   50  167   90  101  132 2696   10
 J     48    0    5    1    4   10    5   12    2   14    1    9    3    4    1   24   16   56    2   10  220
 -    431   47  280  149  113  493   45  110  238  214   48  211  284  158  106  555  236  145   15  158    7
        -----------------------------------------------------------------------------------------------------
 tot 8456 2356 5723 4738 390210128 1917 5030 6393 8460 1630 4583 5108 4790 396010697 8274 7644 2054 4958  454
 total for bin =111255


        falloff matrix   5 (accessible)

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A   1277    3  261  267   57  335   52   72  373  168   41  182  300  256  127  588  387  216   25   77   19
 C      3  688    6   12    1    1    1    7    3    2    0    8    0    1   12   11    8    1    0    1    0
 D    222    5 1636  419   31  216   67   31  167   48   14  349  194  194   67  408  227   76   28  112    4
 E    266   12  420 1508   27  212   44   57  266   91   24  115  143  295   85  218  211   87   19   66    0
 F     60    0   34   33  695   12   28   60   24  144   24   37   37   24   36   43   47   56   40  387    2
 G    334    2  230  244   13 3870   51   19  215   41   23  243  156   76  185  469  191   86   51  157    2
 H     40    1   67   44   29   50  416    7  123   40   14  128   36   83   86  101   63   26   19   66    2
 I     65    0   43   57   66   22   11  448   51  191   35   70   59   42   48  177  189  298   12   71    3
 K    356    2  165  265   19  196  123   45 2181  213   29  286  103  464  504  430  323  124   15   66    2
 L    154    2   59   92  158   45   42  191  219 1464   91   92   95  111  125  108  156  335   29  101    7
 M     38    0   14   23   24   22   10   38   29   85   88   18   12   26   26   42   40   64    7   21    1
 N    157    8  344  120   40  221  142   55  288   83   19  947  116  117  117  474  278   62   26  126    3
 P    305    0  202  144   35  120   36   43  104   88   11  130 2189   83   76  303  142  106   12   53    1
 Q    251    0  188  281   25   68   83   41  468  113   26  115   83 1418  150  211  195  129   13   31    1
 R    117   11   67   78   34  156   80   45  532  122   23  119   75  152 1212  206  226   91   31   48    1
 S    575   10  408  229   50  461  106  111  436   98   41  493  299  221  211 3608 1161  144   26  164   10
 T    353    2  231  215   45  170   66  192  333  156   43  293  137  207  228 1162 2510  244   32   85    7
 V    157    1   85   95   70   63   26  354  134  376   64   65  115  135   89  154  248 1191   18   80   13
 W     22    0   24   20   42   38   21   10   18   27    8   27    7   16   31   19   31   15  708  119    1
 Y     59    1  101   67  382  113   65   45   67   88   20  107   35   31   48  158   80   58  114 1878    8
 J      4    0    4    1    2    4    3    2    2    7    1    4    1    1    1    6    6   25    1    8   86
 -    416   47  275  145   94  442   45   91  237  198   46  203  259  156  105  544  223  104   15  155    6
        -----------------------------------------------------------------------------------------------------
 tot 5231  795 4864 4359 1939 6837 1518 1964 6270 3843  685 4031 4451 4109 3569 9440 6942 3538 1241 3872  179
 total for bin = 79677


        falloff matrix   5 (inaccessible)

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A   1537    8   11   12  100  353    5   56    0  155   21   16   26   64    9  143  105  238    4   50   29
 C      8 1524    0    0    0    2    0    0    0    2    1    0    0    4    0    0    0    1    0    1    0
 D     50    1  716    5    3   27    1   24    0   15    1   16   10    2    0   24   13   18    0    1    1
 E     13    0    4  226    6   33    1    8    1    8    1   11    2   70    0   14    6   15    1    2    1
 F     97    1    0    0 1133    7    7  147    0  249   21    5    4    3    0   11   23  134   30   92    2
 G    354    1   13    1    6 2368    4    5    1   23    1   10   16    4    7  112   13   25    4    1    8
 H     17    0    1    1    6    5  298    8    4    6    3   25    1    8    6   13    6    7    4    9    3
 I     63    7   12    8  141    2    4 1428    1  431  162   24    9    7    1   21   43  559   18   12    9
 K     17    1    2    2    5   20    4    7   61    7    0    4    3    4   77    6   10   10    3    1    0
 L    169    2    4    7  235   19    4  431    1 2528  388   17   16   19   19   13   33  602   16   40    7
 M     24    1    1    2   21    2    7  159    0  394  198    3    2    8    0    8   16   76   29    3    0
 N     41    0   21    6    2   32   11   39    2   26    2  277   18    7    3   79   28   20    4    5    6
 P     21    0    2    1    6   52    1   25    2   23    3    4  445    1    1   16   10   24    0    2    2
 Q     69    5    8   84    2   12    8    8    0   17    8    9    1  426    2   42   16   19    3    0    3
 R     19    1    0    7    2   36   12    4   49   22    3    1    2    0  222    5    3   37    1    2    0
 S    156    1   24    3    4  120    8   87    0   23    9   60   20   32    0  552  109   55    0    3   14
 T    139    6    9    2   25   34    3   40    0   33   13   13   15    4    1  108  754  113    1    5    9
 V    297    1    9    7  120   48    7  503    0  561   76   17   15   13   39   45  109 2025   10   21   43
 W      7    0    4    0   28   17    2   20    0   18   28    3    5    0    1    7    2   13  666   13    1
 Y     68    1   12    1   97   45   10   38    0   53    4   24   20    0    2    9   10   43   18  818    2
 J     44    0    1    0    2    6    2   10    0    7    0    5    2    3    0   18   10   31    1    2  134
 -     15    0    5    4   19   51    0   19    1   16    2    8   25    2    1   11   13   41    0    3    1
        -----------------------------------------------------------------------------------------------------
 tot 3225 1561  859  379 1963 3291  399 3066  123 4617  945  552  657  681  391 1257 1332 4106  813 1086  275
 total for bin = 31578


        falloff matrix   6

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A   1736    0   89  108   39  211   17   48   85   84   11   77  108   70   53  320  201  215    4   26   19
 C      0  804    2    0    0    0    0    0    0    0    0    3    0    0    0    2    0    0    0    2    4
 D     89    2 1374  236    8  103   22   11   66   20    0  175   48   58   20  183   60   29    2   24    1
 E    108    0  236 1006   10   51   27   14  112   21    8   50   39  164   35   79   89   49    6   29    2
 F     39    0    8   10  976    6   13   49    9  117   27   13   10   23    8   24   21   30   28  170    6
 G    211    0  103   51    6 3418   30   14   42   16   11  105   46   41   50  158   43   33   12   42    4
 H     17    0   22   27   13   30  384    5   36   13    4   57   10   38   33   33   29    9    7   31    0
 I     48    0   11   14   49   14    5 1196   26  252   89   16   11   10   14   49   86  414    6   52    9
 K     85    0   66  112    9   42   36   26 1252   46   14   80   40  158  209  132  186   60    0   21    1
 L     84    0   20   21  117   16   13  252   46 1904  193   26   60   50   64   50   72  266   30   49    8
 M     11    0    0    8   27   11    4   89   14  193  262    5    3   13   12   17   29   62    6    9    5
 N     77    3  175   50   13  105   57   16   80   26    5  738   48   57   41  215  128   16   10   54    2
 P    108    0   48   39   10   46   10   11   40   60    3   48 1382   24   13  113   62   52    6   15    0
 Q     70    0   58  164   23   41   38   10  158   50   13   57   24 1016   56  100   61   55    0    7    0
 R     53    0   20   35    8   50   33   14  209   64   12   41   13   56  886   89   77   40   12   18    1
 S    320    2  183   79   24  158   33   49  132   50   17  215  113  100   89 2352  515   56   20   79    7
 T    201    0   60   89   21   43   29   86  186   72   29  128   62   61   77  515 1760  140    3   31   12
 V    215    0   29   49   30   33    9  414   60  266   62   16   52   55   40   56  140 1586    7   27   13
 W      4    0    2    6   28   12    7    6    0   30    6   10    6    0   12   20    3    7  578   56    1
 Y     26    2   24   29  170   42   31   52   21   49    9   54   15    7   18   79   31   27   56 1398    2
 J     19    4    1    2    6    4    0    9    1    8    5    2    0    0    1    7   12   13    1    2  194
 -    161    7   94   64   31  130   18   23   85   61   18   79   68   55   50  139   69   45    3   40    0
        -----------------------------------------------------------------------------------------------------
 tot 3682  824 2625 2199 1618 4566  816 2394 2660 3402  798 1995 2158 2056 1781 4732 3674 3204  797 2182  291
 total for bin = 48454


        falloff matrix   6 (accessible)

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A    850    0   88  108   25  121   17   41   85   52    6   75  104   64   53  237  139  120    3   24    6
 C      0  207    2    0    0    0    0    0    0    0    0    3    0    0    0    2    0    0    0    2    0
 D     83    2 1023  235    8  100   22   10   66   17    0  165   47   58   20  181   57   27    2   23    1
 E    100    0  234  914   10   44   26   13  112   16    7   48   37  146   35   76   89   44    5   29    2
 F     25    0    8   10  430    5   12   23    9   51   19   13    9   21    8   22   18    9   24  109    3
 G    135    0  101   50    5 2232   30   14   41   12    6  104   44   41   47  143   38   26   12   42    2
 H     11    0   20   27   12   26  205    5   36   12    4   51    8   33   33   26   27    8    6   31    0
 I     33    0    9   14   27    9    4  303   26  113   22   13   11    9   13   44   69  126    5   47    1
 K     81    0   66  112    9   41   36   25 1221   44   14   78   38  155  197  132  179   59    0   21    0
 L     50    0   18   20   47   15   12  114   46  635   56   20   53   35   64   48   64  106   24   48    3
 M      7    0    0    7   19    6    4   23   14   61   67    3    1   12   12   10   23   25    5    8    4
 N     71    3  163   50   13  103   52    9   80   19    3  582   44   47   39  197  112    9    9   52    2
 P    100    0   47   39   10   36    9   11   39   55    3   43 1172   24   13  113   55   45    6   15    0
 Q     60    0   58  146   23   37   32    9  158   47   13   46   24  692   55   84   59   54    0    7    0
 R     49    0   20   35    8   43   30   14  201   57   12   41   13   54  770   88   75   35   11   18    1
 S    234    2  181   76   23  134   30   44  132   41   13  207  109   93   89 2043  480   52   20   77    3
 T    132    0   60   89   16   40   28   72  186   62   28  122   54   60   77  484 1362  108    3   31    4
 V     79    0   27   48   15   22    8  151   60  116   27   11   47   55   33   49  109  628    2   24    4
 W      3    0    2    6   23    8    6    6    0   14    5   10    6    0   11   16    2    1  255   54    0
 Y     14    2   23   28  107   38   30   43   21   46    8   49   14    7   18   69   31   18   53  985    2
 J      4    0    1    2    3    2    0    0    1    3    2    2    0    0    1    3    5    5    0    2   74
 -    155    7   93   64   26  123   17   19   84   54   17   78   64   55   50  138   61   38    3   39    0
        -----------------------------------------------------------------------------------------------------
 tot 2276  223 2244 2080  859 3185  610  949 2618 1527  332 1764 1899 1661 1638 4205 3054 1543  448 1688  112
 total for bin = 34915


        falloff matrix   6 (inaccessible)

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A    886    0    1    0   14   90    0    7    0   32    5    2    4    6    0   83   62   95    1    2   13
 C      0  597    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    4
 D      6    0  351    1    0    3    0    1    0    3    0   10    1    0    0    2    3    2    0    1    0
 E      8    0    2   92    0    7    1    1    0    5    1    2    2   18    0    3    0    5    1    0    0
 F     14    0    0    0  546    1    1   26    0   66    8    0    1    2    0    2    3   21    4   61    3
 G     76    0    2    1    1 1186    0    0    1    4    5    1    2    0    3   15    5    7    0    0    2
 H      6    0    2    0    1    4  179    0    0    1    0    6    2    5    0    7    2    1    1    0    0
 I     15    0    2    0   22    5    1  893    0  139   67    3    0    1    1    5   17  288    1    5    8
 K      4    0    0    0    0    1    0    1   31    2    0    2    2    3   12    0    7    1    0    0    1
 L     34    0    2    1   70    1    1  138    0 1269  137    6    7   15    0    2    8  160    6    1    5
 M      4    0    0    1    8    5    0   66    0  132  195    2    2    1    0    7    6   37    1    1    1
 N      6    0   12    0    0    2    5    7    0    7    2  156    4   10    2   18   16    7    1    2    0
 P      8    0    1    0    0   10    1    0    1    5    0    5  210    0    0    0    7    7    0    0    0
 Q     10    0    0   18    0    4    6    1    0    3    0   11    0  324    1   16    2    1    0    0    0
 R      4    0    0    0    0    7    3    0    8    7    0    0    0    2  116    1    2    5    1    0    0
 S     86    0    2    3    1   24    3    5    0    9    4    8    4    7    0  309   35    4    0    2    4
 T     69    0    0    0    5    3    1   14    0   10    1    6    8    1    0   31  398   32    0    0    8
 V    136    0    2    1   15   11    1  263    0  150   35    5    5    0    7    7   31  958    5    3    9
 W      1    0    0    0    5    4    1    0    0   16    1    0    0    0    1    4    1    6  323    2    1
 Y     12    0    1    1   63    4    1    9    0    3    1    5    1    0    0   10    0    9    3  413    0
 J     15    4    0    0    3    2    0    9    0    5    3    0    0    0    0    4    7    8    1    0  120
 -      6    0    1    0    5    7    1    4    1    7    1    1    4    0    0    1    8    7    0    1    0
        -----------------------------------------------------------------------------------------------------
 tot 1406  601  381  119  759 1381  206 1445   42 1875  466  231  259  395  143  527  620 1661  349  494  179
 total for bin = 13539


        falloff matrix   7

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A   2400    0   94   90   13  213   26   35   62   62   16   89  135   65   47  384  220  217    5   27    5
 C      0  804    0    0    0    0    0    0    0    1    0    0    0    0    0    1    1    0    0    0    6
 D     94    0 1942  198   12  132   15    7   48    8    4  181   19   34   14  187   45   42   15   39    1
 E     90    0  198 1398   12   51   15   15   70   16    2   48   15  157   20   56   53   22    5   17    0
 F     13    0   12   12 1432    8   13   39    4   80   20   17    9   14    6   27   10   25   21  200    1
 G    213    0  132   51    8 4016   27    8   51    8    3  116   45   39   80  136   35   18   10   50    1
 H     26    0   15   15   13   27  472    7   15   11    5   46    4   50   37   39    9    4    6   37    0
 I     35    0    7   15   39    8    7 1540   20  217   74   10   22    6    4   51   79  314    2   35    0
 K     62    0   48   70    4   51   15   20 1662   21   11   85   21  137  225   90  108   25    9   21    1
 L     62    1    8   16   80    8   11  217   21 2830  199   20   36   30   74   48   57  276   24   54    5
 M     16    0    4    2   20    3    5   74   11  199  472   10    4   14    3   12   27   38    2    8    0
 N     89    0  181   48   17  116   46   10   85   20   10 1042   28   71   52  226  109   26   15   49   11
 P    135    0   19   15    9   45    4   22   21   36    4   28 1766   30   23  110   62   33    4   15    0
 Q     65    0   34  157   14   39   50    6  137   30   14   71   30 1540   51   75   60   47    4   10    0
 R     47    0   14   20    6   80   37    4  225   74    3   52   23   51 1434   98   60   16   10   24    1
 S    384    1  187   56   27  136   39   51   90   48   12  226  110   75   98 3152  549   69   18   94    9
 T    220    1   45   53   10   35    9   79  108   57   27  109   62   60   60  549 2328  106    5   27    6
 V    217    0   42   22   25   18    4  314   25  276   38   26   33   47   16   69  106 2196    5   37    9
 W      5    0   15    5   21   10    6    2    9   24    2   15    4    4   10   18    5    5  780   49    0
 Y     27    0   39   17  200   50   37   35   21   54    8   49   15   10   24   94   27   37   49 1768    5
 J      5    6    1    0    1    1    0    0    1    5    0   11    0    0    1    9    6    9    0    5  154
 -    114    7   63   41   36  118    4   12   60   41   13   84   70   33   24  121   75   16    4   46    3
        -----------------------------------------------------------------------------------------------------
 tot 4319  820 3100 2301 1999 5165  842 2497 2746 4118  937 2335 2451 2467 2303 5552 4031 3541  993 2612  218
 total for bin = 55347


        falloff matrix   7 (accessible)

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A   1279    0   94   89   11  135   26   25   62   50   12   85  129   62   47  278  164  144    5   27    2
 C      0  137    0    0    0    0    0    0    0    1    0    0    0    0    0    1    1    0    0    0    4
 D     92    0 1544  193   10  127   12    7   48    7    4  170   17   34   14  184   42   42   15   39    0
 E     84    0  190 1224   11   45   14   15   70   14    2   46   14  144   20   52   52   22    4   16    0
 F     10    0   12   12  668    5   12   22    4   41   15   16    9    9    6   25    8   15   18  130    1
 G    126    0  127   51    8 2614   26    5   50    6    2  115   43   39   78  127   33   12   10   50    0
 H     21    0   13   13   12   25  294    7   15    9    3   41    4   37   37   28    7    3    5   35    0
 I     22    0    7   15   23    3    7  445   18  114   23   10   22    6    4   46   75   95    2   33    0
 K     60    0   48   70    4   48   15   17 1598   21   11   83   21  136  218   90  108   24    9   21    1
 L     50    1    8   14   41    6   10  116   21 1178   82   16   34   25   71   47   45  126   13   46    3
 M     11    0    4    2   15    1    5   24   11   87  102   10    4   10    3   12   26   14    0    1    0
 N     71    0  174   47   16  112   43    9   85   17   10  838   28   40   52  212   97   25   15   49    4
 P    123    0   19   15    8   39    4   22   21   34    4   28 1477   30   23  105   60   31    4   14    0
 Q     59    0   33  144   13   37   40    4  137   28   12   41   30 1106   51   64   59   44    4   10    0
 R     46    0   11   20    6   68   36    4  215   61    3   50   23   51 1228   96   59   16   10   24    1
 S    275    1  184   52   27  123   35   46   90   46   12  221  108   70   98 2806  510   58   18   94    4
 T    136    1   43   53   10   28    9   76  108   44   27  106   62   60   60  509 1807   75    5   26    3
 V    123    0   42   22   15   10    3  107   25  129   17   25   32   47   16   59   79  868    5   30    4
 W      3    0   15    5   18    9    5    2    9   13    0   14    4    4   10   18    5    4  393   48    0
 Y     14    0   33   17  123   42   35   31   21   45    4   48   15   10   24   85   22   27   48 1262    5
 J      2    3    1    0    1    0    0    0    1    1    0    4    0    0    1    4    1    4    0    5   49
 -    113    7   62   40   34  117    4   11   60   41   10   82   69   33   24  119   70   15    4   46    3
        -----------------------------------------------------------------------------------------------------
 tot 2720  150 2664 2098 1074 3594  635  995 2669 1987  355 2049 2145 1953 2085 4967 3330 1664  587 2006   84
 total for bin = 39811


        falloff matrix   7 (inaccessible)

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A   1121    0    0    1    2   78    0   10    0   12    4    4    6    3    0  106   56   73    0    0    3
 C      0  667    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    2
 D      2    0  398    5    2    5    3    0    0    1    0   11    2    0    0    3    3    0    0    0    1
 E      6    0    8  174    1    6    1    0    0    2    0    2    1   13    0    4    1    0    1    1    0
 F      3    0    0    0  764    3    1   17    0   39    5    1    0    5    0    2    2   10    3   70    0
 G     87    0    5    0    0 1402    1    3    1    2    1    1    2    0    2    9    2    6    0    0    1
 H      5    0    2    2    1    2  178    0    0    2    2    5    0   13    0   11    2    1    1    2    0
 I     13    0    0    0   16    5    0 1095    2  103   51    0    0    0    0    5    4  219    0    2    0
 K      2    0    0    0    0    3    0    3   64    0    0    2    0    1    7    0    0    1    0    0    0
 L     12    0    0    2   39    2    1  101    0 1652  117    4    2    5    3    1   12  150   11    8    2
 M      5    0    0    0    5    2    0   50    0  112  370    0    0    4    0    0    1   24    2    7    0
 N     18    0    7    1    1    4    3    1    0    3    0  204    0   31    0   14   12    1    0    0    7
 P     12    0    0    0    1    6    0    0    0    2    0    0  289    0    0    5    2    2    0    1    0
 Q      6    0    1   13    1    2   10    2    0    2    2   30    0  434    0   11    1    3    0    0    0
 R      1    0    3    0    0   12    1    0   10   13    0    2    0    0  206    2    1    0    0    0    0
 S    109    0    3    4    0   13    4    5    0    2    0    5    2    5    0  346   39   11    0    0    5
 T     84    0    2    0    0    7    0    3    0   13    0    3    0    0    0   40  521   31    0    1    3
 V     94    0    0    0   10    8    1  207    0  147   21    1    1    0    0   10   27 1328    0    7    5
 W      2    0    0    0    3    1    1    0    0   11    2    1    0    0    0    0    0    1  387    1    0
 Y     13    0    6    0   77    8    2    4    0    9    4    1    0    0    0    9    5   10    1  506    0
 J      3    3    0    0    0    1    0    0    0    4    0    7    0    0    0    5    5    5    0    0  105
 -      1    0    1    1    2    1    0    1    0    0    3    2    1    0    0    2    5    1    0    0    0
        -----------------------------------------------------------------------------------------------------
 tot 1599  670  436  203  925 1571  207 1502   77 2131  582  286  306  514  218  585  701 1877  406  606  134
 total for bin = 15536


        falloff matrix   8

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A   1036    1   20   41    8   48    2    5   24   13    2   20   29   22    6  109   62   55    0   10    6
 C      1  360    0    0    0    0    1    0    0    0    0    0    0    0    0    0    0    0    0    0    3
 D     20    0  862   77    8   24    9    3   20    3    1   60    9   13    4   33    7    3    1    9    0
 E     41    0   77  754    2   15    8    3   34    7    3   15    4   45    2   14   13   10    0    7    0
 F      8    0    8    2  520    0    6    2    1   35    6    4    1    0    0    7    0    6    2   54    0
 G     48    0   24   15    0 1506    5    3    8    4    2   24    8    4   15   36   16    8   10    6    1
 H      2    1    9    8    6    5  214    1    8    6    0   25    6   22   13    2    2    2    0   16    2
 I      5    0    3    3    2    3    1  684    7   67   36    5    4    0    6   16   29  117    0    4    1
 K     24    0   20   34    1    8    8    7  882   11   11   34    8   41   60   26   45    7    1    1    3
 L     13    0    3    7   35    4    6   67   11 1236   49    6   14   20   15    9   16   59    6   12    1
 M      2    0    1    3    6    2    0   36   11   49  232    1    0    2    1    2   11   13    0    2    1
 N     20    0   60   15    4   24   25    5   34    6    1  496    6   24   12   69   18    1    1   14    1
 P     29    0    9    4    1    8    6    4    8   14    0    6  642    8    5   44    9    4    0    5    0
 Q     22    0   13   45    0    4   22    0   41   20    2   24    8  624   21   16   11    8    1    4    0
 R      6    0    4    2    0   15   13    6   60   15    1   12    5   21  650   14    9    6    1    7    1
 S    109    0   33   14    7   36    2   16   26    9    2   69   44   16   14 1150  119   13    0   19    8
 T     62    0    7   13    0   16    2   29   45   16   11   18    9   11    9  119  972   21    1    3    0
 V     55    0    3   10    6    8    2  117    7   59   13    1    4    8    6   13   21 1016    1    4    5
 W      0    0    1    0    2   10    0    0    1    6    0    1    0    1    1    0    1    1  314    6    0
 Y     10    0    9    7   54    6   16    4    1   12    2   14    5    4    7   19    3    4    6  744    3
 J      6    3    0    0    0    1    2    1    3    1    1    1    0    0    1    8    0    5    0    3   90
 -     33    7   17    9    2   31    3    2   14   16    1    8   15   10   14   38   18   11    2   13    1
        -----------------------------------------------------------------------------------------------------
 tot 1552  372 1183 1063  664 1774  353  995 1246 1605  376  844  821  896  862 1744 1382 1370  347  943  127
 total for bin = 20519


        falloff matrix   8 (accessible)

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A    526    1   20   39    8   37    2    2   24   10    2   19   28   19    6   81   46   35    0   10    2
 C      1  135    0    0    0    0    1    0    0    0    0    0    0    0    0    0    0    0    0    0    0
 D     19    0  728   76    6   23    9    2   20    2    1   52    9   13    4   31    6    3    1    9    0
 E     37    0   77  693    2   14    8    3   34    6    3   12    4   45    2   13   11   10    0    5    0
 F      6    0    6    2  246    0    4    2    1   18    6    4    1    0    0    7    0    2    1   36    0
 G     35    0   24   15    0 1041    4    2    8    2    2   24    8    4   15   32   16    6   10    6    0
 H      2    1    9    8    6    4  168    0    8    4    0   25    6   22   13    1    2    2    0   16    2
 I      2    0    3    3    2    3    1  212    5   26   14    3    4    0    6   15   29   51    0    4    1
 K     23    0   20   34    1    8    8    5  857   10   11   34    8   41   60   26   45    7    0    1    3
 L      8    0    3    6   16    3    5   23   11  532   26    5   11   18   15    9   15   25    6   10    1
 M      2    0    1    3    6    2    0   14   11   28  101    1    0    2    1    2   11    8    0    0    1
 N     17    0   54   15    4   22   25    3   34    5    1  419    6   21   12   62   17    1    0   13    0
 P     26    0    9    4    1    7    5    4    8   10    0    6  551    8    5   42    9    2    0    5    0
 Q     20    0   13   45    0    4   22    0   41   18    2   20    8  525   20   16   11    8    1    4    0
 R      5    0    4    2    0   15   10    6   60   15    1   12    5   20  582   14    8    6    1    7    1
 S     86    0   33   13    6   32    2   15   26    8    2   63   43   16   14  967  103   10    0   19    4
 T     42    0    7   13    0   13    2   29   45   12    9   17    9   11    9  105  764   16    1    3    0
 V     32    0    2   10    2    4    2   52    7   28    8    0    3    8    6   10   18  457    1    3    0
 W      0    0    1    0    1    5    0    0    1    5    0    0    0    1    1    0    1    1  183    6    0
 Y      8    0    9    5   39    6   15    4    1    6    0   13    5    4    7   19    3    4    6  536    1
 J      0    1    0    0    0    0    2    1    3    1    1    0    0    0    1    4    0    0    0    3   21
 -     33    4   17    9    2   27    3    2   14   15    1    8   15    9   14   38   18    9    2   13    0
        -----------------------------------------------------------------------------------------------------
 tot  930  142 1040  995  348 1270  298  381 1219  761  191  737  724  787  793 1494 1133  663  213  709   37
 total for bin = 14865


        falloff matrix   8 (inaccessible)

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A    510    0    0    2    0   11    0    3    0    3    0    1    1    3    0   28   16   20    0    0    4
 C      0  225    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    3
 D      1    0  134    1    2    1    0    1    0    1    0    8    0    0    0    2    1    0    0    0    0
 E      4    0    0   61    0    1    0    0    0    1    0    3    0    0    0    1    2    0    0    2    0
 F      2    0    2    0  274    0    2    0    0   17    0    0    0    0    0    0    0    4    1   18    0
 G     13    0    0    0    0  465    1    1    0    2    0    0    0    0    0    4    0    2    0    0    1
 H      0    0    0    0    0    1   46    1    0    2    0    0    0    0    0    1    0    0    0    0    0
 I      3    0    0    0    0    0    0  472    2   41   22    2    0    0    0    1    0   66    0    0    0
 K      1    0    0    0    0    0    0    2   25    1    0    0    0    0    0    0    0    0    1    0    0
 L      5    0    0    1   19    1    1   44    0  704   23    1    3    2    0    0    1   34    0    2    0
 M      0    0    0    0    0    0    0   22    0   21  131    0    0    0    0    0    0    5    0    2    0
 N      3    0    6    0    0    2    0    2    0    1    0   77    0    3    0    7    1    0    1    1    1
 P      3    0    0    0    0    1    1    0    0    4    0    0   91    0    0    2    0    2    0    0    0
 Q      2    0    0    0    0    0    0    0    0    2    0    4    0   99    1    0    0    0    0    0    0
 R      1    0    0    0    0    0    3    0    0    0    0    0    0    1   68    0    1    0    0    0    0
 S     23    0    0    1    1    4    0    1    0    1    0    6    1    0    0  183   16    3    0    0    4
 T     20    0    0    0    0    3    0    0    0    4    2    1    0    0    0   14  208    5    0    0    0
 V     23    0    1    0    4    4    0   65    0   31    5    1    1    0    0    3    3  559    0    1    5
 W      0    0    0    0    1    5    0    0    0    1    0    1    0    0    0    0    0    0  131    0    0
 Y      2    0    0    2   15    0    1    0    0    6    2    1    0    0    0    0    0    0    0  208    2
 J      6    2    0    0    0    1    0    0    0    0    0    1    0    0    0    4    0    5    0    0   69
 -      0    3    0    0    0    4    0    0    0    1    0    0    0    1    0    0    0    2    0    0    1
        -----------------------------------------------------------------------------------------------------
 tot  622  230  143   68  316  504   55  614   27  844  185  107   97  109   69  250  249  707  134  234   90
 total for bin =  5654


        falloff matrix   9

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A   1740    0   24   24    0   64    2    1   18    3    4   13   28    5    6   72   66   35    0    1    2
 C      0  352    0    0    0    0    0    0    0    0    0    0    0    0    0    0    1    0    0    0    5
 D     24    0 1086   90    0   27    4    1    7    1    0   52    2    9    0   19    2    4    0    1    0
 E     24    0   90 1068    1   18    1    0   20    0    2   10    3   32    5    7    7   14    0    1    0
 F      0    0    0    1  968    0    4    5    0   29    1    0    0    0    1    1    1    6    1   39    0
 G     64    0   27   18    0 1900    1    1    4    1    0   15    3    3   15   49    3    9    5    1    2
 H      2    0    4    1    4    1  640    0    7   10    3   17    0   37   22    0    0    0    1   16    3
 I      1    0    1    0    5    1    0  844    1   31   14    3    2    0    0    2    9   83    0    0    0
 K     18    0    7   20    0    4    7    1 1406    7    3   44    1   34   66    5   25    5    0    3    1
 L      3    0    1    0   29    1   10   31    7 2074   26    1    4   18   11    8    6   43    2    3    1
 M      4    0    0    2    1    0    3   14    3   26  284    3    0    3    1    4    6   17    0    0    0
 N     13    0   52   10    0   15   17    3   44    1    3  804    3    6    6   50   23    5    0   10    0
 P     28    0    2    3    0    3    0    2    1    4    0    3 1002    6    2   25    7    2    1    0    0
 Q      5    0    9   32    0    3   37    0   34   18    3    6    6  770   10    3    5    4    2    0    0
 R      6    0    0    5    1   15   22    0   66   11    1    6    2   10  758   16    4    1    2    0    1
 S     72    0   19    7    1   49    0    2    5    8    4   50   25    3   16 1538   78    8    1   10    8
 T     66    1    2    7    1    3    0    9   25    6    6   23    7    5    4   78 1316   22    1    0    0
 V     35    0    4   14    6    9    0   83    5   43   17    5    2    4    1    8   22 1584    1    0    5
 W      0    0    0    0    1    5    1    0    0    2    0    0    1    2    2    1    1    1  366    2    0
 Y      1    0    1    1   39    1   16    0    3    3    0   10    0    0    0   10    0    0    2  792    1
 J      2    5    0    0    0    2    3    0    1    1    0    0    0    0    1    8    0    5    0    1  168
 -     16    8    9   12    1    9    1    4    8    8    3   10   13   13    2   24    9   18    0    5    0
        -----------------------------------------------------------------------------------------------------
 tot 2124  366 1338 1315 1058 2130  769 1001 1665 2287  374 1075 1104  960  929 1928 1591 1866  385  885  197
 total for bin = 25347


        falloff matrix   9 (accessible)

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A   1059    0   19   22    0   54    2    1   18    2    4   13   26    4    6   60   61   17    0    1    0
 C      0  123    0    0    0    0    0    0    0    0    0    0    0    0    0    0    1    0    0    0    5
 D     19    0  935   90    0   23    3    1    7    1    0   52    2    9    0   18    2    4    0    0    0
 E     22    0   90 1003    1   15    1    0   20    0    0    9    3   32    5    6    7   14    0    1    0
 F      0    0    0    1  380    0    2    4    0   22    1    0    0    0    1    0    1    4    1   31    0
 G     57    0   24   18    0 1245    1    1    4    1    0   15    3    3   15   48    3    8    5    1    2
 H      2    0    3    1    1    1  436    0    7    9    3   17    0   34   21    0    0    0    1   14    3
 I      1    0    1    0    3    1    0  258    1   15    9    2    2    0    0    2    8   37    0    0    0
 K     18    0    7   20    0    4    7    1 1383    7    3   44    1   34   66    5   25    5    0    3    1
 L      2    0    1    0   20    1   10   10    7  817    7    1    4   18   11    8    6   27    1    3    0
 M      4    0    0    0    1    0    3    9    3    9  102    2    0    3    1    4    6   11    0    0    0
 N     12    0   52   10    0   15   17    3   44    1    3  716    3    6    6   50   23    2    0   10    0
 P     27    0    2    3    0    3    0    2    1    4    0    3  882    6    2   25    7    2    1    0    0
 Q      5    0    9   31    0    3   34    0   33   17    3    6    6  692   10    3    5    4    2    0    0
 R      6    0    0    5    1   15   22    0   66    9    1    5    2   10  692   16    4    1    1    0    1
 S     59    0   18    7    1   45    0    2    5    8    4   50   25    3   16 1245   72    8    1   10    4
 T     62    1    2    7    1    3    0    9   25    6    6   23    7    5    4   70 1021   16    1    0    0
 V     15    0    4   14    5    8    0   42    5   31   10    5    2    4    1    7   16  646    1    0    5
 W      0    0    0    0    0    5    1    0    0    1    0    0    1    2    2    1    1    1  222    2    0
 Y      1    0    1    1   27    1   12    0    3    3    0   10    0    0    0    9    0    0    2  573    1
 J      0    2    0    0    0    2    3    0    1    0    0    0    0    0    1    4    0    3    0    1   64
 -     15    4    9   12    1    6    1    3    8    8    3   10   13   13    2   22    9   17    0    5    0
        -----------------------------------------------------------------------------------------------------
 tot 1386  130 1177 1245  442 1450  555  346 1641  971  159  983  982  878  862 1603 1278  827  239  655   86
 total for bin = 17895


        falloff matrix   9 (inaccessible)

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A    681    0    5    2    0   10    0    0    0    1    0    0    2    1    0   12    5   18    0    0    2
 C      0  229    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0
 D      5    0  151    0    0    4    1    0    0    0    0    0    0    0    0    1    0    0    0    1    0
 E      2    0    0   65    0    3    0    0    0    0    2    1    0    0    0    1    0    0    0    0    0
 F      0    0    0    0  588    0    2    1    0    7    0    0    0    0    0    1    0    2    0    8    0
 G      7    0    3    0    0  655    0    0    0    0    0    0    0    0    0    1    0    1    0    0    0
 H      0    0    1    0    3    0  204    0    0    1    0    0    0    3    1    0    0    0    0    2    0
 I      0    0    0    0    2    0    0  586    0   16    5    1    0    0    0    0    1   46    0    0    0
 K      0    0    0    0    0    0    0    0   23    0    0    0    0    0    0    0    0    0    0    0    0
 L      1    0    0    0    9    0    0   21    0 1257   19    0    0    0    0    0    0   16    1    0    1
 M      0    0    0    2    0    0    0    5    0   17  182    1    0    0    0    0    0    6    0    0    0
 N      1    0    0    0    0    0    0    0    0    0    0   88    0    0    0    0    0    3    0    0    0
 P      1    0    0    0    0    0    0    0    0    0    0    0  120    0    0    0    0    0    0    0    0
 Q      0    0    0    1    0    0    3    0    1    1    0    0    0   78    0    0    0    0    0    0    0
 R      0    0    0    0    0    0    0    0    0    2    0    1    0    0   66    0    0    0    1    0    0
 S     13    0    1    0    0    4    0    0    0    0    0    0    0    0    0  293    6    0    0    0    4
 T      4    0    0    0    0    0    0    0    0    0    0    0    0    0    0    8  295    6    0    0    0
 V     20    0    0    0    1    1    0   41    0   12    7    0    0    0    0    1    6  938    0    0    0
 W      0    0    0    0    1    0    0    0    0    1    0    0    0    0    0    0    0    0  144    0    0
 Y      0    0    0    0   12    0    4    0    0    0    0    0    0    0    0    1    0    0    0  219    0
 J      2    3    0    0    0    0    0    0    0    1    0    0    0    0    0    4    0    2    0    0  104
 -      1    4    0    0    0    3    0    1    0    0    0    0    0    0    0    2    0    1    0    0    0
        -----------------------------------------------------------------------------------------------------
 tot  738  236  161   70  616  680  214  655   24 1316  215   92  122   82   67  325  313 1039  146  230  111
 total for bin =  7452


        falloff matrix  10

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A    712    0    5    5    0    4    0    1    2    0    0    1    3    0    0   12    6   10    0    0    0
 C      0  160    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0
 D      5    0  532   10    0    3    1    0    1    0    0   11    0    3    0    0    1    2    0    1    0
 E      5    0   10  484    0    3    0    0    6    0    0    2    0    7    0    4    0    0    0    2    0
 F      0    0    0    0  332    0    0    2    0    3    0    0    0    0    0    0    0    0    0    8    0
 G      4    0    3    3    0  702    2    0    0    0    0    1    0    1    7    1    0    0    2    0    0
 H      0    0    1    0    0    2  176    0    0    2    1    6    0    5    6    0    0    0    0    3    0
 I      1    0    0    0    2    0    0  328    0    3    3    0    0    0    0    0    1   15    0    0    0
 K      2    0    1    6    0    0    0    0  436    0    0    8    0    0    9    0    6    0    1    1    0
 L      0    0    0    0    3    0    2    3    0  664    2    1    0    3    3    0    1    3    1    0    0
 M      0    0    0    0    0    0    1    3    0    2  150    0    0    0    1    0    0    1    0    0    0
 N      1    0   11    2    0    1    6    0    8    1    0  274    0    2    0    8    2    0    0    0    0
 P      3    0    0    0    0    0    0    0    0    0    0    0  288    1    0    2    2    2    0    0    0
 Q      0    0    3    7    0    1    5    0    0    3    0    2    1  232    5    0    1    0    0    0    0
 R      0    0    0    0    0    7    6    0    9    3    1    0    0    5  450    1    0    0    0    0    0
 S     12    0    0    4    0    1    0    0    0    0    0    8    2    0    1  398   12    1    0    0    1
 T      6    0    1    0    0    0    0    1    6    1    0    2    2    1    0   12  466    2    0    0    0
 V     10    0    2    0    0    0    0   15    0    3    1    0    2    0    0    1    2  362    0    0    0
 W      0    0    0    0    0    2    0    0    1    1    0    0    0    0    0    0    0    0  162    0    0
 Y      0    0    1    2    8    0    3    0    1    0    0    0    0    0    0    0    0    0    0  238    0
 J      0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    1    0    0    0    0   84
 -      2    0    2    2    1    4    0    0    2    3    2    1    1    3    1    3    2    2    1    0    0
        -----------------------------------------------------------------------------------------------------
 tot  763  160  572  525  346  730  202  353  472  689  160  317  299  263  483  443  502  400  167  253   85
 total for bin =  8184


        falloff matrix  10 (accessible)

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A    460    0    5    5    0    3    0    1    2    0    0    1    3    0    0   10    6    7    0    0    0
 C      0   37    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0
 D      5    0  480   10    0    3    0    0    1    0    0   11    0    3    0    0    1    2    0    0    0
 E      5    0   10  447    0    3    0    0    6    0    0    2    0    7    0    4    0    0    0    2    0
 F      0    0    0    0  151    0    0    2    0    2    0    0    0    0    0    0    0    0    0    7    0
 G      4    0    3    3    0  508    2    0    0    0    0    1    0    1    7    1    0    0    2    0    0
 H      0    0    1    0    0    2  120    0    0    2    1    6    0    5    5    0    0    0    0    3    0
 I      1    0    0    0    2    0    0  131    0    1    1    0    0    0    0    0    0    8    0    0    0
 K      2    0    1    6    0    0    0    0  418    0    0    8    0    0    9    0    6    0    1    1    0
 L      0    0    0    0    2    0    2    1    0  329    1    1    0    3    3    0    0    3    1    0    0
 M      0    0    0    0    0    0    1    1    0    1   64    0    0    0    1    0    0    0    0    0    0
 N      1    0   10    2    0    1    6    0    8    1    0  246    0    2    0    8    2    0    0    0    0
 P      3    0    0    0    0    0    0    0    0    0    0    0  244    1    0    2    2    2    0    0    0
 Q      0    0    3    7    0    1    5    0    0    3    0    2    1  215    5    0    1    0    0    0    0
 R      0    0    0    0    0    7    6    0    9    3    1    0    0    5  422    1    0    0    0    0    0
 S     10    0    0    4    0    1    0    0    0    0    0    8    2    0    1  305    8    0    0    0    1
 T      6    0    1    0    0    0    0    0    6    0    0    2    2    1    0    8  310    2    0    0    0
 V      6    0    2    0    0    0    0    9    0    3    1    0    2    0    0    1    2  149    0    0    0
 W      0    0    0    0    0    1    0    0    1    1    0    0    0    0    0    0    0    0  110    0    0
 Y      0    0    1    2    7    0    2    0    1    0    0    0    0    0    0    0    0    0    0  182    0
 J      0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    1    0    0    0    0   39
 -      2    0    2    2    1    4    0    0    2    3    2    1    1    3    1    2    2    2    1    0    0
        -----------------------------------------------------------------------------------------------------
 tot  505   37  519  488  163  534  144  145  454  349   71  289  255  246  454  343  340  175  115  195   40
 total for bin =  5861


        falloff matrix  10 (inaccessible)

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A    252    0    0    0    0    1    0    0    0    0    0    0    0    0    0    2    0    3    0    0    0
 C      0  123    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0
 D      0    0   52    0    0    0    1    0    0    0    0    0    0    0    0    0    0    0    0    1    0
 E      0    0    0   37    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0
 F      0    0    0    0  181    0    0    0    0    1    0    0    0    0    0    0    0    0    0    1    0
 G      0    0    0    0    0  194    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0
 H      0    0    0    0    0    0   56    0    0    0    0    0    0    0    1    0    0    0    0    0    0
 I      0    0    0    0    0    0    0  197    0    2    2    0    0    0    0    0    1    7    0    0    0
 K      0    0    0    0    0    0    0    0   18    0    0    0    0    0    0    0    0    0    0    0    0
 L      0    0    0    0    1    0    0    2    0  335    1    0    0    0    0    0    1    0    0    0    0
 M      0    0    0    0    0    0    0    2    0    1   86    0    0    0    0    0    0    1    0    0    0
 N      0    0    1    0    0    0    0    0    0    0    0   28    0    0    0    0    0    0    0    0    0
 P      0    0    0    0    0    0    0    0    0    0    0    0   44    0    0    0    0    0    0    0    0
 Q      0    0    0    0    0    0    0    0    0    0    0    0    0   17    0    0    0    0    0    0    0
 R      0    0    0    0    0    0    0    0    0    0    0    0    0    0   28    0    0    0    0    0    0
 S      2    0    0    0    0    0    0    0    0    0    0    0    0    0    0   93    4    1    0    0    0
 T      0    0    0    0    0    0    0    1    0    1    0    0    0    0    0    4  156    0    0    0    0
 V      4    0    0    0    0    0    0    6    0    0    0    0    0    0    0    0    0  213    0    0    0
 W      0    0    0    0    0    1    0    0    0    0    0    0    0    0    0    0    0    0   52    0    0
 Y      0    0    0    0    1    0    1    0    0    0    0    0    0    0    0    0    0    0    0   56    0
 J      0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0   45
 -      0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    1    0    0    0    0    0
        -----------------------------------------------------------------------------------------------------
 tot  258  123   53   37  183  196   58  208   18  340   89   28   44   17   29  100  162  225   52   58   45
 total for bin =  2323


     All classes                                                                

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A  16610  108 1822 1894  818 3380  494 1185 2170 1851  577 1347 1603 1332  919 3765 2517 3031  191  704  337
 C    108 8590   32   54   65   84   16   37   54   49   45   36   21   48   62   78   74   63   15   25   39
 D   1822   32 13112 2490  257 1821  512  341 1419  461  131 2268  972  947  548 2151 1301  694   97  458   60
 E   1894   54 2490 9728  282 1335  459  436 2088  678  244 1018  862 1718  821 1516 1421  860  113  455   30
 F    818   65  257  282 10592  296  319 1118  355 2553  429  311  260  264  219  470  407 1193  530 2341   81
 G   3380   84 1821 1335  296 29632  479  432 1452  748  244 1542  892  776  777 2560 1177  873  210  571  122
 H    494   16  512  459  319  479 5118  170  773  475  111  680  265  614  483  544  440  367   80  548   33
 I   1185   37  341  436 1118  432  170 10608  552 3910  897  385  428  313  341  711 1063 5052  202  653  107
 K   2170   54 1419 2088  355 1452  773  552 11968 1265  355 1544  946 1869 2684 2032 2086 1122  184  539   68
 L   1851   49  461  678 2553  748  475 3910 12652 1422 2132  662  645  802  781 1031 1242 4620  412 1014  159
 M    577   45  131  244  429  244  111  897  355 2132 2480  217  112  302  168  331  416  767  156  274   43
 N   1347   36 2268 1018  311 1542  680  385 1544  662  217 7322  645  776  821 2414 1590  584  111  597   68
 P   1603   21  972  862  260  892  265  428  946  645  112  645 12922  465  451 1457  938  684   63  301   49
 Q   1332   48  947 1718  264  776  614  313 1869  802  302  776  465 7574  858 1200  997  780   89  283   49
 R    919   62  548  821  219  777  483  341 2684  781  168  821  451  858 8068 1196  986  587  150  341   35
 S   3765   78 2151 1516  470 2560  544  711 2032 1031  331 2414 1457 1200 1196 17606 4811 1236  161  768  154
 T   2517   74 1301 1421  407 1177  440 1063 2086 1242  416 1590  938  997  986 4811 14560 1939  116  594  178
 V   3031   63  694  860 1193  873  367 5052 1122 4620  767  584  684  780  587 1236 1939 16824  196  738  268
 W    191   15   97  113  530  210   80  202  184  412  156  111   63   89  150  161  116  196 5714  612    8
 Y    704   25  458  455 2341  571  548  653  539 1014  274  597  301  283  341  768  594  738  612 10758   90
 J    337   39   60   30   81  122   33  107   68  159   43   68   49   49   35  154  178  268    8   90 1548
 -   3093  321 2684 2468  970 3925  586  978 2624 2008  500 1870 2152 1396 1302 3212 2039 1759  304 1031  114
        -----------------------------------------------------------------------------------------------------
 tot49748 991634578309702413053328135662991938149489201093126808271332345222598494044089244237 971423695 3640




     Alpha   accessible    side-side    side-main O    side-main N              

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A      0    0    5   10    0    0    1    0    0    0    0    1    0    1    0    3    0    0    0    0    1
 C      0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0
 D      0    0   69   14    0    0    1    0    0    0    0    8    0    9    0    1    1    0    0    0    0
 E      0    0   11  129    0    0    0    0    0    0    0   10    0   23    0    2    0    0    0    0    0
 F      0    0    0    1    0    0    1    0    0    0    0    4    0    2    0    1    0    0    0    0    0
 G      0    0    1    9    0    0    0    0    0    0    0    4    0    0    0    0    0    0    0    0    0
 H      0    0    1    0    0    0    1    0    0    0    0    1    0    0    0    0    0    0    0    0    0
 I      0    0    1    1    0    0    0    0    0    0    0    0    0    0    0    1    0    0    0    0    1
 K      0    0    1    4    0    0    0    0    0    0    0    8    0    0    0    2    0    0    0    0    0
 L      0    0    2    2    0    0    0    0    0    0    0    9    0    2    0    1    0    0    0    1    0
 M      0    0    0    1    0    0    0    0    0    0    0    0    0    1    0    0    0    0    0    0    0
 N      0    0   11    2    0    0    2    0    0    0    0   72    0    0    0    1    5    0    0    1    0
 P      0    0    2    7    0    0    1    0    0    0    0    0    0    1    0    2    3    0    0    2    0
 Q      0    0    5   13    0    0    1    0    0    0    0    5    0   42    0    2    1    0    0    0    0
 R      0    0    1    5    0    0    0    0    0    0    0   14    0    0    0    0    0    0    0    1    0
 S      0    0    0    4    0    0    0    0    0    0    0    3    0    1    0   14    1    0    0    1    0
 T      0    0    2    4    0    0    0    0    0    0    0    5    0    0    0    4    8    0    0    0    0
 V      0    0    4    2    0    0    2    0    0    0    0    3    0    3    0    4    1    0    0    0    0
 W      0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0
 Y      0    0    2    1    0    0    0    0    0    0    0    1    0    1    0    0    0    0    0    1    0
 J      0    0    1    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    1    0
 -      0    0    1   19    0    0    3    0    0    0    0    1    0    1    0    0    0    0    0    0    0
        -----------------------------------------------------------------------------------------------------
 tot    0    0  120  228    0    0   13    0    0    0    0  149    0   87    0   38   20    0    0    8    2
from    0    0   25   45    0    0    2    0    0    0    0   32    0   28    0   11    6    0    0    3    1




     Alpha   accessible    side-side    side-main O no side-main N              

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A      0    0  118   24    0    0   33    0   44    0    0   64    0   24   37   64   29    0    1    0    3
 C      0    0    0    0    0    0    0    0    0    0    0    0    0    3    6    0    0    0    0    0    0
 D      0    0  203   21    0    0    4    0   22    0    0   57    0   18   18   11   10    0    1    0    0
 E      0    0   77   94    0    0    5    0   20    0    0   37    0   18   23   19    7    0    0    3    0
 F      0    0    7    0    0    0    7    0    5    0    0   13    0    4   13    6    3    0    3   14    0
 G      0    0   31    7    0    0    2    0    9    0    0   18    0    7   17   34   38    0    0    0    0
 H      0    0    9    9    0    0  112    0    2    0    0   34    0   19   25    0   10    0    0    0    0
 I      0    0    6    1    0    0    3    0   11    0    0   16    0   11   15    7    6    0    0    2    0
 K      0    0   33   18    0    0   10    0  198    0    0   64    0   36  111   16   22    0    0    0    4
 L      0    0   10    4    0    0   11    0   19    0    0   54    0   17   27   53   22    0    2    1    1
 M      0    0    6    2    0    0    1    0    1    0    0    5    0    7    9    1    1    0    0    0    0
 N      0    0   60   10    0    0   11    0   17    0    0  224    0   16   35   21   26    0    0    0    0
 P      0    0    6    0    0    0    5    0    5    0    0    8    0    2    5    2    2    0    0    0    0
 Q      0    0   24   16    0    0   18    0   14    0    0   43    0   71   17   16    9    0    0    0    2
 R      0    0   21    7    0    0   12    0   31    0    0   45    0    7  413   24    5    0    0    1    2
 S      0    0   41   11    0    0   18    0   15    0    0   30    0   17   26  139   58    0    0    1    0
 T      0    0   17   18    0    0   14    0   19    0    0   40    0   10   22   32   81    0    1    0    0
 V      0    0   35    4    0    0   15    0   11    0    0   39    0   18   14   18   38    0    4    4    3
 W      0    0    0    8    0    0    6    0    5    0    0    2    0    2    1    7    0    0    9    4    0
 Y      0    0    3    2    0    0    8    0    3    0    0   27    0    4   10    5    5    0    5   32    1
 J      0    0    0    0    0    0    1    0    2    0    0    1    0    1    1    6    1    0    0    0    1
 -      0    0   18    5    0    0    4    0   17    0    0   37    0   18   21   27    7    0    0    2    4
        -----------------------------------------------------------------------------------------------------
 tot    0    0  725  261    0    0  300    0  470    0    0  858    0  330  866  508  380    0   26   64   21
from    0    0  159   51    0    0   44    0   84    0    0  147    0   65  234   62   64    0    6   16    8




     Alpha   accessible    side-side no side-main O    side-main N              

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A      0    0   18   14    0    0    0    0    0    0   10    3    0   10    0    1    0    0    0    4    0
 C      0    0    1    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0
 D      0    0  199   74    0    0    0    0    0    0    1    2    0   26    0    2    0    0    0    2    0
 E      0    0   51  254    0    0    0    0    0    0    2    0    0   51    0    2    0    0    0    0    0
 F      0    0    1    1    0    0    0    0    0    0    2    0    0    0    0    0    0    0    0   35    0
 G      0    0    7   12    0    0    0    0    0    0    0    0    0    3    0    0    0    0    0    0    0
 H      0    0    6    3    0    0    5    0    0    0    0    0    0    4    0    0    0    0    0    0    0
 I      0    0    4    6    0    0    0    0    0    0    1    0    0    0    0    1    0    0    0    1    0
 K      0    0   26    9    0    0    0    0    0    0    0    1    0    3    0    0    3    0    0   29    0
 L      0    0    4    4    0    0    1    0    0    0    2    0    0    5    0    0    0    0    0    8    0
 M      0    0    4    3    0    0    0    0    0    0    8    5    0    3    0    0    0    0    0    1    0
 N      0    0   27   15    0    0    0    0    0    0    3    4    0   21    0    0    1    0    0    1    0
 P      0    0    3    3    0    0    0    0    0    0    0    0    0    3    0    6    0    0    0    0    0
 Q      0    0   22   66    0    0    0    0    0    0    1    2    0   79    0    2    0    0    0    0    0
 R      0    0    6    7    0    0    0    0    0    0    9    0    0    3    0    0    1    0    0    1    0
 S      0    0   22   23    0    0    0    0    0    0    1    4    0    8    0    2    0    0    0    3    0
 T      0    0   10   15    0    0    0    0    0    0    1    1    0    3    0    0    9    0    0    3    0
 V      0    0   14   11    0    0    0    0    0    0    2    1    0    7    0    0    0    0    0    4    0
 W      0    0    7    1    0    0    0    0    0    0    0    0    0    1    0    0    0    0    0    0    0
 Y      0    0    7    2    0    0    0    0    0    0    0    0    0   10    0    0    0    0    0   34    0
 J      0    0    2    0    0    0    0    0    0    0    0    0    0    1    0    0    0    0    0    0   12
 -      0    0   16   32    0    0    0    0    0    0    4    0    0   15    0    0    0    0    0    1    0
        -----------------------------------------------------------------------------------------------------
 tot    0    0  457  555    0    0    6    0    0    0   47   23    0  256    0   16   14    0    0  127   12
from    0    0   80  115    0    0    3    0    0    0    8    9    0   56    0    4    5    0    0   17    4




     Alpha   accessible    side-side no side-main O no side-main N              

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A      0    0  216  345    0    0   40    0  200    0   27   91    0  120  109  152   78    0   10   40    3
 C      0    0    2    2    0    0    2    0    0    0    0    0    0    3    0    0    0    0    0    2    7
 D      0    0  659  364    0    0   40    0  136    0    7   72    0  105   75   96   19    0    5   18    0
 E      0    0  289 1565    0    0   37    0  168    0   19   82    0  102  125   86   36    0   18   20    0
 F      0    0   13   24    0    0    7    0   25    0    6    5    0   19   20    9    7    0   23   61    1
 G      0    0  115  174    0    0   15    0   72    0   11   30    0   53   47   59   20    0    3   25    0
 H      0    0   36   54    0    0  581    0   67    0    2   25    0   75   62    8    3    0   13   38    0
 I      0    0   17   57    0    0    7    0   63    0   26    7    0   10   25   16   12    0    7   38    0
 K      0    0  149  266    0    0   69    0 1000    0   12   76    0  135  272   66   23    0    6   26    0
 L      0    0   32  111    0    0   16    0  105    0   27   17    0   56   62   29   11    0    7   40    4
 M      0    0    9   32    0    0    9    0   44    0   37   14    0   16   23    9    3    0    2   14    0
 N      0    0  100  150    0    0   48    0  114    0    7  165    0   62   77   47   22    0    1   17    0
 P      0    0   64   68    0    0   25    0   44    0    0   17    0   22   21   40   15    0    1   15    0
 Q      0    0   88  171    0    0   30    0  116    0   15   29    0  303   78   41   19    0    5   19    0
 R      0    0   43   99    0    0   32    0  130    0    7   43    0   60  676   22    9    0    0    9    0
 S      0    0  172  167    0    0   30    0  144    0    6   55    0   79   99  395   91    0    4   19    2
 T      0    0   86  117    0    0   31    0  102    0    8   37    0   57   52   98  216    0    8   27    0
 V      0    0   51  104    0    0   32    0   91    0    4   18    0   35   31   33   13    0    1   41    0
 W      0    0    3   13    0    0    3    0   34    0    0    2    0    4    3   11    1    0  330   26    0
 Y      0    0   39   46    0    0   49    0   27    0    9   12    0   24   22    6    9    0   19  303    1
 J      0    0    1    6    0    0    2    0    5    0    2    3    0    3    1    3    1    0    0    2   43
 -      0    0   87  273    0    0    8    0  147    0   12   27    0   48   78   59   40    0   13   39    1
        -----------------------------------------------------------------------------------------------------
 tot    0    0 2271 4208    0    0 1113    0 2834    0  244  827    0 1391 1958 1285  648    0  476  839   62
from    0    0  453  785    0    0  175    0  492    0   56  169    0  272  413  218  120    0   61  186   19




     Alpha   accessible no side-side    side-main O    side-main N              

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A      0    0    5    7    0    0    0    0    0    0    0   12    0   16    0   17   18    0    0   15   24
 C      0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0
 D      0    0   44   14    0    0    0    0    0    0    0   13    0   23    0    6    2    0    0    0    4
 E      0    0    5   44    0    0    0    0    0    0    0    5    0   19    0    1    0    0    0    1    0
 F      0    0    0    0    0    0    0    0    0    0    0    1    0    2    0    0    1    0    0    5    0
 G      0    0    0    2    0    0    0    0    0    0    0    3    0    3    0    6    0    0    0    0    0
 H      0    0    0    3    0    0    0    0    0    0    0    1    0    8    0    3    0    0    0    0    0
 I      0    0    0    2    0    0    0    0    0    0    0    2    0    1    0    4    5    0    0    3    2
 K      0    0    1    7    0    0    0    0    0    0    0    9    0   40    0    5   11    0    0    0    4
 L      0    0    2    5    0    0    0    0    0    0    0    5    0   10    0    2    8    0    0    4    1
 M      0    0    0    1    0    0    0    0    0    0    0    0    0    2    0    0    4    0    0    0    0
 N      0    0    2    4    0    0    3    0    0    0    0   59    0   16    0    2    9    0    0    0    0
 P      0    0    0    0    0    0    0    0    0    0    0    0    0    4    0    4    0    0    0    0    0
 Q      0    0    2    9    0    0    0    0    0    0    0    3    0   61    0    8    2    0    0    2    0
 R      0    0    1    1    0    0    0    0    0    0    0    5    0    7    0    1    8    0    0    0    0
 S      0    0    3    7    0    0    0    0    0    0    0    5    0    4    0   69   11    0    0    0    0
 T      0    0    0    3    0    0    0    0    0    0    0    3    0    6    0   13   53    0    0    0    0
 V      0    0    0    4    0    0    0    0    0    0    0    3    0    4    0    7    4    0    0    1    4
 W      0    0    0    0    0    0    0    0    0    0    0    0    0    3    0    0    0    0    0    7    0
 Y      0    0    1    0    0    0    0    0    0    0    0    1    0    9    0    1    2    0    0   13    0
 J      0    0    0    0    0    0    0    0    0    0    0    1    0    0    0    0    1    0    0    0   12
 -      0    0    1    9    0    0    3    0    0    0    0    6    0    0    0   28   23    0    0    3    0
        -----------------------------------------------------------------------------------------------------
 tot    0    0   67  122    0    0    6    0    0    0    0  137    0  238    0  177  162    0    0   54   51
from    0    0   22   24    0    0    1    0    0    0    0   37    0   50    0   33   32    0    0   12    4




     Alpha   accessible no side-side    side-main O no side-main N              

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A      0    0   86   51    0    0   42    0  102    0    0  149    0   95   67  361  298    0   14   14   48
 C      0    0    3    1    0    0    0    0    3    0    0   14    0    8    2    3    7    0    0    2    1
 D      0    0  166   27    0    0   17    0   56    0    0   75    0   36   23  154  138    0    6    3   12
 E      0    0   87  128    0    0   21    0   54    0    0   63    0   52   36  160  175    0    2    2    1
 F      0    0    1    9    0    0   14    0    6    0    0   13    0    6   10   32   27    0    4   24    4
 G      0    0   27   17    0    0   18    0   34    0    0   68    0   28   12  198  111    0    3    1   10
 H      0    0   25    9    0    0  123    0   25    0    0   34    0   33   17   59   52    0    0    9   10
 I      0    0    9   11    0    0   12    0   25    0    0   22    0   20   17   75  101    0    8    6    3
 K      0    0   91   61    0    0   43    0  507    0    0  110    0  111  144  237  307    0   28    7   13
 L      0    0   17    8    0    0   16    0   51    0    0   51    0   86   33   97  133    0    8   30   10
 M      0    0    5    2    0    0    3    0   13    0    0   34    0   18   10   35   33    0    0    6    1
 N      0    0   50   23    0    0   16    0   34    0    0  248    0   29   20  137  144    0    2    1    8
 P      0    0   12   22    0    0   21    0   14    0    0    5    0   11   18   53   23    0    0    2    0
 Q      0    0   40   16    0    0   36    0   54    0    0   62    0  213   54  122  120    0    5    6    6
 R      0    0   21   21    0    0   26    0  106    0    0   48    0   67  390  129  130    0    6    2    0
 S      0    0   50   20    0    0   17    0   50    0    0   97    0   49   32  529  143    0   10    4   10
 T      0    0   39   26    0    0   13    0   48    0    0   70    0   30   36  144  475    0    4    2    8
 V      0    0    8   12    0    0   14    0   45    0    0   38    0   37   20  111  122    0   10    6   14
 W      0    0    0    6    0    0    4    0    9    0    0    5    0    8    7    8    8    0   95   14    1
 Y      0    0    2    3    0    0   11    0    3    0    0   40    0   10    9   51   44    0   13   58    4
 J      0    0    4    3    0    0    3    0    8    0    0    0    0    4    1   16    7    0    1    0   17
 -      0    0   34   17    0    0    6    0   51    0    0   58    0   36   65   72   80    0    6    8    4
        -----------------------------------------------------------------------------------------------------
 tot    0    0  777  493    0    0  476    0 1298    0    0 1304    0  987 1023 2783 2678    0  225  207  185
from    0    0  151   89    0    0   98    0  222    0    0  234    0  178  236  433  475    0   47   45   28




     Alpha   accessible no side-side no side-main O    side-main N              

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A      0    0    8   25    0    0    0    0    0    0    6    9    0    9    0    4    0    0    0    4    0
 C      0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0
 D      0    0  100   31    0    0    0    0    0    0    3   30    0    8    0    0    0    0    0   10    0
 E      0    0   19  173    0    0    1    0    0    0    6    4    0   14    0    3    0    0    0    0    0
 F      0    0    1    1    0    0    0    0    0    0    2    0    0    0    0    0    0    0    0    9    0
 G      0    0   11   21    0    0    0    0    0    0    1    6    0    1    0    7    1    0    0    0    0
 H      0    0    1   11    0    0    7    0    0    0    0   16    0   12    0    0    0    0    0    1    0
 I      0    0    4    6    0    0    0    0    0    0    3    6    0    6    0    1    0    0    0    2    0
 K      0    0    0   14    0    0    0    0    0    0   17   24    0   19    0    1    6    0    0    7    0
 L      0    0    9    9    0    0    1    0    0    0   13    5    0    5    0    2    2    0    0    2    0
 M      0    0    1    4    0    0    0    0    0    0   16    2    0    2    0    0    1    0    0    0    0
 N      0    0   13   16    0    0   10    0    0    0    3   21    0    7    0    4    0    0    0    0    0
 P      0    0    4    5    0    0    0    0    0    0    2    0    0    1    0    0    1    0    0    0    0
 Q      0    0    2   35    0    0    3    0    0    0    8   11    0   36    0    0    0    0    0    1    0
 R      0    0    1    4    0    0    0    0    0    0    9    2    0    1    0    4    0    0    0    3    0
 S      0    0    7   23    0    0    0    0    0    0    4   10    0   14    0    4    4    0    0    0    0
 T      0    0    1   19    0    0    0    0    0    0    7    3    0    8    0    3   12    0    0    2    0
 V      0    0    9   15    0    0    2    0    0    0    4    9    0    1    0    0    1    0    0    7    0
 W      0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    2    0
 Y      0    0    5    0    0    0    7    0    0    0    2    0    0    0    0    0    0    0    0   34    0
 J      0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0
 -      0    0    9   42    0    0    0    0    0    0   21    2    0    3    0   10    0    0    0   10    0
        -----------------------------------------------------------------------------------------------------
 tot    0    0  205  454    0    0   31    0    0    0  127  160    0  147    0   43   28    0    0   94    0
from    0    0   50   92    0    0    4    0    0    0   24   20    0   36    0   12    7    0    0   20    0




     Alpha   accessible no side-side no side-main O no side-main N              

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A   4124    4  408  555  114  739   68  283  768  472  104  181  434  260  155  360  167  614   52  111    5
 C      5  453    0    2    8    0    4   11    6    4    2    0    0    1    3    0    0    1    2    1    2
 D    797    1  965  524   44  272   80   52  349  115   28  158  205  139   57  208   85  175   11   69    1
 E    973    4  440 1741   66  335  102  117  618  222   42  150  264  238  125  131  129  220   28   70    2
 F    128    0   19   48  780   24   18   95   66  358   29   26   31   18   14   29    8  112   27   89    3
 G    879    1  201  234   39 1026   43   89  283  146   36   90  129   83   67  148   56  174   20   51    3
 H    191    1   48   78   65   62  295   22  154   72   32   44   37   67   38   61   18   89    2   80    1
 I    257    1   35   57   84   54   15  910  112  409  102   36   55   47   24   37   21  391   18   73    0
 K   1085    5  231  508  131  292   82  191 2251  438   91  170  198  269  256  182  111  315   42   52    2
 L    455    9   44  127  326  125   23  403  249 2443  209   56   65   87   66   74   45  466   42  118    2
 M    116    0    7   25   41   38   11  163   76  245  265   13    8   27   27   15   16   87   15   34    4
 N    484   15  168  175   60  172   70   68  279  174   46  213   75  104   81  140   73  104   13  107    1
 P    455    1  155  199   35   64    6   60  161   79   16   45 1404   74   31  138   49   83    3    9    2
 Q    505    4  164  238   43  140  104   91  426  251   51   77  109  463   84   95   52  145   11   60    1
 R    329   11   82  158   43   97   51   60  524  168   34   49   52   95  646   77   47   85    9   35    2
 S    970    3  203  255   66  339   43  119  346  220   41  152  215  138  107  642  151  244   28   48    4
 T    664    1  115  204   59  194   26  139  340  239   34  103  113   90   98  196  279  235   21   55    0
 V    496    1   73  103  111  136   41  403  206  492   74   36   85   59   40   56   55 1236   19   69    0
 W     57    0    6   23   45   17    4   40   53   56   16    0    3    3   14    4   23   29  454   35    0
 Y    157    3   29   39  219   29   41   95   46  164   31   22   19   24    9   29   17   93   54  582    2
 J     46   11   14    2    8   27    7   10   14   22    3    0    7    5   10    7    2   44    1    2    5
 -    754   26  306  374   97  210   27  136  395  393   93   47  232  171   81  149   75  244   41   93    0
        -----------------------------------------------------------------------------------------------------
 tot13927  555 3713 5669 2484 4392 1161 3557 7722 7182 1379 1668 3740 2462 2033 2778 1479 5186  913 1843   42
from 2182  106  610 1062  515  615  176  702 1233 1378  276  247  609  506  403  446  249  872  189  399   13




     Alpha inaccessible    side-side    side-main O    side-main N              

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A      0    0    1    2    0    0    1    0    0    0    0    3    0    7    0    7    1    0    0    0    4
 C      0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0
 D      0    0  396    2    0    0    1    0    0    0    0   10    0    0    0    0    0    0    0    0    1
 E      0    0    6   47    0    0    0    0    0    0    0    3    0    8    0    0    0    0    0    1    0
 F      0    0    0    0    0    0    2    0    0    0    0    1    0    0    0    0    0    0    0    3    6
 G      0    0    3    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0
 H      0    0    2    0    0    0   12    0    0    0    0    2    0    2    0    0    0    0    0    0    0
 I      0    0    1    0    0    0    1    0    0    0    0    0    0    3    0    0    0    0    0    1    2
 K      0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    2    0    0    0    0
 L      0    0    0    1    0    0    0    0    0    0    0    2    0    0    0    0    0    0    0    0    1
 M      0    0    0    0    0    0    1    0    0    0    0    0    0    0    0    0    1    0    0    0    1
 N      0    0    1    0    0    0    2    0    0    0    0   26    0    3    0    0    0    0    0    0    2
 P      0    0    0    0    0    0    1    0    0    0    0    0    0    0    0    0    0    0    0    0    0
 Q      0    0    0    4    0    0    0    0    0    0    0    4    0   38    0    2    0    0    0    0    0
 R      0    0    0    1    0    0    3    0    0    0    0    0    0    1    0    0    0    0    0    0    0
 S      0    0    0    0    0    0    1    0    0    0    0    1    0    4    0   11    9    0    0    1    2
 T      0    0    5    3    0    0    1    0    0    0    0   14    0    0    0    0   22    0    0    0    0
 V      0    0    0    0    0    0    5    0    0    0    0    9    0    5    0    0    1    0    0    0    1
 W      0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0
 Y      0    0    3    0    0    0    3    0    0    0    0    0    0    1    0    0    0    0    0    9    0
 J      0    0    0    0    0    0    0    0    0    0    0    6    0    0    0    0    0    0    0    0   25
 -      0    0    0    0    0    0    0    0    0    0    0    5    0    0    0    0    8    0    0    0    0
        -----------------------------------------------------------------------------------------------------
 tot    0    0  418   60    0    0   34    0    0    0    0   86    0   72    0   20   44    0    0   15   45
from    0    0   44   23    0    0    5    0    0    0    0   18    0   26    0   11    9    0    0    5   13




     Alpha inaccessible    side-side    side-main O no side-main N              

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A      0    0    9    3    0    0    8    0    3    0    0   14    0    7    2  142   15    0    0    1   16
 C      0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    5    0    0    0    0    0
 D      0    0   37    0    0    0    4    0    0    0    0   10    0    2    0   16    2    0    0    0    2
 E      0    0    0    5    0    0    0    0    0    0    0    5    0    3    3   13    3    0    0    0    0
 F      0    0    1    0    0    0    4    0    1    0    0    0    0    0    9    6    2    0    1   16    2
 G      0    0    0    1    0    0    1    0    1    0    0    2    0    6    9   21    3    0    0    2    0
 H      0    0    0    1    0    0  620    0    1    0    0   11    0    5    4    5    0    0    0    0    0
 I      0    0    0    0    0    0    6    0    2    0    0    5    0    1    4   10    5    0    0    1    1
 K      0    0    0    2    0    0    0    0   49    0    0    2    0    3   16    9    1    0    0    1    2
 L      0    0    1    0    0    0    7    0    4    0    0   15    0    1    8   19   23    0    0    5    2
 M      0    0    0    0    0    0    4    0    0    0    0    3    0    6    1    3    4    0    0    2    0
 N      0    0    2    0    0    0    9    0    2    0    0   84    0    7    3    1    4    0    0    0    3
 P      0    0    0    0    0    0    1    0    0    0    0    0    0    0    1    0    1    0    0    1    0
 Q      0    0    0    6    0    0    3    0    3    0    0   18    0   40    3    3    1    0    0    1    0
 R      0    0    0    0    0    0    4    0    6    0    0    3    0    1  186    3    1    0    0    0    0
 S      0    0    6    0    0    0    3    0    5    0    0    8    0    1    0   99   11    0    0    1    9
 T      0    0    3    0    0    0    1    0    0    0    0    1    0    2    3   30   64    0    0    0    2
 V      0    0    1    0    0    0   27    0    8    0    0    7    0    6    0   21   15    0    1    0   15
 W      0    0    1    0    0    0    0    0    0    0    0    1    0    3    2    1    0    0   20    0    0
 Y      0    0    0    0    0    0   18    0    1    0    0   27    0    3    7    2    1    0    0   21    0
 J      0    0    0    0    0    0    0    0    1    0    0    0    0    0    2    7    1    0    0    2   53
 -      0    0    0    6    0    0    3    0    6    0    0    1    0    0    3    0    5    0    3    2    0
        -----------------------------------------------------------------------------------------------------
 tot    0    0   61   24    0    0  723    0   93    0    0  217    0   97  266  416  162    0   25   56  107
from    0    0   16    6    0    0   86    0   28    0    0   54    0   29   90   73   65    0    9   17   29




     Alpha inaccessible    side-side no side-main O    side-main N              

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A      0    0    0    7    0    0    0    0    0    0    2    1    0    4    0    6    2    0    0    0   10
 C      0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    3
 D      0    0  407    4    0    0    0    0    0    0    0   13    0    7    0    1    0    0    0    0    0
 E      0    0    2  145    0    0    0    0    0    0    1    0    0   19    0    0    0    0    0    0    0
 F      0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    6    2
 G      0    0    2    5    0    0    0    0    0    0    0    0    0    2    0    2    0    0    0    0    1
 H      0    0    1    2    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0
 I      0    0    0    1    0    0    1    0    0    0    3   10    0    0    0    0    0    0    0    0    4
 K      0    0    4    1    0    0    0    0    0    0    0    0    0    1    0    0    0    0    0    0    0
 L      0    0    0    0    0    0    0    0    0    0    3    1    0    0    0    0    0    0    0    3    1
 M      0    0    0    0    0    0    0    0    0    0   12    0    0    1    0    1    0    0    0    0    0
 N      0    0    8    2    0    0    0    0    0    0    3   30    0    3    0    0    0    0    0    0    0
 P      0    0    0    3    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0
 Q      0    0    0   10    0    0    0    0    0    0    0    0    0   21    0    1    0    0    0    0    0
 R      0    0    1    3    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0
 S      0    0    0   10    0    0    6    0    0    0    0    0    0    1    0   15    0    0    0    0    0
 T      0    0    1    1    0    0    2    0    0    0    0    0    0    1    0   10   77    0    0    0    0
 V      0    0    0    1    0    0    0    0    0    0    2    0    0    4    0    0    1    0    0    0    6
 W      0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0
 Y      0    0    0    1    0    0    0    0    0    0    0    5    0    2    0    0    0    0    0   10    0
 J      0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0   16
 -      0    0    0   14    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    1    0
        -----------------------------------------------------------------------------------------------------
 tot    0    0  426  210    0    0    9    0    0    0   26   60    0   66    0   36   80    0    0   20   43
from    0    0   47   54    0    0    1    0    0    0    7   10    0   15    0   10   17    0    0    5    9




     Alpha inaccessible    side-side no side-main O no side-main N              

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A      0    0    2   12    0    0    3    0    3    0    8    6    0    6    0   45   22    0    2    7   14
 C      0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    4    0    0    0    0    0
 D      0    0  232    5    0    0    2    0    0    0    0    3    0    0    0   11    6    0    2    1    0
 E      0    0   13  158    0    0    0    0    0    0    0    9    0    6    0   12    0    0    0    4    0
 F      0    0    2    4    0    0   22    0    0    0   44    0    0    0    4    2    3    0   35   90    0
 G      0    0    2    2    0    0    0    0    1    0    0    0    0    6    2    6    3    0    1    2    1
 H      0    0    6    9    0    0  301    0    0    0    0    4    0    2    2    0    1    0    7    3    0
 I      0    0    2    3    0    0    3    0    0    0   15    7    0    6    1    7    7    0    2   12    1
 K      0    0    0   15    0    0    0    0   23    0    0    0    0    2    2    1    3    0    0    0    0
 L      0    0    2    5    0    0    9    0    0    0   96    5    0    2    1    3    7    0   43   50    1
 M      0    0    0    2    0    0    1    0    1    0   45    3    0    1    0    1    1    0   29   11    0
 N      0    0    6    6    0    0    0    0    0    0    3   53    0    1    1    0    1    0    0    6    0
 P      0    0    0    1    0    0    3    0    0    0    0    0    0    1    3    3    1    0    0    0    0
 Q      0    0    0    6    0    0   10    0    4    0    2    1    0   13    0    1    0    0    1    1    0
 R      0    0    0    5    0    0    4    0    3    0    0    3    0    1   45    1    2    0    0    2    0
 S      0    0    0    1    0    0    5    0    9    0    6    5    0    0    0   56   17    0    2    1    1
 T      0    0    0    5    0    0    3    0    1    0    3    5    0    2    0   20   91    0    0    8    0
 V      0    0    2    3    0    0   10    0    0    0   15    0    0    3    0    7   10    0    5   25    0
 W      0    0    1    4    0    0    7    0    0    0    1    0    0    0    0    1    1    0  253    5    0
 Y      0    0   12    1    0    0    2    0    2    0    2    0    0    1    2    2    1    0   13  256    0
 J      0    0    0    0    0    0    0    0    0    0    0    0    0    1    0    5    4    0    0    8   45
 -      0    0    2    1    0    0    0    0    1    0    2    4    0    3    1    1    4    0    2    4    0
        -----------------------------------------------------------------------------------------------------
 tot    0    0  284  248    0    0  385    0   48    0  242  108    0   57   64  189  185    0  397  496   63
from    0    0   57   84    0    0   79    0   16    0   60   25    0   23   22   46   48    0   68  133   17




     Alpha inaccessible no side-side    side-main O    side-main N              

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A      0    0    0    1    0    0    0    0    0    0    0    4    0    0    0   73   10    0    0    1   33
 C      0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0
 D      0    0   26    1    0    0    0    0    0    0    0    0    0    1    0    4    0    0    0    0    0
 E      0    0    0    8    0    0    0    0    0    0    0    1    0    3    0   10    3    0    0    2    4
 F      0    0    0    0    0    0    0    0    0    0    0    1    0    0    0    0    5    0    0    7    1
 G      0    0    0    0    0    0    0    0    0    0    0    0    0    1    0   17    3    0    0    0    4
 H      0    0    1    0    0    0   41    0    0    0    0    1    0    1    0    1    3    0    0    1    0
 I      0    0    0    0    0    0    0    0    0    0    0    0    0    4    0    1    5    0    0    8    2
 K      0    0    0    0    0    0    0    0    0    0    0    1    0    0    0    2    3    0    0    0    0
 L      0    0    0    1    0    0    0    0    0    0    0    1    0    1    0    6   14    0    0   19    5
 M      0    0    0    0    0    0    0    0    0    0    0    5    0    1    0    3    2    0    0    3    4
 N      0    0    0    0    0    0    0    0    0    0    0   63    0    5    0    4    1    0    0    0    7
 P      0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    4
 Q      0    0    0    0    0    0    0    0    0    0    0    7    0   14    0    4    2    0    0    0    2
 R      0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    3    0    0    1    5
 S      0    0    0    0    0    0    0    0    0    0    0    5    0    0    0  138   19    0    0    1   16
 T      0    0    0    0    0    0    0    0    0    0    0    6    0    0    0   12   85    0    0    3   12
 V      0    0    0    0    0    0    0    0    0    0    0    0    0    4    0   12   22    0    0   15   31
 W      0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    2    0
 Y      0    0    0    0    0    0    5    0    0    0    0    1    0    0    0    0    1    0    0   49    0
 J      0    0    0    0    0    0    0    0    0    0    0    6    0    0    0    1    2    0    0    0   21
 -      0    0    0    0    0    0    0    0    0    0    0    6    0    0    0    6    3    0    0    1    0
        -----------------------------------------------------------------------------------------------------
 tot    0    0   27   11    0    0   46    0    0    0    0  108    0   35    0  294  186    0    0  113  151
from    0    0    7    3    0    0   10    0    0    0    0   26    0   14    0   52   37    0    0   24   21




     Alpha inaccessible no side-side    side-main O no side-main N              

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A      0    0   27    2    0    0    2    0    2    0    0    4    0    4    5  167  142    0   14    3   23
 C      0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    8    0    0    0    0    0
 D      0    0   49    0    0    0    4    0    5    0    0    0    0    0    0    4   27    0    0    0    1
 E      0    0    0    3    0    0    0    0    6    0    0    0    0    0    0    4   20    0    0    1    0
 F      0    0    0    0    0    0    1    0    0    0    0    0    0    5    0   27   26    0   27   33    3
 G      0    0    1    0    0    0    1    0    2    0    0    0    0    0    3   72   46    0    1    7    6
 H      0    0    0    0    0    0   87    0    0    0    0    0    0    1    1    1    6    0    4    9    1
 I      0    0    0    0    0    0    1    0    0    0    0    4    0    2    1   12   47    0    9   22   11
 K      0    0    0    0    0    0    1    0   29    0    0    0    0    3    4   11    6    0   12    0    1
 L      0    0    0    0    0    0    1    0    4    0    0   10    0    9    4   15   53    0   32   34   14
 M      0    0    0    0    0    0    1    0    1    0    0    2    0    1    0   14   27    0   12   23    1
 N      0    0   11    0    0    0    2    0    0    0    0   46    0    2    1    5   20    0    1    3    0
 P      0    0    0    0    0    0    0    0    0    0    0    1    0    2    1   10    7    0    0    4    1
 Q      0    0    0    0    0    0    3    0    0    0    0    0    0   18    1    9    5    0    8    4    2
 R      0    0    0    0    0    0    1    0    6    0    0    1    0    1   69    5    6    0    3    0    2
 S      0    0    6    0    0    0    1    0    0    0    0    2    0    0    2  209   63    0    0    6    4
 T      0    0    1    0    0    0    1    0    0    0    0    1    0    0    2   54  443    0    0    1    4
 V      0    0    0    1    0    0    5    0    1    0    0    0    0    4    5   43  129    0   10   10    9
 W      0    0    0    0    0    0    0    0    0    0    0    0    0    3    0    0    2    0  136   18    0
 Y      0    0    0    0    0    0    4    0    0    0    0    0    0    1    0    4   11    0    8  165    5
 J      0    0    0    0    0    0    0    0    0    0    0    0    0    0    0   11   12    0    0    0   39
 -      0    0    0    0    0    0    0    0    3    0    0    1    0    1    0    6    9    0   13   13   13
        -----------------------------------------------------------------------------------------------------
 tot    0    0   95    6    0    0  116    0   59    0    0   72    0   57   99  691 1107    0  290  356  140
from    0    0    9    3    0    0   26    0   16    0    0   23    0   15   38  160  194    0   74   61   52




     Alpha inaccessible no side-side no side-main O    side-main N              

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A      0    0    0    1    0    0    0    0    0    0    9    0    0    0    0    6    0    0    0    0    0
 C      0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    1    0    0    0    0    0
 D      0    0   59    1    0    0    0    0    0    0    0    0    0    0    0    3    0    0    0    0    0
 E      0    0    0   34    0    0    0    0    0    0    1    0    0    3    0    0    0    0    0    0    0
 F      0    0    0    0    0    0    0    0    0    0    9    0    0    0    0    0    0    0    0    1    0
 G      0    0    0    0    0    0    0    0    0    0    1    0    0    0    0    1    0    0    0    1    0
 H      0    0    2    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    1    0
 I      0    0    0    2    0    0    0    0    0    0   19    0    0    0    0    2    0    0    0    0    0
 K      0    0    0    0    0    0    0    0    0    0    2    0    0    0    0    0    0    0    0    0    0
 L      0    0    0    0    0    0    0    0    0    0   48    0    0    0    0    1    0    0    0    7    0
 M      0    0    0    1    0    0    0    0    0    0   83    0    0    0    0    0    0    0    0    2    0
 N      0    0    5    0    0    0    0    0    0    0    1    8    0    1    0    0    0    0    0    0    0
 P      0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    1    0    0    0    3    0
 Q      0    0    0    1    0    0    0    0    0    0    0    0    0    6    0    0    0    0    0    0    0
 R      0    0    0    0    0    0    0    0    0    0    2    0    0    0    0    0    0    0    0    0    0
 S      0    0    0    0    0    0    0    0    0    0    5    0    0    0    0    5    0    0    0    0    0
 T      0    0    1    0    0    0    0    0    0    0    6    1    0    0    0    2   18    0    0    1    0
 V      0    0    0    2    0    0    0    0    0    0   19    0    0    0    0    0    0    0    0    0    0
 W      0    0    0    0    0    0    0    0    0    0    7    0    0    0    0    0    0    0    0    1    0
 Y      0    0    0    0    0    0    0    0    0    0    4    0    0    0    0    0    0    0    0   24    0
 J      0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    4
 -      0    0    0    0    0    0    0    0    0    0    2    0    0    0    0    3    0    0    0    2    0
        -----------------------------------------------------------------------------------------------------
 tot    0    0   67   42    0    0    0    0    0    0  218    9    0   10    0   25   18    0    0   43    4
from    0    0   17   13    0    0    0    0    0    0   47    1    0    2    0    8    3    0    0    6    2




     Alpha inaccessible no side-side no side-main O no side-main N              

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A   3776    5    0    0  173  492    2  261    0  444   60    1   40    2    0   27   11  563    6   13    4
 C     12 1062    0    0    1    0    0    5    0    9    0    0    0    0    0    0    4    1    2    2    0
 D    152    3    7    0   16   31    0   18    0   23    6    4    2    0    0    9    3   23    0    1    0
 E     80    0    0   13   21   44    6   33    0   49   10    0    5    1    0    2    0   35    4    4    0
 F    172    9    0    0 2157   39    0  221    0  874   96    0    6    0    0    0   11  302   23   52    0
 G    475    7    0    0   27 1738    0   54    0   58   18    1    9    0    0    3    0   63    3    5    1
 H     45    5    0    0   27    7  121   33    0   96   24    0    8    0    0    1    1   74    0   10    0
 I    297   15    0    0  232   73    0 1828    0  986  165    0   17    0    0    2   15  837    3    5    0
 K     96    4    0    0   13   32    0   23    0   64   12    1    0    0    0    0    1   53   13    2    0
 L    495    3    0    1  907   46    9  990    0 4895  491    0    8    1    0    3   22  985   34   22    9
 M    111    2    0    0  124   21    1  189    0  614  315    0   13    1    0   10    5  153   14    7    1
 N     88    1    2    0   10   24    0   40    0   68   17    2    8    0    0    4    7   59    1    4    0
 P     55    0    0    0   14   45    0   22    0   29   16    0  349    0    0    0    0   40    0    1    0
 Q     84    9    0    1   14   37    8   24    0   40   14    0    4    3    0    1    1   34    3    3    0
 R     71    0    0    0   25   31    1   22    0   52    4    1   14    0    0    3    2   23    4    6    0
 S    536   19    0    0   44  171    0   61    0  102   31    1   24    0    0   67   16   91    0    6    0
 T    223   10    0    1   29   78    0   92    0  148   33    3    7    1    0   12   65  206    2    6    1
 V    708    8    0    0  296   89    6  852    0  892  127    0   30    1    0    4   15 2958    1   11    3
 W     40    0    0    0  105    6    0    9    0  114   43    0    1    0    0    6    0   22  177   19    0
 Y     63    3    0    0  212   26    1   76    0  178   44    0    5    0    0    2    0  105   15   91    2
 J    140    4    0    0   12   10    1   20    0   39    6    0    4    0    0    0    3   48    0    0    5
 -    147    4    0    0   62   51    0   52    0  141   41    3   12    0    0    0    0  126    2    1    1
        -----------------------------------------------------------------------------------------------------
 tot 7866 1173    9   16 4521 3091  156 4925    0 9915 1573   17  566   10    0  156  182 6801  307  271   27
from 1687  183    1    7  748  610   13  997    0 1829  281    5  133    6    0   38   37 1120   54   67    7




     Beta    accessible    side-side    side-main O    side-main N              

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A      0    0    5    2    0    0    0    0    0    0    0    2    0    5    0    0    0    0    0    0    0
 C      0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    1
 D      0    0   39    1    0    0    0    0    0    0    0   11    0    1    0    1    0    0    0    0    0
 E      0    0    2    4    0    0    1    0    0    0    0    5    0   13    0    2    1    0    0    1    0
 F      0    0    5    0    0    0    1    0    0    0    0    2    0    0    0    2    0    0    0    2    0
 G      0    0    0    0    0    0    0    0    0    0    0    0    0    7    0    0    0    0    0    0    0
 H      0    0    0    0    0    0    6    0    0    0    0    1    0    1    0    1    0    0    0    1    0
 I      0    0    1    0    0    0    0    0    0    0    0    4    0    1    0    0    0    0    0    0    0
 K      0    0    3    1    0    0    1    0    0    0    0    5    0    4    0    0    3    0    0    1    0
 L      0    0    0    0    0    0    0    0    0    0    0    2    0    0    0    1    0    0    0    2    2
 M      0    0    1    0    0    0    0    0    0    0    0    0    0    1    0    0    0    0    0    0    0
 N      0    0    5    1    0    0    0    0    0    0    0   24    0    0    0    3    0    0    0    0    0
 P      0    0    2    0    0    0    0    0    0    0    0    0    0    1    0    0    4    0    0    0    0
 Q      0    0    0    2    0    0    0    0    0    0    0    3    0   35    0    0    0    0    0    0    0
 R      0    0    7    0    0    0    0    0    0    0    0    4    0    1    0    4    1    0    0    0    0
 S      0    0    5    1    0    0    0    0    0    0    0   13    0    0    0    7    3    0    0    0    0
 T      0    0    7    0    0    0    0    0    0    0    0    6    0    6    0    1    6    0    0    0    0
 V      0    0    1    0    0    0    0    0    0    0    0    3    0    2    0    0    0    0    0    0    0
 W      0    0    1    0    0    0    0    0    0    0    0    0    0    0    0    3    0    0    0    0    0
 Y      0    0    4    1    0    0    0    0    0    0    0    1    0    0    0    1    2    0    0   48    0
 J      0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    1
 -      0    0   12    0    0    0    0    0    0    0    0    1    0    1    0    0    5    0    0    0    0
        -----------------------------------------------------------------------------------------------------
 tot    0    0  100   13    0    0    9    0    0    0    0   87    0   79    0   26   25    0    0   55    4
from    0    0   21    6    0    0    4    0    0    0    0   18    0   12    0    4    5    0    0    5    1




     Beta    accessible    side-side    side-main O no side-main N              

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A      0    0   25    4    0    0    3    0    4    0    0    7    0   13   27    7    7    0    0    0    0
 C      0    0    0    0    0    0    0    0    0    0    0    0    0    0    1    0    0    0    0    0    0
 D      0    0  104   19    0    0    7    0    6    0    0   10    0   22    9    8    1    0    0    0    0
 E      0    0   16   46    0    0    7    0    2    0    0   12    0   28   23    3    5    0    0    0    1
 F      0    0    0    2    0    0   13    0    3    0    0    5    0    2    7    2    4    0    0    1    0
 G      0    0    1   12    0    0    7    0   34    0    0   14    0    4    7    1    7    0    0    1    0
 H      0    0    1    2    0    0   91    0    8    0    0   13    0    9   11    2    1    0    0    0    1
 I      0    0    0    3    0    0    0    0   10    0    0    0    0    6   25    7   18    0    0    1    0
 K      0    0    1   16    0    0   12    0   62    0    0   15    0   54   89    9    5    0    0    0    5
 L      0    0    0    3    0    0   11    0   10    0    0    3    0   25   27    3    5    0    0    1    0
 M      0    0    0    0    0    0    7    0    0    0    0    2    0    2   11    3    1    0    0    0    0
 N      0    0    6    6    0    0   11    0   15    0    0   59    0    5   10    8    8    0    0    0    0
 P      0    0    2    1    0    0    1    0    4    0    0    3    0    2    9    6    0    0    0    1    3
 Q      0    0   17   11    0    0   10    0    3    0    0    7    0  338   19   12   17    0    0    0    0
 R      0    0    2    9    0    0    9    0   33    0    0    9    0   25  234    4   10    0    0    0    1
 S      0    0    7   12    0    0   10    0    7    0    0   23    0   48   28   79   69    0    0    2    1
 T      0    0   12    5    0    0   28    0    8    0    0   11    0   31   25   49  168    0    0    3    5
 V      0    0    1    2    0    0    7    0   16    0    0    6    0   29   33    7   37    0    0    3    0
 W      0    0    0    0    0    0    0    0    2    0    0    8    0    1   19    3    0    0  111   19    0
 Y      0    0    0    4    0    0   17    0    3    0    0    8    0    1   10    2    3    0    6   23    0
 J      0    0    0    0    0    0    1    0    1    0    0    1    0    1    2    0    1    0    0    0    4
 -      0    0    0    3    0    0    9    0    0    0    0    5    0    8    6    3    7    0    0    0    0
        -----------------------------------------------------------------------------------------------------
 tot    0    0  195  160    0    0  261    0  231    0    0  221    0  654  632  218  374    0  117   55   21
from    0    0   16   22    0    0   42    0   41    0    0   38    0   74  129   29   38    0    9    7    6




     Beta    accessible    side-side no side-main O    side-main N              

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A      0    0   10    4    0    0    0    0    0    0    0   22    0    1    0    5    1    0    0    3    0
 C      0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0
 D      0    0  408   10    0    0    0    0    0    0    1   37    0    0    0    8    8    0    0    2    0
 E      0    0   22   37    0    0    0    0    0    0    0   12    0    5    0    1    1    0    0    2    0
 F      0    0    3    2    0    0    1    0    0    0    2    1    0    0    0    6    2    0    0    1    0
 G      0    0    8    1    0    0    0    0    0    0    0   21    0    0    0    3    1    0    0    5    0
 H      0    0    1    1    0    0    3    0    0    0    0    9    0    1    0    0    1    0    0    1    0
 I      0    0    3    4    0    0    1    0    0    0    0    4    0    4    0    0    0    0    0    3    0
 K      0    0   11   13    0    0    1    0    0    0    0   16    0    1    0    1    6    0    0    1    0
 L      0    0    5    3    0    0    2    0    0    0    0    4    0    3    0    1    2    0    0    3    0
 M      0    0    0    2    0    0    0    0    0    0    4    1    0    0    0    0    0    0    0    1    0
 N      0    0   62    1    0    0    1    0    0    0    0   93    0    0    0    2   16    0    0    3    0
 P      0    0   11    5    0    0    0    0    0    0    0    3    0    1    0    7    4    0    0    2    0
 Q      0    0   11   12    0    0    1    0    0    0    0    5    0    6    0    0    4    0    0    0    0
 R      0    0    7    3    0    0    0    0    0    0    0   23    0    2    0    3    2    0    0    1    0
 S      0    0   31    3    0    0    0    0    0    0    0   28    0    1    0   20   14    0    0    4    0
 T      0    0    8   13    0    0    0    0    0    0    2   27    0    0    0   16   61    0    0    3    0
 V      0    0   12    4    0    0    0    0    0    0    4    7    0    5    0    0    4    0    0    0    0
 W      0    0    3    0    0    0    0    0    0    0    1    3    0    0    0    0    1    0    0    0    0
 Y      0    0    3    4    0    0    0    0    0    0    2   17    0    0    0    1    5    0    0   49    0
 J      0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    1    0
 -      0    0   19    0    0    0    0    0    0    0    0    3    0    4    0    0    3    0    0    8    0
        -----------------------------------------------------------------------------------------------------
 tot    0    0  638  122    0    0   10    0    0    0   16  336    0   34    0   74  136    0    0   93    0
from    0    0   95   23    0    0    5    0    0    0    3   41    0    6    0   12   23    0    0   12    0




     Beta    accessible    side-side no side-main O no side-main N              

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A      0    0   65   63    0    0    9    0   53    0    9   28    0   57   51   31   92    0    8   38    0
 C      0    0    2   13    0    0    0    0   11    0   12    2    0    6    0    1    3    0    0    0    0
 D      0    0  410  204    0    0   10    0   40    0    0   31    0   46   32   27   59    0    3   28    0
 E      0    0  169 1117    0    0   31    0   99    0   17   32    0   83   56   38   72    0    0   55    0
 F      0    0   12   28    0    0   11    0   13    0   13   18    0   38   19   32   13    0   25  149    0
 G      0    0   23   67    0    0   12    0   35    0   19   14    0   28   31   19   34    0   15   34    0
 H      0    0   13   43    0    0  152    0   26    0    1   13    0   31   41    8   22    0    1   25    1
 I      0    0   30   55    0    0   22    0   51    0    9   17    0   27   42   45   65    0   11   65    0
 K      0    0   70  183    0    0   39    0  481    0   44   82    0  127  188   58  177    0    8   42    0
 L      0    0   27   66    0    0   37    0   44    0   20   19    0   77   65   31   48    0   13   44    0
 M      0    0    4   34    0    0    2    0   31    0   22    8    0   12   10    7   17    0    9   11    0
 N      0    0   64   77    0    0   25    0   67    0    7  116    0   32   62   25   56    0    1   37    0
 P      0    0   21   25    0    0   15    0   31    0    1   11    0   13   12   47   31    0   11   13    0
 Q      0    0   52  113    0    0   34    0   77    0   16   29    0  799   60   43   48    0    6   27    1
 R      0    0   20   81    0    0   30    0   87    0    7   18    0   38  604   43   49    0   24   34    0
 S      0    0   90  109    0    0   35    0   86    0   13   67    0   70  105  517  282    0    4   79    2
 T      0    0  116  209    0    0   46    0  111    0   16   85    0   89  107  247  867    0    7   70    1
 V      0    0   36  130    0    0   13    0  100    0   38   37    0   69   82   61   97    0   17   46    0
 W      0    0    2   11    0    0    5    0    4    0    5    1    0    2   25    2   10    0  313   47    0
 Y      0    0   44   83    0    0   22    0   49    0    9   17    0   33   45   44   32    0   33 1094    0
 J      0    0    2    3    0    0    6    0    9    0    1    0    0    1    1    1    3    0    0    3    4
 -      0    0   42   57    0    0   15    0   53    0    9   27    0   10   33   45   27    0   11   42    2
        -----------------------------------------------------------------------------------------------------
 tot    0    0 1314 2771    0    0  571    0 1558    0  288  672    0 1688 1671 1372 2104    0  520 1983   11
from    0    0  224  419    0    0  126    0  262    0   35  114    0  180  311  172  290    0   65  261    6




     Beta    accessible no side-side    side-main O    side-main N              

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A      0    0    4    5    0    0    0    0    0    0    0    6    0   17    0    5   10    0    0    9    0
 C      0    0    0    3    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0
 D      0    0   22    0    0    0    0    0    0    0    0    7    0    1    0    2    4    0    0    2    0
 E      0    0    1    1    0    0    0    0    0    0    0    9    0   16    0    3    7    0    0    1    0
 F      0    0    7    0    0    0    0    0    0    0    0    2    0    1    0    0   12    0    0    9    0
 G      0    0   12    0    0    0    0    0    0    0    0    0    0    4    0    6    1    0    0    0    0
 H      0    0    1    2    0    0    3    0    0    0    0    2    0    7    0    0    0    0    0    0    0
 I      0    0    0    1    0    0    0    0    0    0    0    0    0    9    0    0    7    0    0    7    0
 K      0    0    0    1    0    0    0    0    0    0    0    4    0   35    0    2    9    0    0    1    2
 L      0    0    0    0    0    0    0    0    0    0    0    4    0    5    0    1   15    0    0    7    0
 M      0    0    0    0    0    0    0    0    0    0    0    0    0   12    0    2    5    0    0    4    0
 N      0    0   10    5    0    0    0    0    0    0    0   37    0    1    0    8   20    0    0    1    0
 P      0    0    0    0    0    0    0    0    0    0    0    2    0    1    0    3    1    0    0    1   10
 Q      0    0    4    0    0    0    0    0    0    0    0    5    0  190    0    0    4    0    0    2    0
 R      0    0    0    1    0    0    0    0    0    0    0    4    0    0    0    2    1    0    0    1    0
 S      0    0    5    2    0    0    0    0    0    0    0    2    0    3    0   88    8    0    0    6    1
 T      0    0    3    2    0    0    0    0    0    0    0   11    0   12    0   16   23    0    0    5    1
 V      0    0    0    1    0    0    0    0    0    0    0    3    0   22    0    1   17    0    0   11    4
 W      0    0    1    2    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    5    0
 Y      0    0    3    3    0    0    0    0    0    0    0    4    0    2    0    0    2    0    0   60    1
 J      0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    4
 -      0    0    2    0    0    0    0    0    0    0    0    0    0    0    0    1    3    0    0    1    0
        -----------------------------------------------------------------------------------------------------
 tot    0    0   75   29    0    0    3    0    0    0    0  102    0  338    0  140  149    0    0  133   23
from    0    0   12    3    0    0    1    0    0    0    0   19    0   37    0   21   22    0    0   21    4




     Beta    accessible no side-side    side-main O no side-main N              

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A      0    0    2    0    0    0    2    0   32    0    0   10    0   15   22   31   42    0    0    3    1
 C      0    0    0    0    0    0    0    0    9    0    0    3    0    0   11    0    2    0    0    0    0
 D      0    0   16    4    0    0    5    0   28    0    0    6    0   15   15   17   33    0    1    1    0
 E      0    0    7   32    0    0   13    0   51    0    0   11    0   35   23   19   36    0    3    1    0
 F      0    0    1    0    0    0   12    0    8    0    0    7    0    3    6    1    4    0    2   12    0
 G      0    0    4    4    0    0    6    0   42    0    0    8    0    4   16   37   26    0    0    0    3
 H      0    0    4    0    0    0  113    0   23    0    0   13    0   24   15    5    3    0    0    6    2
 I      0    0    1    0    0    0   10    0   15    0    0    6    0   18   12    7   37    0    1    2    0
 K      0    0    2    5    0    0   13    0  417    0    0   30    0   34  106   25   56    0    3    4    3
 L      0    0    3    4    0    0    3    0   25    0    0   10    0   17  105   11   25    0    8   20    1
 M      0    0    4    0    0    0    0    0    1    0    0    4    0    4    7    2   10    0    2    3    0
 N      0    0    6    1    0    0   12    0   25    0    0   57    0    6   21   11   18    0    0    7    1
 P      0    0    0    1    0    0    2    0   13    0    0    4    0    7    4    2   11    0    0    3    0
 Q      0    0    2    5    0    0    2    0   38    0    0   15    0  514   38   16   43    0    2    2    0
 R      0    0    1    1    0    0   15    0  107    0    0   12    0   17  283   25   17    0    2    0    2
 S      0    0   10    5    0    0   13    0   33    0    0   30    0   14   56  197   81    0    1    5    2
 T      0    0   12    9    0    0    4    0   68    0    0   51    0   37   50  112  423    0    1    5    3
 V      0    0    5    1    0    0    9    0   38    0    0   14    0   26   40   12   72    0    1   10    0
 W      0    0    3    0    0    0    5    0    3    0    0    1    0    3    5    1    1    0  210   10    0
 Y      0    0    3    1    0    0   20    0   12    0    0   10    0    1   11    8   11    0   28   60    1
 J      0    0    0    0    0    0    0    0    5    0    0    0    0    1    0    2    3    0    0    3    1
 -      0    0   11    0    0    0    2    0    9    0    0    9    0   11   26    5   15    0    7    2    1
        -----------------------------------------------------------------------------------------------------
 tot    0    0   97   73    0    0  261    0 1002    0    0  311    0  806  872  546  969    0  272  159   21
from    0    0   15   11    0    0   50    0  146    0    0   41    0   78  121   69  125    0   30   35    5




     Beta    accessible no side-side no side-main O    side-main N              

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A      0    0   11    1    0    0    5    0    0    0    0   15    0    6    0    5    6    0    0    6    0
 C      0    0    0    0    0    0    6    0    0    0    0    0    0    0    0    0    0    0    0    0    0
 D      0    0  147    8    0    0    0    0    0    0   13   41    0    0    0    5    9    0    0    3    0
 E      0    0    6   42    0    0    2    0    0    0    8    4    0   21    0    3    4    0    0    0    0
 F      0    0    3    0    0    0    2    0    0    0    4   10    0    1    0    0    0    0    0    7    0
 G      0    0   11    1    0    0    0    0    0    0    6   11    0    0    0    7    1    0    0    3    0
 H      0    0    1    0    0    0    8    0    0    0    0    7    0    1    0    1    0    0    0    0    0
 I      0    0    1    1    0    0    3    0    0    0    8   10    0    1    0    0    9    0    0    2    1
 K      0    0   14    7    0    0    8    0    0    0    5    7    0   11    0    1    2    0    0    1    1
 L      0    0    5    1    0    0    4    0    0    0    5    3    0    1    0    2   14    0    0   14    0
 M      0    0    0    0    0    0    0    0    0    0   15    0    0    1    0    0    5    0    0    0    0
 N      0    0   38    5    0    0    4    0    0    0    2  101    0    0    0   24    2    0    0    1    0
 P      0    0    6   11    0    0    1    0    0    0    2    0    0    1    0    9    4    0    0    1    2
 Q      0    0    4    6    0    0    1    0    0    0    3   17    0   37    0    2    1    0    0    3    0
 R      0    0   10    0    0    0    5    0    0    0    1   10    0    1    0    1    2    0    0    2    0
 S      0    0   22    4    0    0    2    0    0    0    4   52    0    0    0   49   15    0    0    2    0
 T      0    0   18    1    0    0    2    0    0    0   24   20    0    3    0   10  152    0    0    1    0
 V      0    0    9    7    0    0    1    0    0    0   20    4    0    4    0    4   19    0    0    5    0
 W      0    0    3    0    0    0    0    0    0    0    0    2    0    0    0    0    0    0    0    2    0
 Y      0    0    6    5    0    0    3    0    0    0   19   16    0    4    0    1    1    0    0  262    0
 J      0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    3
 -      0    0    3    3    0    0    0    0    0    0    1   20    0    0    0   15    1    0    0    1    0
        -----------------------------------------------------------------------------------------------------
 tot    0    0  318  103    0    0   57    0    0    0  140  350    0   93    0  139  247    0    0  316    7
from    0    0   57   23    0    0    6    0    0    0   21   45    0   15    0   27   32    0    0   30    2




     Beta    accessible no side-side no side-main O no side-main N              

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A    578    0   23   83   58  135    8  120  148  150   48   37   52   45   41  202  239  312    9   83    2
 C      2  772    2    9   13    1    0    3    5    4    1    4    0    7    8   23   10    7    6    3    0
 D     91    4  268  157   39   53   13   70  119   65   11   58   59   52   22  192  164  158   18   64    0
 E    118    8  132  570   46   37   34  108  291  113   24   66   69  107   65  195  353  243   13   72    0
 F     45   22   10   31 1170    6   12  180   48  189   22   11   23   12   10   59   53  137   49  329    2
 G    175    2   19   81   53  645   12   51  112   82   14   20   39   51   24  109  108  144   54  102    0
 H     18    6    6   38   47   22   87   28   84   76    6   22   18   45   19   60   78   69   16   70    1
 I    110    8   26   37  221   20    7 1092   82  346   61   19   61   22   47   96  282  560   18  135    7
 K    163    6   39  230   63   48   45  132 1783  155   32   88  108  163  179  239  425  327   21   99    5
 L    146    2   19   58  222   30   22  386  144 2117  143   21  106   57   50  123  224  539   59  104   10
 M     40    4   12   12   54   23    5   80   56  166   70   10   17   20   10   37   79  120   16   34    2
 N     83    7   47   73   59   53   39   62  192   82   15   97   51   55   41  163  215  111   16   82    0
 P     74    0   20   68   27   32    3   91   95  111   24   21  714   30   32  166  127  115    3   28    0
 Q    127    9   31  143   57   26   46   81  301  208   41   15   32  396   70  144  207  201   14   51    1
 R     85    0   14   75   53   31   27   88  380  228   14   39   55   64  319  186  171  181   29   77    2
 S    262    2  126  142  108  108   50  151  243  178   33   75  149  104  133 3132 1047  281   24  132    6
 T    321    6  108  260   72   74   48  441  473  306   70  115  125  167   98 1045 3070  527   31  121    2
 V    226   12   68  110  159   61   32  691  202  578   83   27   65   61   62  156  345 2215   32  117    7
 W     23    6    4    5   87   11    1   41   20   62   25    6   10    3    8   12   23   28  434  111    0
 Y     73    0   14   46  490   26   30  171  110  152   21   17   27   34   40  146  143  147  103 1966    4
 J      4    2    0    1   15    0    3    8    8    9    4    0    8    2    3    9    9   14    0    7    7
 -    115    6   49  104   77   59    5  124  106  119   13   19   38   33   46  154  128  170   40   99    0
        -----------------------------------------------------------------------------------------------------
 tot 2879  884 1037 2333 3190 1501  529 4199 5002 5496  775  787 1826 1530 1327 6648 7500 6606 1005 3886   58
from  482  130  141  360  495  261   92  639  682  747  134  134  320  243  202  644  932 1003  131  506   10




     Beta  inaccessible    side-side    side-main O    side-main N              

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A      0    0    0    0    0    0    2    0    0    0    0    9    0   40    0    8    4    0    0    0    6
 C      0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0
 D      0    0   83    4    0    0    0    0    0    0    0   10    0    2    0    0    0    0    0    0    0
 E      0    0    1   16    0    0    1    0    0    0    0    2    0   58    0    0    1    0    0    0    0
 F      0    0    0    0    0    0    0    0    0    0    0    1    0    1    0    1    5    0    0    8    6
 G      0    0    5    0    0    0    0    0    0    0    0    0    0    0    0    2    2    0    0    0    0
 H      0    0    1    0    0    0   34    0    0    0    0    3    0   15    0    0    3    0    0    2    0
 I      0    0    3    0    0    0    1    0    0    0    0    0    0    3    0    0    1    0    0    3    0
 K      0    0    2    1    0    0    0    0    0    0    0    3    0    0    0    0    1    0    0    0    0
 L      0    0    1    0    0    0    0    0    0    0    0    1    0    3    0    2    1    0    0    4    3
 M      0    0    0    0    0    0    0    0    0    0    0    0    0    3    0    0    3    0    0    2    0
 N      0    0    9    0    0    0    0    0    0    0    0   86    0   30    0    0    1    0    0    0    0
 P      0    0    2    0    0    0    0    0    0    0    0   14    0    0    0    0    0    0    0    0    0
 Q      0    0    1   10    0    0    4    0    0    0    0   13    0  533    0    0    7    0    0    0    0
 R      0    0    2    0    0    0    0    0    0    0    0    2    0    1    0    0    0    0    0    0    0
 S      0    0    8    4    0    0    0    0    0    0    0    4    0   20    0   52    8    0    0    0    3
 T      0    0    1    0    0    0    0    0    0    0    0    6    0    3    0    4   11    0    0    0    3
 V      0    0    1    0    0    0    1    0    0    0    0    3    0    4    0    1   10    0    0    1    0
 W      0    0    1    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    0
 Y      0    0    5    0    0    0    0    0    0    0    0    6    0    3    0    8    1    0    0    8    3
 J      0    0    0    0    0    0    0    0    0    0    0    0    0    0    0    1    0    0    0    0   17
 -      0    0    0    0    0    0    0    0    0    0    0    0    0    1    0    0    0    0    0    0    0
        -----------------------------------------------------------------------------------------------------
 tot    0    0  126   35    0    0   43    0    0    0    0  163    0  720    0   79   59    0    0   28   41
from    0    0   29    4    0    0    8    0    0    0    0   36    0   51    0   23   14    0    0    8    7




     Beta  inaccessible    side-side    side-main O no side-main N              

        A    C    D    E    F    G    H    I    K    L    M    N    P    Q    R    S    T    V    W    Y    J
 A      0    0    0    1    0    0    4    0    0    0    0   10    0   13    7   28   16    0    0    3    7
 C      0    0    0    0    0    0    0    0    0    0    0    0    0    6    1    0    0    0    0    0    0
 D      0    0   51    0    0    0    3    0    1    0    0    3    0    4    3    0    2    0    0    3    2
 E      0    0    0    5    0    0    0    0    3    0    0    9    0    4    1   14    5    0    0    2    0
 F      0    0    0    0    0    0    3    0    0    0    0    0    0   11    3    0    3    0    0   18    2
 G      0    0    0    0    0    0    2    0    0    0    0    0    0    0    6   35    2    0    0    0    2
 H      0    0    0    3    0    0  136    0    0    0    0   13    0   17    4   13    1    0    0    0    0
 I      0    0    1    0    0    0    2    0    0    0    0    0    0    2    0    0    2    0    1    1    0
 K      0    0    0    0    0    0    0    0   52    0    0    3    0   11   40    2    2    0    1    1    1
 L      0    0    0    1    0    0    8    0    0    0    0    2    0   21   14    2    4    0    1    2    3
 M      0    0    0    0    0    0    2    0    0    0    0    3    0   26    1    1    2    0    1    5    3
 N      0    0    0    7    0    0    4    0    1    0    0   96    0    4    1   30    7    0    0    7    1
 P      0    0    0    0    0    0    0    0    6    0    0    2    0    0    1    0    0    0    0    4    0
 Q      0    0    0    2    0    0   22    0    0    0    0    7    0  248   15    0    3    0    0    1    2
 R      0    0    0    0    0    0    0    0   22    0    0    2    0   10  195    2    1    0    0    0    1
 S      0    0    0    6    0    0    4    0    1    0    0   46    0    0    3  123   45    0    0    0    2
 T      0    0    0    1    0    0    0    0    1    0    0    4    0    9    4   28  475    0    0    3   13
 V      0    0    0    0    0    0    3    0    0    0    0    3    0    8   30    6    7    0    1    2   11
 W      0    0    0    0    0    0    0    0    0    0    0    0    0    2    4    0    0    0   16    1    1
 Y      0    0    1    1    0    0   11    0    6    0    0    6    0    5    2    4    2    0    2  756    2
 J      0    0    0    0    0    0    0    0    0    0    0    1    0    0    1    1    2    0    0    0   24
 -      0    0    0    0    0    0    0    0    0    0    0    1    0    0    0    0    0    0    0    0    3
        -----------------------------------------------------------------------------------------------------
 tot    0    0   53   27    0    0  204    0   93    0    0  211    0  401  336  289  581    0   23  809   80
from    0    0   13    6    0    0   40    0   23    0    0   34    0   49   65   41   64    0    9   58   21



